<?php
add_action('wp_ajax_ajax_insert_element', 'xyz_wp_cfm_ajax_insert_element');

function xyz_wp_cfm_ajax_insert_element() {

global $wpdb;

if($_POST){
	$_POST = stripslashes_deep($_POST);
	$_POST = xyz_trim_deep($_POST);

	$id=$_REQUEST['id'];
	if($id == 1){
		$required = $_POST['required'];

		$elementName = str_replace(' ','',$_POST['elementName']);
		$elementNameTest = str_replace('_','',$elementName);

		if(ctype_alnum($elementNameTest) && ctype_alpha($elementNameTest[0])){
			$pattern = $_POST['pattern'];
			$placeHolder = $_POST['placeHolder'];
			$className = $_POST['className'];
			$maxlength = abs(intval($_POST['maxlength']));
			if($maxlength == 0){
				$maxlength = '';
			}
			$defaultValue = $_POST['defaultValue'];
			
			$xyz_cfm_pattern_format_error_message = $_POST['xyz_cfm_pattern_format_error_message'];
			$xyz_cfm_empty_text_field_error_message = $_POST['xyz_cfm_empty_text_field_error_message'];
			$xyz_cfm_element_error_message_array = array('pattern_format'=>$xyz_cfm_pattern_format_error_message,'fill_text_field'=>$xyz_cfm_empty_text_field_error_message);
			$xyz_cfm_element_error_message = serialize($xyz_cfm_element_error_message_array);
			
			$textEventChange		= $_POST['textEventChange'];
			$textEventKeyUp			= $_POST['textEventKeyUp'];
			$textEventKeyDown		= $_POST['textEventKeyDown'];
			$textEventBlur		 	= $_POST['textEventBlur'];
			$textEventMouseOver		= $_POST['textEventMouseOver'];
			$textEventMouseOut		= $_POST['textEventMouseOut'];
			$textEventMouseUp		= $_POST['textEventMouseUp'];
			$textEventMouseDown		= $_POST['textEventMouseDown'];
			$xyz_cfm_element_jquery_event_handling_array = array(
					'change'		=> $textEventChange,
					'keyup'			=> $textEventKeyUp,
					'keydown'		=> $textEventKeyDown,
					'blur'			=> $textEventBlur,
					'mouseover'		=> $textEventMouseOver,
					'mouseout'		=> $textEventMouseOut,
					'mouseup'		=> $textEventMouseUp,
					'mousedown'		=> $textEventMouseDown
			);
			$xyz_cfm_element_jquery_event_handling = serialize($xyz_cfm_element_jquery_event_handling_array);
			
			
			$formId = $_POST['formId'];
			
			$elementType = $id;
			
			$element_count = $wpdb->query( $wpdb->prepare( "SELECT * FROM ".$wpdb->prefix."xyz_cfm_form_elements WHERE element_name= '%s' AND form_id= %d LIMIT %d,%d", $elementName,$formId,0,1 ) ) ;
			if($element_count == 0){

				$wpdb->insert($wpdb->prefix.'xyz_cfm_form_elements', array(
						'form_id' =>$formId,
						'element_diplay_name'=>'',
						'element_name'=>$elementName,
						'element_type'=>$elementType,
						'element_required'=>$required,
						'css_class'=>$className,
						'max_length'=>$maxlength,
						'default_value'=>$defaultValue,
						'placeholder'=>$placeHolder,
						'element_error_messages'=>$xyz_cfm_element_error_message,
						'cols'	=>	'',
						'rows'	=>	'',
						'options'	=>	'',
						'file_size'	=>	'',
						'file_type'	=>	'',
						'file_mode' =>  '',
						're_captcha'	=>	0,
						'min_value'	=>	'',
						'max_value'	=>	'',
						'client_view_check_radio_line_break_count'	=>	0,
						'client_view_multi_select_drop_down'	=>	0,
						'hidden_radio_option'	=>	0,
						'hidden_value_dropdown'	=>	0,
						'allow_decimal'	=>	0,
						'pattern' => $pattern,
						'jquery_event_handling_code'=>$xyz_cfm_element_jquery_event_handling
						),
						array(
						'%d','%s','%s','%d','%d','%s','%s','%s','%s','%s','%s','%s','%s','%s','%s','%d','%d','%s','%s','%d','%d','%d','%d','%d','%s','%s'
						));
				$lastElementId = $wpdb->insert_id;
				echo "Copy this code and paste it into the form left.<br/>Code is [text-".$lastElementId."]";
			}else{
				echo "<font color=red>Element name already exists.</font>";
			}

		}else{
			echo "<font color=red>Form element name must start with alphabet and must be alphanumeric .</font>";
		}

	}

	if($id == 2){

		$required = $_POST['required'];

		$elementName = str_replace(' ','',$_POST['elementName']);
		$elementNameTest = str_replace('_','',$elementName);

		if(ctype_alnum($elementNameTest) && ctype_alpha($elementNameTest[0])){
			$placeHolder = $_POST['placeHolder'];
			$className = $_POST['className'];
			$maxlength = abs(intval($_POST['maxlength']));
			if($maxlength == 0){
				$maxlength = '';
			}
			$defaultValue = $_POST['defaultValue'];
			
			$xyz_cfm_empty_email_field_error_message = $_POST['xyz_cfm_empty_email_field_error_message'];
			$xyz_cfm_valid_email_field_error_message = $_POST['xyz_cfm_valid_email_field_error_message'];
			$xyz_cfm_element_error_message_array = array('fill_email_field'=>$xyz_cfm_empty_email_field_error_message,'please_provide_valid_email_address'=>$xyz_cfm_valid_email_field_error_message);
			$xyz_cfm_element_error_message = serialize($xyz_cfm_element_error_message_array);
			
			$formId = $_POST['formId'];
			
			$emailEventChange		= $_POST['emailEventChange'];
			$emailEventKeyUp			= $_POST['emailEventKeyUp'];
			$emailEventKeyDown		= $_POST['emailEventKeyDown'];
			$emailEventBlur		 	= $_POST['emailEventBlur'];
			$emailEventMouseOver		= $_POST['emailEventMouseOver'];
			$emailEventMouseOut		= $_POST['emailEventMouseOut'];
			$emailEventMouseUp		= $_POST['emailEventMouseUp'];
			$emailEventMouseDown		= $_POST['emailEventMouseDown'];
			$xyz_cfm_element_jquery_event_handling_array = array(
					'change'		=> $emailEventChange,
					'keyup'			=> $emailEventKeyUp,
					'keydown'		=> $emailEventKeyDown,
					'blur'			=> $emailEventBlur,
					'mouseover'		=> $emailEventMouseOver,
					'mouseout'		=> $emailEventMouseOut,
					'mouseup'		=> $emailEventMouseUp,
					'mousedown'		=> $emailEventMouseDown
			);
			$xyz_cfm_element_jquery_event_handling = serialize($xyz_cfm_element_jquery_event_handling_array);
			
			$elementType = $id;

			$element_count = $wpdb->query($wpdb->prepare( "SELECT * FROM ".$wpdb->prefix."xyz_cfm_form_elements WHERE element_name= '%s' AND form_id= %d LIMIT %d,%d", $elementName,$formId,0,1 )) ;
			if($element_count == 0){

				$wpdb->insert($wpdb->prefix.'xyz_cfm_form_elements', array(
						'form_id' =>$formId,
						'element_diplay_name'=>'',
						'element_name'=>$elementName,
						'element_type'=>$elementType,
						'element_required'=>$required,
						'css_class'=>$className,
						'max_length'=>$maxlength,
						'default_value'=>$defaultValue,
						'placeholder'=>$placeHolder,
						'element_error_messages'=>$xyz_cfm_element_error_message,
						'cols'	=>	'',
						'rows'	=>	'',
						'options'	=>	'',
						'file_size'	=>	'',
						'file_type'	=>	'',
						'file_mode' =>  '',
						're_captcha'	=>	0,
						'min_value'	=>	'',
						'max_value'	=>	'',
						'client_view_check_radio_line_break_count'	=>	0,
						'client_view_multi_select_drop_down'	=>	0,
						'hidden_radio_option'	=>	0,
						'hidden_value_dropdown'	=>	0,
						'allow_decimal'	=>	0,
						'jquery_event_handling_code'=>$xyz_cfm_element_jquery_event_handling
						),
						array('%d','%s','%s','%d','%d','%s','%s','%s','%s','%s','%s','%s','%s','%s','%s','%d','%d','%s','%s','%d','%d','%d','%d','%d','%s'));
				$lastElementId = $wpdb->insert_id;
				echo "Copy this code and paste it into the form left.<br/>Code is [email-".$lastElementId."]";
			}else{
				echo "<font color=red>Element name already exists.</font>";
			}

		}else{
			echo "<font color=red>Form element name must start with alphabet and must be alphanumeric .</font>";
		}

	}

	if(($id == 3) || ($id == 13)){

		$required = $_POST['required'];

		$elementName = str_replace(' ','',$_POST['elementName']);
		$elementNameTest = str_replace('_','',$elementName);

		if(ctype_alnum($elementNameTest) && ctype_alpha($elementNameTest[0])){
			$placeHolder = '';
			$className = $_POST['className'];
			$collength = abs(intval($_POST['collength']));
			if($collength == 0){
				$collength = '';
			}
			$rowlength = abs(intval($_POST['rowlength']));
			if($rowlength == 0){
				$rowlength = '';
			}
			$defaultValue = $_POST['defaultValue'];
			$formId = $_POST['formId'];
			$elementType = $id;
			if($elementType == 3){
				$placeHolder = $_POST['placeHolder'];
			}
			
			if($id == 3){
				$xyz_cfm_empty_textarea_error_message = $_POST['xyz_cfm_empty_textarea_field_error_message'];
			}
			if($id == 13){
				$xyz_cfm_empty_textarea_error_message = $_POST['xyz_cfm_empty_richtextarea_field_error_message'];
			}
			$xyz_cfm_element_error_message_array = array('fill_textarea_field'=>$xyz_cfm_empty_textarea_error_message);
			$xyz_cfm_element_error_message = serialize($xyz_cfm_element_error_message_array);
			
			
			$textareaEventChange		= $_POST['textareaEventChange'];
			$textareaEventKeyUp			= $_POST['textareaEventKeyUp'];
			$textareaEventKeyDown		= $_POST['textareaEventKeyDown'];
			$textareaEventBlur		 	= $_POST['textareaEventBlur'];
			$textareaEventMouseOver		= $_POST['textareaEventMouseOver'];
			$textareaEventMouseOut		= $_POST['textareaEventMouseOut'];
			$textareaEventMouseUp		= $_POST['textareaEventMouseUp'];
			$textareaEventMouseDown		= $_POST['textareaEventMouseDown'];
			$xyz_cfm_element_jquery_event_handling_array = array(
					'change'		=> $textareaEventChange,
					'keyup'			=> $textareaEventKeyUp,
					'keydown'		=> $textareaEventKeyDown,
					'blur'			=> $textareaEventBlur,
					'mouseover'		=> $textareaEventMouseOver,
					'mouseout'		=> $textareaEventMouseOut,
					'mouseup'		=> $textareaEventMouseUp,
					'mousedown'		=> $textareaEventMouseDown
			);
			$xyz_cfm_element_jquery_event_handling = serialize($xyz_cfm_element_jquery_event_handling_array);
			

			$element_count = $wpdb->query( $wpdb->prepare( "SELECT * FROM ".$wpdb->prefix."xyz_cfm_form_elements WHERE element_name= '%s' AND form_id= %d LIMIT %d,%d", $elementName,$formId,0,1 ) ) ;
			if($element_count == 0){

				$wpdb->insert($wpdb->prefix.'xyz_cfm_form_elements', array(
						'form_id' =>$formId,
						'element_diplay_name'=>'',
						'element_name'=>$elementName,
						'element_type'=>$elementType,
						'element_required'=>$required,
						'css_class'=>$className,
						'cols'=>$collength,
						'rows'=>$rowlength,
						'default_value'=>$defaultValue,
						'placeholder'=>$placeHolder,
						'element_error_messages'=>$xyz_cfm_element_error_message,
						'max_length'	=>	'',
						'options'	=>	'',
						'file_size'	=>	'',
						'file_type'	=>	'',
						'file_mode' =>  '',
						're_captcha'	=>	0,
						'min_value'	=>	'',
						'max_value'	=>	'',
						'client_view_check_radio_line_break_count'	=>	0,
						'client_view_multi_select_drop_down'	=>	0,
						'hidden_radio_option'	=>	0,
						'hidden_value_dropdown'	=>	0,
						'allow_decimal'	=>	0,
						'jquery_event_handling_code'=>$xyz_cfm_element_jquery_event_handling
						),
						array(
						'%d','%s','%s','%d','%d','%s','%s','%s','%s','%s','%s','%s','%s','%s','%s','%d','%d','%s','%s','%d','%d','%d','%d','%d','%s'
						));
				$lastElementId = $wpdb->insert_id;
				if($elementType == 3){
					echo "Copy this code and paste it into the form left.<br/>Code is [textarea-".$lastElementId."]";
				}elseif ($elementType == 13){
					echo "Copy this code and paste it into the form left.<br/>Code is [richtextarea-".$lastElementId."]";
				}
			}else{
				echo "<font color=red>Element name already exists.</font>";
			}

		}else{
			echo "<font color=red>Form element name must start with alphabet and must be alphanumeric .</font>";
		}

	}

	if($id == 4){

		$required = $_POST['required'];

		$elementName = str_replace(' ','',$_POST['elementName']);
		$elementNameTest = str_replace('_','',$elementName);

		if(ctype_alnum($elementNameTest) && ctype_alpha($elementNameTest[0])){
				
			$className = $_POST['className'];
			$options = xyz_cfm_trimOptions($_POST['options']);
			$defaultValue = xyz_cfm_trimOptions($_POST['defaultValue']);
			$multipleSelect = $_POST['multipleSelect'];
			
			$xyz_cfm_empty_dropdown_error_message = $_POST['xyz_cfm_empty_dropdown_field_error_message'];
			$xyz_cfm_element_error_message_array = array('select_dropdown_field'=>$xyz_cfm_empty_dropdown_error_message);
			$xyz_cfm_element_error_message = serialize($xyz_cfm_element_error_message_array);
				
			
			
			$formId = $_POST['formId'];
			
			$dropdownEventChange		= $_POST['dropdownEventChange'];
			$dropdownEventKeyUp			= $_POST['dropdownEventKeyUp'];
			$dropdownEventKeyDown		= $_POST['dropdownEventKeyDown'];
			$dropdownEventBlur		 	= $_POST['dropdownEventBlur'];
			$dropdownEventMouseOver		= $_POST['dropdownEventMouseOver'];
			$dropdownEventMouseOut		= $_POST['dropdownEventMouseOut'];
			$dropdownEventMouseUp		= $_POST['dropdownEventMouseUp'];
			$dropdownEventMouseDown		= $_POST['dropdownEventMouseDown'];
			$xyz_cfm_element_jquery_event_handling_array = array(
					'change'		=> $dropdownEventChange,
					'keyup'			=> $dropdownEventKeyUp,
					'keydown'		=> $dropdownEventKeyDown,
					'blur'			=> $dropdownEventBlur,
					'mouseover'		=> $dropdownEventMouseOver,
					'mouseout'		=> $dropdownEventMouseOut,
					'mouseup'		=> $dropdownEventMouseUp,
					'mousedown'		=> $dropdownEventMouseDown
			);
			$xyz_cfm_element_jquery_event_handling = serialize($xyz_cfm_element_jquery_event_handling_array);
				
			
			$elementType = $id;
				
			$element_count = $wpdb->query( $wpdb->prepare( "SELECT * FROM ".$wpdb->prefix."xyz_cfm_form_elements WHERE element_name= '%s' AND form_id= %d LIMIT %d,%d", $elementName,$formId,0,1 ) ) ;
			if($element_count == 0){

				$wpdb->insert($wpdb->prefix.'xyz_cfm_form_elements', array(
						'form_id' =>$formId,
						'element_diplay_name'=>'',
						'element_name'=>$elementName,
						'element_type'=>$elementType,
						'element_required'=>$required,
						'css_class'=>$className,
						'options'=>$options,
						'default_value'=>$defaultValue,
						'client_view_multi_select_drop_down'=>$multipleSelect,
						'element_error_messages'=>$xyz_cfm_element_error_message,
						'max_length'	=>	'',
						'cols'	=>	'',
						'rows'	=>	'',
						'file_size'	=>	'',
						'file_type'	=>	'',
						'file_mode' =>  '',
						're_captcha'	=>	0,
						'min_value'	=>	'',
						'max_value'	=>	'',
						'placeholder'	=>	'',
						'client_view_check_radio_line_break_count'	=>	0,
						'hidden_radio_option'	=>	0,
						'hidden_value_dropdown'	=>	0,
						'allow_decimal'	=>	0,
						'jquery_event_handling_code'=>$xyz_cfm_element_jquery_event_handling
						),
						array('%d','%s','%s','%d','%d','%s','%s','%s','%d','%s','%s','%s','%s','%s','%s','%d','%d','%s','%s','%s','%d','%d','%d','%d','%s'));
				$lastElementId = $wpdb->insert_id;
				echo "Copy this code and paste it into the form left.<br/>Code is [dropdown-".$lastElementId."]";
			}else{
				echo "<font color=red>Element name already exists.</font> ";
			}

		}else{
			echo "<font color=red>Form element name must start with alphabet and must be alphanumeric .</font>";
		}
	}

	if($id == 5){

		$required = $_POST['required'];

		$elementName = str_replace(' ','',$_POST['elementName']);
		$elementNameTest = str_replace('_','',$elementName);

		if(ctype_alnum($elementNameTest) && ctype_alpha($elementNameTest[0])){
			
			
			
			$elementStartDate = $_POST['elementStartDate'];
			$elementEndDate = $_POST['elementEndDate'];
			$datePickerType = str_replace(' ','',$_POST['datePickerType']);
			
			$xyzFormatStartDate = '';
			$xyzFormatEndDate = '';
			
			if(get_option('xyz_cfm_pm_DateFormat') == 1){//dd-mm-yyyy
				
				$xyzFormatStartDate = $elementStartDate;
				$xyzFormatEndDate   = $elementEndDate;
				
			}elseif(get_option('xyz_cfm_pm_DateFormat') == 2){//mm-dd-yyyy
				if($elementStartDate != ''){
					$startDateArray 		= explode('-',$elementStartDate); 
					$xyzFormatStartDate 	= $startDateArray[1].'-'.$startDateArray[0].'-'.$startDateArray[2];
				}
				if($elementEndDate!= ''){
					$endDateArray 			= explode('-',$elementEndDate);
					$xyzFormatEndDate   	= $endDateArray[1].'-'.$endDateArray[0].'-'.$endDateArray[2];
				}
			}
			
			
				
			$className = $_POST['className'];
			$formId = $_POST['formId'];
			
			$xyz_cfm_empty_date_error_message = $_POST['xyz_cfm_empty_date_field_error_message'];
			$xyz_cfm_allowed_range_date_error_message = $_POST['xyz_cfm_allowed_range_date_error_message'];
			$xyz_cfm_element_error_message_array = array('fill_date_field'=>$xyz_cfm_empty_date_error_message,'allowed_range_error'=>$xyz_cfm_allowed_range_date_error_message);
			$xyz_cfm_element_error_message = serialize($xyz_cfm_element_error_message_array);
			
			
			$dateEventChange		= $_POST['dateEventChange'];
			$dateEventKeyUp			= $_POST['dateEventKeyUp'];
			$dateEventKeyDown		= $_POST['dateEventKeyDown'];
			$dateEventBlur		 	= $_POST['dateEventBlur'];
			$dateEventMouseOver		= $_POST['dateEventMouseOver'];
			$dateEventMouseOut		= $_POST['dateEventMouseOut'];
			$dateEventMouseUp		= $_POST['dateEventMouseUp'];
			$dateEventMouseDown		= $_POST['dateEventMouseDown'];
			$xyz_cfm_element_jquery_event_handling_array = array(
					'change'		=> $dateEventChange,
					'keyup'			=> $dateEventKeyUp,
					'keydown'		=> $dateEventKeyDown,
					'blur'			=> $dateEventBlur,
					'mouseover'		=> $dateEventMouseOver,
					'mouseout'		=> $dateEventMouseOut,
					'mouseup'		=> $dateEventMouseUp,
					'mousedown'		=> $dateEventMouseDown
			);
			$xyz_cfm_element_jquery_event_handling = serialize($xyz_cfm_element_jquery_event_handling_array);
			
			
			
			$elementType = $id;

			$element_count = $wpdb->query( $wpdb->prepare( "SELECT * FROM ".$wpdb->prefix."xyz_cfm_form_elements WHERE element_name= '%s' AND form_id= %d LIMIT %d,%d", $elementName,$formId,0,1 ) ) ;
			if($element_count == 0){

				$wpdb->insert($wpdb->prefix.'xyz_cfm_form_elements', array(
						'form_id' =>$formId,
						'element_diplay_name'=>'',
						'element_name'=>$elementName,
						'element_type'=>$elementType,
						'element_required'=>$required,
						'css_class'=>$className,
						'element_error_messages'=>$xyz_cfm_element_error_message,
						'max_length'	=>	'',
						'default_value'	=>	'',
						'cols'	=>	'',
						'rows'	=>	'',
						'options'	=>	'',
						'file_size'	=>	'',
						'file_type'	=>	'',
						'file_mode' =>  '',
						're_captcha'	=>	0,
						'min_value'	=>	'',
						'max_value'	=>	'',
						'placeholder'	=>	'',
						'client_view_check_radio_line_break_count'	=>	0,
						'client_view_multi_select_drop_down'	=>	0,
						'hidden_radio_option'	=>	0,
						'hidden_value_dropdown'	=>	0,
						'allow_decimal'	=>	0,
						'jquery_event_handling_code'=>$xyz_cfm_element_jquery_event_handling,
						'date_picker_start_date'=>$xyzFormatStartDate,
						'date_picker_end_date'=>$xyzFormatEndDate,
						'date_picker_type'=>$datePickerType
						),
						array('%d','%s','%s','%d','%d','%s','%s','%s','%s','%s','%s','%s','%s','%s','%d','%d','%s','%s','%s','%d','%d','%d','%d','%d','%s','%s','%s','%d'));
				$lastElementId = $wpdb->insert_id;
				echo "Copy this code and paste it into the form left.<br/>Code is [date-".$lastElementId."]";
			}else{
				echo "<font color=red>Element name already exists.</font>";
			}

		}else{
			echo "<font color=red>Form element name must start with alphabet and must be alphanumeric .</font>";
		}
	}

	if($id == 6){

		$required = $_POST['required'];

		$elementName = str_replace(' ','',$_POST['elementName']);
		$elementNameTest = str_replace('_','',$elementName);

		if(ctype_alnum($elementNameTest) && ctype_alpha($elementNameTest[0])){
				
			$className = $_POST['className'];
			$options = xyz_cfm_trimOptions($_POST['options']);
			$defaultValue = xyz_cfm_trimOptions($_POST['defaultValue']);
			$formId = $_POST['formId'];
			$optionLineBreakCount = $_POST['optionLineBreakCount'];
			
			$xyz_cfm_empty_checkbox_error_message = $_POST['xyz_cfm_empty_checkbox_field_error_message'];
			$xyz_cfm_element_error_message_array = array('select_atleast_one_checkbox'=>$xyz_cfm_empty_checkbox_error_message);
			$xyz_cfm_element_error_message = serialize($xyz_cfm_element_error_message_array);
			
			$checkboxEventChange		= $_POST['checkboxEventChange'];
			$checkboxEventKeyUp			= $_POST['checkboxEventKeyUp'];
			$checkboxEventKeyDown		= $_POST['checkboxEventKeyDown'];
			$checkboxEventBlur		 	= $_POST['checkboxEventBlur'];
			$checkboxEventMouseOver		= $_POST['checkboxEventMouseOver'];
			$checkboxEventMouseOut		= $_POST['checkboxEventMouseOut'];
			$checkboxEventMouseUp		= $_POST['checkboxEventMouseUp'];
			$checkboxEventMouseDown		= $_POST['checkboxEventMouseDown'];
			$xyz_cfm_element_jquery_event_handling_array = array(
					'change'		=> $checkboxEventChange,
					'keyup'			=> $checkboxEventKeyUp,
					'keydown'		=> $checkboxEventKeyDown,
					'blur'			=> $checkboxEventBlur,
					'mouseover'		=> $checkboxEventMouseOver,
					'mouseout'		=> $checkboxEventMouseOut,
					'mouseup'		=> $checkboxEventMouseUp,
					'mousedown'		=> $checkboxEventMouseDown
			);
			$xyz_cfm_element_jquery_event_handling = serialize($xyz_cfm_element_jquery_event_handling_array);
				
			
			$elementType = $id;

			$element_count = $wpdb->query( $wpdb->prepare( "SELECT * FROM ".$wpdb->prefix."xyz_cfm_form_elements WHERE element_name= '%s' AND form_id= %d LIMIT %d,%d", $elementName,$formId,0,1 ) ) ;
			if($element_count == 0){

				$wpdb->insert($wpdb->prefix.'xyz_cfm_form_elements', array(
						'form_id' =>$formId,
						'element_name'=>$elementName,
						'element_type'=>$elementType,
						'element_required'=>$required,
						'css_class'=>$className,
						'options'=>$options,
						'client_view_check_radio_line_break_count'=>$optionLineBreakCount,
						'default_value'=>$defaultValue,
						'element_error_messages'=>$xyz_cfm_element_error_message,
						'element_diplay_name'	=>	'',
						'max_length'	=>	'',
						'cols'	=>	'',
						'rows'	=>	'',
						'file_size'	=>	'',
						'file_type'	=>	'',
						'file_mode' =>  '',
						're_captcha'	=>	0,
						'min_value'	=>	'',
						'max_value'	=>	'',
						'placeholder'	=>	'',
						'client_view_multi_select_drop_down'	=>	0,
						'hidden_radio_option'	=>	0,
						'hidden_value_dropdown'	=>	0,
						'allow_decimal'	=>	0,
						'jquery_event_handling_code'=>$xyz_cfm_element_jquery_event_handling
						),
						array('%d','%s','%d','%d','%s','%s','%d','%s','%s','%s','%s','%s','%s','%s','%s','%d','%d','%s','%s','%s','%d','%d','%d','%d','%s'));
				$lastElementId = $wpdb->insert_id;
				echo "Copy this code and paste it into the form left.<br/>Code is [checkbox-".$lastElementId."]";
			}else{
				echo "<font color=red>Element name already exists.</font>";
			}

		}else{
			echo "<font color=red>Form element name must start with alphabet and must be alphanumeric .</font>";
		}
	}

	if($id == 7){

		$required = $_POST['required'];

		$elementName = str_replace(' ','',$_POST['elementName']);
		$elementNameTest = str_replace('_','',$elementName);

		if(ctype_alnum($elementNameTest) && ctype_alpha($elementNameTest[0])){
				
			$className = $_POST['className'];
			$options = xyz_cfm_trimOptions($_POST['options']);
			$defaultValue = xyz_cfm_trimOptions($_POST['defaultValue']);
			$formId = $_POST['formId'];
			$optionLineBreakCount = $_POST['optionLineBreakCount'];
			$elementType = $id;
			
			$xyz_cfm_empty_radio_error_message = $_POST['xyz_cfm_empty_radio_field_error_message'];
			$xyz_cfm_element_error_message_array = array('select_atleast_one_radiobutton'=>$xyz_cfm_empty_radio_error_message);
			$xyz_cfm_element_error_message = serialize($xyz_cfm_element_error_message_array);
				
			$radioEventChange		= $_POST['radioEventChange'];
			$radioEventKeyUp			= $_POST['radioEventKeyUp'];
			$radioEventKeyDown		= $_POST['radioEventKeyDown'];
			$radioEventBlur		 	= $_POST['radioEventBlur'];
			$radioEventMouseOver		= $_POST['radioEventMouseOver'];
			$radioEventMouseOut		= $_POST['radioEventMouseOut'];
			$radioEventMouseUp		= $_POST['radioEventMouseUp'];
			$radioEventMouseDown		= $_POST['radioEventMouseDown'];
			$xyz_cfm_element_jquery_event_handling_array = array(
					'change'		=> $radioEventChange,
					'keyup'			=> $radioEventKeyUp,
					'keydown'		=> $radioEventKeyDown,
					'blur'			=> $radioEventBlur,
					'mouseover'		=> $radioEventMouseOver,
					'mouseout'		=> $radioEventMouseOut,
					'mouseup'		=> $radioEventMouseUp,
					'mousedown'		=> $radioEventMouseDown
			);
			$xyz_cfm_element_jquery_event_handling = serialize($xyz_cfm_element_jquery_event_handling_array);
			

			$element_count = $wpdb->query( $wpdb->prepare( "SELECT * FROM ".$wpdb->prefix."xyz_cfm_form_elements WHERE element_name= '%s' AND form_id= %d LIMIT %d,%d", $elementName,$formId,0,1 ) ) ;
			if($element_count == 0){

				$wpdb->insert($wpdb->prefix.'xyz_cfm_form_elements', array(
						'form_id' =>$formId,
						'element_diplay_name'=>'',
						'element_name'=>$elementName,
						'element_type'=>$elementType,
						'element_required'=>$required,
						'css_class'=>$className,
						'options'=>$options,
						'client_view_check_radio_line_break_count'=>$optionLineBreakCount,
						'default_value'=>$defaultValue,
						'element_error_messages'=>$xyz_cfm_element_error_message,
						'max_length'	=>	'',
						'cols'	=>	'',
						'rows'	=>	'',
						'file_size'	=>	'',
						'file_type'	=>	'',
						'file_mode' =>  '',
						're_captcha'	=>	0,
						'min_value'	=>	'',
						'max_value'	=>	'',
						'placeholder'	=>	'',
						'client_view_multi_select_drop_down'	=>	0,
						'hidden_radio_option'	=>	0,
						'hidden_value_dropdown'	=>	0,
						'allow_decimal'	=>	0,
						'jquery_event_handling_code'=>$xyz_cfm_element_jquery_event_handling
						),
						array('%d','%s','%s','%d','%d','%s','%s','%d','%s','%s','%s','%s','%s','%s','%s','%d','%d','%s','%s','%s','%d','%d','%d','%d','%s'));
				$lastElementId = $wpdb->insert_id;
				echo "Copy this code and paste it into the form left.<br/>Code is [radiobutton-".$lastElementId."]";
			}else{
				echo "<font color=red>Element name already exists.</font>";
			}
		}else{
			echo "<font color=red>Form element name must start with alphabet and must be alphanumeric .</font>";
		}
	}

	if($id == 8){

		$required = $_POST['required'];

		$elementName = str_replace(' ','',$_POST['elementName']);
		$elementNameTest = str_replace('_','',$elementName);

		if(ctype_alnum($elementNameTest) && ctype_alpha($elementNameTest[0])){
				
			$className = $_POST['className'];
			$fileSize = abs(intval($_POST['fileSize']));
			if($fileSize == 0 ) {
				$fileSize = '';
			}
			$fileType = $_POST['fileType'];
			$fileMode = $_POST['fileMode'];
			
			$xyz_cfm_empty_file_error_message = $_POST['xyz_cfm_empty_file_field_error_message'];
			$xyz_cfm_empty_file_format_field_error_message = $_POST['xyz_cfm_empty_file_format_field_error_message'];
			$xyz_cfm_empty_file_max_size_field_error_message = $_POST['xyz_cfm_empty_file_max_size_field_error_message'];
			$xyz_cfm_element_error_message_array = array('upload_file'=>$xyz_cfm_empty_file_error_message,
					 'file_format_not_accepted_please_enter_this_format_files'=>$xyz_cfm_empty_file_format_field_error_message,
					'file_size_too_large_max_file_size'=>$xyz_cfm_empty_file_max_size_field_error_message);
			$xyz_cfm_element_error_message = serialize($xyz_cfm_element_error_message_array);
			
			$fileEventChange		= $_POST['fileEventChange'];
			$fileEventKeyUp			= $_POST['fileEventKeyUp'];
			$fileEventKeyDown		= $_POST['fileEventKeyDown'];
			$fileEventBlur		 	= $_POST['fileEventBlur'];
			$fileEventMouseOver		= $_POST['fileEventMouseOver'];
			$fileEventMouseOut		= $_POST['fileEventMouseOut'];
			$fileEventMouseUp		= $_POST['fileEventMouseUp'];
			$fileEventMouseDown		= $_POST['fileEventMouseDown'];
			$xyz_cfm_element_jquery_event_handling_array = array(
					'change'		=> $fileEventChange,
					'keyup'			=> $fileEventKeyUp,
					'keydown'		=> $fileEventKeyDown,
					'blur'			=> $fileEventBlur,
					'mouseover'		=> $fileEventMouseOver,
					'mouseout'		=> $fileEventMouseOut,
					'mouseup'		=> $fileEventMouseUp,
					'mousedown'		=> $fileEventMouseDown
			);
			$xyz_cfm_element_jquery_event_handling = serialize($xyz_cfm_element_jquery_event_handling_array);
				
			
			$formId = $_POST['formId'];
			
			$elementType = $id;

			$element_count = $wpdb->query( $wpdb->prepare( "SELECT * FROM ".$wpdb->prefix."xyz_cfm_form_elements WHERE element_name= '%s' AND form_id= %d LIMIT %d,%d", $elementName,$formId,0,1 ) ) ;
			if($element_count == 0){

				$wpdb->insert($wpdb->prefix.'xyz_cfm_form_elements', array(
						'form_id' =>$formId,
						'element_diplay_name'=>'',
						'element_name'=>$elementName,
						'element_type'=>$elementType,
						'element_required'=>$required,
						'css_class'=>$className,
						'file_size'=>$fileSize,
						'file_type'=>$fileType,
						'file_mode' =>$fileMode,
						'element_error_messages'=>$xyz_cfm_element_error_message,
						'max_length'	=>	'',
						'default_value'	=>	'',
						'cols'	=>	'',
						'rows'	=>	'',
						'options'	=>	'',
						're_captcha'	=>	0,
						'min_value'	=>	'',
						'max_value'	=>	'',
						'placeholder'	=>	'',
						'client_view_check_radio_line_break_count'	=>	0,
						'client_view_multi_select_drop_down'	=>	0,
						'hidden_radio_option'	=>	0,
						'hidden_value_dropdown'	=>	0,
						'allow_decimal'	=>	0,
						'jquery_event_handling_code'=>$xyz_cfm_element_jquery_event_handling
						),
						array('%d','%s','%s','%d','%d','%s','%s','%s','%d','%s','%s','%s','%s','%s','%s','%d','%s','%s','%s','%d','%d','%d','%d','%d','%s'));
				$lastElementId = $wpdb->insert_id;
				echo "Copy this code and paste it into the form left.<br/>Code is [file-".$lastElementId."]";
			}else{
				echo "<font color=red>Element name already exists.</font>";
			}

		}else{
			echo "<font color=red>Form element name must start with alphabet and must be alphanumeric .</font>";
		}
	}

	if($id == 9){

		$displayName = $_POST['displayName'];
		$elementName = str_replace(' ','',$_POST['elementName']);
		$elementNameTest = str_replace('_','',$elementName);

		if(ctype_alnum($elementNameTest) && ctype_alpha($elementNameTest[0])){
				
			$className = $_POST['className'];
			$formId = $_POST['formId'];
			
			$submitEventChange		= $_POST['submitEventChange'];
			$submitEventKeyUp			= $_POST['submitEventKeyUp'];
			$submitEventKeyDown		= $_POST['submitEventKeyDown'];
			$submitEventBlur		 	= $_POST['submitEventBlur'];
			$submitEventMouseOver		= $_POST['submitEventMouseOver'];
			$submitEventMouseOut		= $_POST['submitEventMouseOut'];
			$submitEventMouseUp		= $_POST['submitEventMouseUp'];
			$submitEventMouseDown		= $_POST['submitEventMouseDown'];
			$xyz_cfm_element_jquery_event_handling_array = array(
					'change'		=> $submitEventChange,
					'keyup'			=> $submitEventKeyUp,
					'keydown'		=> $submitEventKeyDown,
					'blur'			=> $submitEventBlur,
					'mouseover'		=> $submitEventMouseOver,
					'mouseout'		=> $submitEventMouseOut,
					'mouseup'		=> $submitEventMouseUp,
					'mousedown'		=> $submitEventMouseDown
			);
			$xyz_cfm_element_jquery_event_handling = serialize($xyz_cfm_element_jquery_event_handling_array);
			
			
			$elementType = $id;
			
			$element_count = $wpdb->query( $wpdb->prepare( "SELECT * FROM ".$wpdb->prefix."xyz_cfm_form_elements WHERE element_type= %d AND form_id= %d LIMIT %d,%d", 9,$formId,0,1 ) ) ;
			if($element_count == 0){

				$wpdb->insert($wpdb->prefix.'xyz_cfm_form_elements', array(
						'form_id' =>$formId,
						'element_diplay_name'=>$displayName,
						'element_name'=>$elementName,
						'element_type'=>$elementType,
						'css_class'=>$className,
						'element_required'	=>	'1',
						'max_length'	=>	'',
						'default_value'	=>	'',
						'cols'	=>	'',
						'rows'	=>	'',
						'options'	=>	'',
						'file_size'	=>	'',
						'file_type'	=>	'',
						'file_mode' =>  '',
						're_captcha'	=>	0,
						'min_value'	=>	'',
						'max_value'	=>	'',
						'placeholder'	=>	'',
						'element_error_messages'	=>	'',
						'client_view_check_radio_line_break_count'	=>	0,
						'client_view_multi_select_drop_down'	=>	0,
						'hidden_radio_option'	=>	0,
						'hidden_value_dropdown'	=>	0,
						'allow_decimal'	=>	0,
						'jquery_event_handling_code'=>$xyz_cfm_element_jquery_event_handling
						),
						array('%d','%s','%s','%s','%d','%s','%d','%s','%s','%s','%s','%s','%s','%d','%s','%d','%s','%s','%s','%s','%d','%d','%d','%d','%d','%s'));
				$lastElementId = $wpdb->insert_id;
				echo "Copy this code and paste it into the form left.<br/>Code is [submit-".$lastElementId."]";
			}else{
				echo "<font color=red>Element already exists.</font>";
			}

		}else{
			echo "<font color=red>Form element name must start with alphabet and must be alphanumeric .</font>";
		}
	}

	if($id == 10){

		$required = 1;
		$elementName = str_replace(' ','',$_REQUEST['elementName']);
		$elementNameTest = str_replace('_','',$elementName);

		if(ctype_alnum($elementNameTest) && ctype_alpha($elementNameTest[0])){
				
			$className = $_REQUEST['className'];
			$formId = $_REQUEST['formId'];
			
			$captchaEventChange		= $_POST['captchaEventChange'];
			$captchaEventKeyUp			= $_POST['captchaEventKeyUp'];
			$captchaEventKeyDown		= $_POST['captchaEventKeyDown'];
			$captchaEventBlur		 	= $_POST['captchaEventBlur'];
			$captchaEventMouseOver		= $_POST['captchaEventMouseOver'];
			$captchaEventMouseOut		= $_POST['captchaEventMouseOut'];
			$captchaEventMouseUp		= $_POST['captchaEventMouseUp'];
			$captchaEventMouseDown		= $_POST['captchaEventMouseDown'];
			$xyz_cfm_element_jquery_event_handling_array = array(
					'change'		=> $captchaEventChange,
					'keyup'			=> $captchaEventKeyUp,
					'keydown'		=> $captchaEventKeyDown,
					'blur'			=> $captchaEventBlur,
					'mouseover'		=> $captchaEventMouseOver,
					'mouseout'		=> $captchaEventMouseOut,
					'mouseup'		=> $captchaEventMouseUp,
					'mousedown'		=> $captchaEventMouseDown
			);
			$xyz_cfm_element_jquery_event_handling = serialize($xyz_cfm_element_jquery_event_handling_array);
				
			
			$elementType = $id;
			
			$xyz_cfm_empty_captcha_error_message = $_POST['xyz_cfm_empty_captcha_field_error_message'];
			$xyz_cfm_empty_captcha_not_match_field_error_message = $_POST['xyz_cfm_empty_captcha_not_match_field_error_message'];
			$xyz_cfm_element_error_message_array = array('fill_captch_field'=>$xyz_cfm_empty_captcha_error_message,
					'captcha_content_not_matched'=>$xyz_cfm_empty_captcha_not_match_field_error_message);
			
			$xyz_cfm_element_error_message = serialize($xyz_cfm_element_error_message_array);
				
			
			$reCaptcha  = $_REQUEST['reCaptcha'];
			
			$element_count = $wpdb->query( $wpdb->prepare( "SELECT * FROM ".$wpdb->prefix."xyz_cfm_form_elements WHERE element_type= %d AND form_id= %d LIMIT %d,%d", 10,$formId,0,1 ) ) ;
			if($element_count == 0){
					
				$wpdb->insert($wpdb->prefix.'xyz_cfm_form_elements', array(
						'form_id' =>$formId,
						'element_required'=>$required,
						'element_name'=>$elementName,
						'element_type'=>$elementType,
						'css_class'=>$className,
						're_captcha'=>$reCaptcha,
						'element_error_messages'=>$xyz_cfm_element_error_message,
						'element_diplay_name'	=>	'',
						'max_length'	=>	'',
						'default_value'	=>	'',
						'cols'	=>	'',
						'rows'	=>	'',
						'options'	=>	'',
						'file_size'	=>	'',
						'file_type'	=>	'',
						'file_mode' =>  '',
						'min_value'	=>	'',
						'max_value'	=>	'',
						'placeholder'	=>	'',
						'client_view_check_radio_line_break_count'	=>	0,
						'client_view_multi_select_drop_down'	=>	0,
						'hidden_radio_option'	=>	0,
						'hidden_value_dropdown'	=>	0,
						'allow_decimal'	=>	0,
						'jquery_event_handling_code'=>$xyz_cfm_element_jquery_event_handling
						),
						array('%d','%d','%s','%d','%s','%d','%s','%s','%s','%s','%s','%s','%s','%s','%s','%d','%s','%s','%s','%d','%d','%d','%d','%d','%s'));
					
					
				$lastElementId = $wpdb->insert_id;
				echo "Copy this code and paste it into the form left.<br/>Code is [captcha-".$lastElementId."]";
			}else{
				echo "<font color=red>Element already exists.</font>";
			}

		}else{
			echo "<font color=red>Form element name must start with alphabet and must be alphanumeric .</font>";
		}
	}
	
	if($id == 11){
	
		$elementName = str_replace(' ','',$_POST['elementName']);
		$elementNameTest = str_replace('_','',$elementName);
	
		if(ctype_alnum($elementNameTest) && ctype_alpha($elementNameTest[0])){
	
			$radioOption = $_POST['radioOption'];
			$defaultValue = $_POST['defaultValue'];
			$defaultValueDropdown = $_POST['defaultValueDropdown'];
			$formId = $_POST['formId'];
			
			$elementType = $id;
			
			$element_count = $wpdb->query( $wpdb->prepare( "SELECT * FROM ".$wpdb->prefix."xyz_cfm_form_elements WHERE element_name= '%s' AND form_id= %d LIMIT %d,%d", $elementName,$formId,0,1 ) ) ;
			if($element_count == 0){
				$wpdb->insert($wpdb->prefix.'xyz_cfm_form_elements', array(
						'form_id' =>$formId,
						'element_name'=>$elementName,
						'element_type'=>$elementType,
						'default_value'=>$defaultValue,
						'hidden_radio_option'=>$radioOption,
						'hidden_value_dropdown'=>$defaultValueDropdown,
						'element_required'	=>	'1',
						'element_diplay_name'	=>	'',
						'css_class'	=>	'',
						'max_length'	=>	'',
						'cols'	=>	'',
						'rows'	=>	'',
						'options'	=>	'',
						'file_size'	=>	'',
						'file_type'	=>	'',
						'file_mode' =>  '',
						're_captcha'	=>	0,
						'min_value'	=>	'',
						'max_value'	=>	'',
						'placeholder'	=>	'',
						'element_error_messages'	=>	'',
						'client_view_check_radio_line_break_count'	=>	0,
						'client_view_multi_select_drop_down'	=>	0,
						'allow_decimal'	=>	0,
						'jquery_event_handling_code'=>''
						),
						array('%d','%s','%d','%s','%d','%d','%s','%s','%s','%s','%s','%s','%s','%s','%d','%d','%s','%s','%s','%s','%d','%d','%d','%s'));
				$lastElementId = $wpdb->insert_id;
				echo "Copy this code and paste it into the form left.<br/>Code is [hidden-".$lastElementId."]";
			}else{
				echo "<font color=red>Element name already exists.</font>";
			}
	
		}else{
			echo "<font color=red>Form element name must start with alphabet and must be alphanumeric .</font>";
		}
	
	}
	
	if($id == 12){
		$error = 0;
		$minValue = '';
		$maxValue = '';

		$elementName = str_replace(' ','',$_POST['elementName']);
		$elementNameTest = str_replace('_','',$elementName);
		
		if($_POST['minValue'] != ''){
			if(is_numeric($_POST['minValue'])) {
				$minValue = $_POST['minValue'];
			} else {
				$error = 1;
			}
		}
		
		if($_POST['maxValue'] != ''){
			if(is_numeric($_POST['maxValue'])) {
				$maxValue = $_POST['maxValue'];
				if($maxValue < $minValue){
					$error = 1;
				}
			} else {
				$error = 1;
			}
		}
		
		if($error == 0){
			if(ctype_alnum($elementNameTest) && ctype_alpha($elementNameTest[0])){
				$placeHolder = $_POST['placeHolder'];
				$required = $_POST['required'];
				$className = $_POST['className'];
				$allowDecimalValue = $_POST['allowDecimalValue'];
				$defaultValue = $_POST['defaultValue'];
				$formId = $_POST['formId'];
				
				
				$xyz_cfm_empty_numeric_field_error_message = $_POST['xyz_cfm_empty_numeric_field_error_message'];
				$xyz_cfm_not_numeric_field_error_message = $_POST['xyz_cfm_not_numeric_field_error_message'];
				$xyz_cfm_less_than_min_value_numeric_field_error_message = $_POST['xyz_cfm_less_than_min_value_numeric_field_error_message'];
				$xyz_cfm_greater_than_max_value_numeric_field_error_message = $_POST['xyz_cfm_greater_than_max_value_numeric_field_error_message'];
				$xyz_cfm_decimal_not_support_numeric_field_error_message = $_POST['xyz_cfm_decimal_not_support_numeric_field_error_message'];
				
				$xyz_cfm_element_error_message_array = array('fill_numeric_field'=>$xyz_cfm_empty_numeric_field_error_message,
						'enter_numeric_value'=>$xyz_cfm_not_numeric_field_error_message,'less_than_min_value'=>$xyz_cfm_less_than_min_value_numeric_field_error_message,
						'greater_than_max_value'=>$xyz_cfm_greater_than_max_value_numeric_field_error_message,'decimal_not_support'=>$xyz_cfm_decimal_not_support_numeric_field_error_message);
				
				$xyz_cfm_element_error_message = serialize($xyz_cfm_element_error_message_array);
				
				$numericEventChange		= $_POST['numericEventChange'];
				$numericEventKeyUp			= $_POST['numericEventKeyUp'];
				$numericEventKeyDown		= $_POST['numericEventKeyDown'];
				$numericEventBlur		 	= $_POST['numericEventBlur'];
				$numericEventMouseOver		= $_POST['numericEventMouseOver'];
				$numericEventMouseOut		= $_POST['numericEventMouseOut'];
				$numericEventMouseUp		= $_POST['numericEventMouseUp'];
				$numericEventMouseDown		= $_POST['numericEventMouseDown'];
				$xyz_cfm_element_jquery_event_handling_array = array(
						'change'		=> $numericEventChange,
						'keyup'			=> $numericEventKeyUp,
						'keydown'		=> $numericEventKeyDown,
						'blur'			=> $numericEventBlur,
						'mouseover'		=> $numericEventMouseOver,
						'mouseout'		=> $numericEventMouseOut,
						'mouseup'		=> $numericEventMouseUp,
						'mousedown'		=> $numericEventMouseDown
				);
				$xyz_cfm_element_jquery_event_handling = serialize($xyz_cfm_element_jquery_event_handling_array);
				
				
				$elementType = $id;

				$element_count = $wpdb->query($wpdb->prepare( "SELECT * FROM ".$wpdb->prefix."xyz_cfm_form_elements WHERE element_name= '%s' AND form_id= %d LIMIT %d,%d", $elementName,$formId,0,1 )) ;
				if($element_count == 0){

					$wpdb->insert($wpdb->prefix.'xyz_cfm_form_elements', array(
							'form_id' =>$formId,
							'element_name'=>$elementName,
							'element_type'=>$elementType,
							'element_required'=>$required,
							'css_class'=>$className,
							'max_value'=>$maxValue,
							'min_value'=>$minValue,
							'allow_decimal'=>$allowDecimalValue,
							'default_value'=>$defaultValue,
							'placeholder'=>$placeHolder,
							'element_error_messages'=>$xyz_cfm_element_error_message,
							'element_diplay_name'	=>	'',
							'max_length'	=>	'',
							'cols'	=>	'',
							'rows'	=>	'',
							'options'	=>	'',
							'file_size'	=>	'',
							'file_type'	=>	'',
							'file_mode' =>  '',
							're_captcha'	=>	0,
							'client_view_check_radio_line_break_count'	=>	0,
							'client_view_multi_select_drop_down'	=>	0,
							'hidden_radio_option'	=>	0,
							'hidden_value_dropdown'	=>	0,
							'jquery_event_handling_code'=>$xyz_cfm_element_jquery_event_handling
							),
							array('%d','%s','%d','%d','%s','%s','%s','%d','%s','%s','%s','%s','%s','%s','%s','%s','%s','%s','%d','%d','%d','%d','%d','%d','%s'));
					$lastElementId = $wpdb->insert_id;
					
					echo "Copy this code and paste it into the form left.<br/>Code is [numeric-".$lastElementId."]";
				}else{
					echo "<font color=red>Element name already exists.</font>";
				}
		
			}else{
				echo "<font color=red>Form element name must start with alphabet and must be alphanumeric .</font>";
			}
		}else{
			echo "<font color=red>Please check minimum and maximum values .</font>";
		}
	
	}
	}
	die();
}
?>