<?php
add_action('wp_ajax_ajax_load_elements_newsletter_options', 'xyz_wp_cfm_ajax_load_elements_newsletter_options');

function xyz_wp_cfm_ajax_load_elements_newsletter_options() {
	global $wpdb;
	$_POST = stripslashes_deep($_POST);
	$formId = $_POST['formId'];
	$elementId = $_POST['elementId'];
	
	$element_result = $wpdb->get_results($wpdb->prepare( "SELECT * FROM ".$wpdb->prefix."xyz_cfm_form_elements WHERE form_id= %d", $formId)) ;
	?>
	
<script>
jQuery(document).ready(function() {
	jQuery('#hiddenInputCriteriaElementId').val(jQuery('#newsletterUserInputCriteriaOption').val());
	jQuery('#newsletterUserInputCriteriaOption').change(function() {
		var elementDropDownId = jQuery(this).val();
		jQuery('#hiddenInputCriteriaElementId').val(elementDropDownId);
	});
});
</script>
	
	<select id="newsletterUserInputCriteriaOption" name="newsletterUserInputCriteriaOption">
	<?php 

	if( count($element_result)>0 ) {
		$count=1;
		$class = '';
		
		
		foreach ($element_result as $elementDetail){
		$shortCode = '';

		if($elementDetail->element_type == 1){
			$shortCode = "[text-".$elementDetail->id."]";
		}elseif($elementDetail->element_type == 2){
			$shortCode = "[email-".$elementDetail->id."]";
		}elseif($elementDetail->element_type == 3){
			$shortCode = "[textarea-".$elementDetail->id."]";
		}elseif($elementDetail->element_type == 4){
			$shortCode = "[dropdown-".$elementDetail->id."]";
		}elseif($elementDetail->element_type == 5){
			$shortCode = "[date-".$elementDetail->id."]";
		}elseif($elementDetail->element_type == 6){
			$shortCode = "[checkbox-".$elementDetail->id."]";
		}elseif($elementDetail->element_type == 7){
			$shortCode = "[radiobutton-".$elementDetail->id."]";
		}elseif($elementDetail->element_type == 8){
			$shortCode = "[file-".$elementDetail->id."]";
		}elseif($elementDetail->element_type == 9){
			$shortCode = "[submit-".$elementDetail->id."]";
		}elseif($elementDetail->element_type == 10){
			$shortCode = "[captcha-".$elementDetail->id."]";
		}elseif($elementDetail->element_type == 11){
			$shortCode = "[hidden-".$elementDetail->id."]";
		}elseif($elementDetail->element_type == 12){
			$shortCode = "[numeric-".$elementDetail->id."]";
		}elseif($elementDetail->element_type == 13){
			$shortCode = "[richtextarea-".$elementDetail->id."]";
		}

			if($shortCode != ''){
			?>
			
			<option value="<?php echo $elementDetail->id;?>" <?php if($elementId != 0){if($elementId == $elementDetail->id){?>selected="selected"<?php }}?>><?php echo $shortCode;?></option>
			
			<?php 
			}
		}
	}
	?>
	</select>
	
	<?php 
	die();
}