<?php

if ( is_admin() ){

	add_action('admin_menu', 'cfm_premium_menu');
}

function cfm_premium_menu(){
	
	add_menu_page('xyz-wp-contact-form', 'XYZ WP Form', 'manage_options', 'xyz-wp-contact-form-manage','cfm_premium_settings',plugins_url('xyz-wp-contact-form/images/contact.png'));
	
	add_submenu_page('xyz-wp-contact-form-manage','Settings', 'Settings', 'manage_options', 'xyz-wp-contact-form-manage','cfm_premium_settings');
	
	add_submenu_page('xyz-wp-contact-form-manage', 'SMTP Settings', 'SMTP Settings', 'manage_options', 'xyz-wp-contact-form-manage-smtp' ,'cfm_premium_manage_smtp');
	
	add_submenu_page('xyz-wp-contact-form-manage', 'Manage Contact Forms', 'Contact Forms', 'manage_options', 'xyz-wp-contact-form-managecontactforms' ,'cfm_premium_manageforms');
	
	add_submenu_page('xyz-wp-contact-form-manage', 'Contact Requests', 'Contact Requests', 'manage_options', 'xyz-wp-contact-form-submittedforms' ,'cfm_submittedforms');
	
	add_submenu_page('xyz-wp-contact-form-manage', 'License Key', 'License Key', 'manage_options', 'xyz-wp-contact-form-key' ,'xyz_wp_contact_form_license');
	
	add_submenu_page('xyz-wp-contact-form-manage', 'About', 'About', 'manage_options', 'xyz-wp-contact-form-about' ,'cfm_premium_about');
	
}
function cfm_premium_settings(){
	require( dirname( __FILE__ ) . '/header.php' );
	require( dirname( __FILE__ ) . '/setting.php' );
	require( dirname( __FILE__ ) . '/footer.php' );
}

function xyz_wp_contact_form_license(){
	require( dirname( __FILE__ ) . '/xyz-wp-contact-form-key.php' );
}

function cfm_premium_manage_smtp(){
	require( dirname( __FILE__ ) . '/header.php' );

	$smtpflag=0;
	if(isset($_GET['action']) && ($_GET['action']=='smtp-block' || $_GET['action']=='smtp-activate')){
		include(dirname( __FILE__ ) . '/smtp_status.php');
		$smtpflag=1;
	}
	
	if(isset($_GET['action']) && $_GET['action']=='add-smtp' ){
		include( dirname( __FILE__ ) . '/add_smtp.php' );
		$smtpflag=1;
	}

	if(isset($_GET['action']) && $_GET['action']=='smtp-edit' ){
		include(dirname( __FILE__ ) . '/smtp_edit.php');
		$smtpflag=1;
	}

	if(isset($_GET['action']) && $_GET['action']=='smtp-delete' ){
		include(dirname( __FILE__ ) . '/smtp_delete.php');
		$smtpflag=1;
	}

	if($smtpflag==0){
		require( dirname( __FILE__ ) . '/manage_smtp.php' );
	}
	require( dirname( __FILE__ ) . '/footer.php' );
}

function cfm_premium_manageforms(){
	$formflag = 0;
	if(isset($_GET['action']) && $_GET['action']=='form-copy' )
	{
		include(dirname( __FILE__ ) . '/form-copy.php');
		$formflag=1;
	}
	if(isset($_GET['action']) && $_GET['action']=='form-delete' )
	{
		include(dirname( __FILE__ ) . '/form-delete.php');
		$formflag=1;
	}
	if(isset($_GET['action']) && $_GET['action']=='form-edit' )
	{
		require( dirname( __FILE__ ) . '/header.php' );
		include(dirname( __FILE__ ) . '/form-edit.php');
		require( dirname( __FILE__ ) . '/footer.php' );
		$formflag=1;
	}
	if(isset($_GET['action']) && $_GET['action']=='form-add' )
	{
		require( dirname( __FILE__ ) . '/header.php' );
		require( dirname( __FILE__ ) . '/add-contact-form.php' );
		require( dirname( __FILE__ ) . '/footer.php' );
		$formflag=1;
	}
	if($formflag == 0){
		require( dirname( __FILE__ ) . '/header.php' );
		require( dirname( __FILE__ ) . '/manage-contact-forms.php' );
		require( dirname( __FILE__ ) . '/footer.php' );
	}
}

function cfm_premium_about(){
	require( dirname( __FILE__ ) . '/header.php' );
	require( dirname( __FILE__ ) . '/about.php' );
	require( dirname( __FILE__ ) . '/footer.php' );
}

function cfm_submittedforms(){
	$formflag = 0;
	
	if(isset($_GET['action']) && $_GET['action']=='submitted-form-delete-by-date' ){
		require( dirname( __FILE__ ) . '/header.php' );
		require( dirname( __FILE__ ) . '/form-submitted-delete-by-date.php' );
		require( dirname( __FILE__ ) . '/footer.php' );
		$formflag=1;
	}
	
	if(isset($_GET['action']) && $_GET['action']=='submitted-form-export-csv-choose-form' ){
		require( dirname( __FILE__ ) . '/header.php' );
		require( dirname( __FILE__ ) . '/form-submitted-export-csv-choose-form.php' );
		require( dirname( __FILE__ ) . '/footer.php' );
		$formflag=1;
	}
	if(isset($_GET['action']) && $_GET['action']=='submitted-form-export-csv' ){
		require( dirname( __FILE__ ) . '/header.php' );
		require( dirname( __FILE__ ) . '/form-submitted-export-csv.php' );
		require( dirname( __FILE__ ) . '/footer.php' );
		$formflag=1;
	}
	if(isset($_GET['action']) && $_GET['action']=='submitted-form-details' ){
		require( dirname( __FILE__ ) . '/header.php' );
		require( dirname( __FILE__ ) . '/form-submitted-details.php' );
		require( dirname( __FILE__ ) . '/footer.php' );
		$formflag=1;
	}
	if(isset($_GET['action']) && $_GET['action']=='submitted-form-delete' ){
		
		include(dirname( __FILE__ ) . '/form-submitted-delete.php');
		$formflag=1;
	}
	if(isset($_GET['action']) && $_GET['action']=='file-download' ){
	
		include(dirname( __FILE__ ) . '/download.php');
		$formflag=1;
	}
	if($formflag == 0){
		require( dirname( __FILE__ ) . '/header.php' );
		require( dirname( __FILE__ ) . '/manage-submitted-forms.php' );
		require( dirname( __FILE__ ) . '/footer.php' );
	}
}



function xyz_wp_cfm_add_style_script()
{
	
	wp_register_script( 'xyz_notice_script', plugins_url('xyz-wp-contact-form/js/notice.js') );
	wp_enqueue_script( 'xyz_notice_script' );
	// Register stylesheets
	wp_register_style('xyz_cfm_style', plugins_url('xyz-wp-contact-form/css/xyz_cfm_styles.css'));
	wp_enqueue_style('xyz_cfm_style');
}
add_action('admin_enqueue_scripts', 'xyz_wp_cfm_add_style_script');




function xyz_wp_cfm_shortcode_style(){
	
	if (stripos(get_option('siteurl'), 'https://') === 0)
		$css_cfm_pm_url = 'https://ajax.googleapis.com/ajax/libs/jqueryui/1.8.2/themes/smoothness/jquery-ui.css';
	else
		$css_cfm_pm_url = 'http://ajax.googleapis.com/ajax/libs/jqueryui/1.8.2/themes/smoothness/jquery-ui.css';
	wp_enqueue_script('jquery');
	wp_enqueue_script('jquery-ui-datepicker');
	wp_enqueue_style('jquery-style', $css_cfm_pm_url);
	
	
	// Register stylesheets
	wp_register_style('xyz_cfm_short_code_style', plugins_url('xyz-wp-contact-form/css/xyz_cfm_shortcode_style.css'));
	wp_enqueue_style('xyz_cfm_short_code_style');
}
add_action('init', 'xyz_wp_cfm_shortcode_style');



?>