<?php 

////*****************************Sidebar Widget**********************************////


class XYZ_WP_CFM_Premium_Widget extends WP_Widget {
 
 
    /** constructor -- name this the same as the class above */
    function XYZ_WP_CFM_Premium_Widget() {
        parent::WP_Widget(false, $name = 'XYZ WP Contact Form');	 //XYZ WP Newsletter
    }
 
    /** @see WP_Widget::widget -- do not rename this */
    function widget($args, $instance) {	
    	extract( $args );
    	
    	
    	/**/
    	require_once ABSPATH . WPINC . '/class-phpmailer.php';
    	require_once ABSPATH . WPINC . '/class-smtp.php';
    	
    	/* tracking files*/
    	include_once(realpath(dirname(__FILE__)).'/browser/browser.php');
    	include_once(realpath(dirname(__FILE__)).'/geo/geoip.inc');
    	/* tracking files*/
    	
    	include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
    	
    	$pluginName = 'contact-form-manager/contact-form-manager.php';
    	
    	if(!is_plugin_active('wp-recaptcha/wp-recaptcha.php') && (!is_plugin_active($pluginName))){
    		require_once dirname(XYZ_CFM_PLUGIN_FILE_PREMIUM)."/recaptcha/recaptchalib.php";
    	}
    	set_time_limit(0);
    	/**/
    	
    	/**/
    	
    	
    	echo premium_display_form(array('id'=>$instance['message']));
        
        
    }
    
   
 
    /** @see WP_Widget::update -- do not rename this */
    function update($new_instance, $old_instance) {		
		$instance = $old_instance;
		//$instance['title'] = strip_tags($new_instance['title']);
		$instance['message'] = strip_tags($new_instance['message']);
        return $instance;
    }
 
    /** @see WP_Widget::form -- do not rename this */
    function form($instance) {	
    	global $wpdb;
    	$entries = $wpdb->get_results( "SELECT * FROM ".$wpdb->prefix."xyz_cfm_form WHERE status='1'  ORDER BY id DESC" );
    	if(isset($instance['message'])){
        	$message	= esc_attr($instance['message']);
    	}else{
    		$message = '';
    	}
        ?>
        
		<p>
          <label for="<?php echo $this->get_field_id('message'); ?>"><?php _e('Choose Contact Form :'); ?></label> 
          <!--  <input class="widefat" id="<?php echo $this->get_field_id('message'); ?>" name="<?php echo $this->get_field_name('message'); ?>" type="text" value="<?php echo $message; ?>" />-->
          <select name="<?php echo $this->get_field_name('message'); ?>">
          <?php 
					if( count($entries)>0 ) {
						$count=1;
						$class = '';
						foreach( $entries as $entry ) {
					?>
					<option value="<?php echo $entry->id;?>" <?php if($message==$entry->id)echo "selected"; ?>><?php echo $entry->name;?></option>
					<?php 		
						}
					}
					
					?>
          </select>
        </p>
        <?php 
    }
 
 
} // end class XYZ_WP_CFM_Premium_Widget
add_action('widgets_init', create_function('', 'return register_widget("XYZ_WP_CFM_Premium_Widget");'));

?>