<?php

/* Local time Insert */
if(!function_exists('xyz_local_date_time_create')){
	function xyz_local_date_time_create($timestamp){
		return $timestamp - ( get_option( 'gmt_offset' ) * HOUR_IN_SECONDS );
	}
}


/* Local time formating */
if(!function_exists('xyz_local_date_time')){
	function xyz_local_date_time($format,$timestamp){
		return date($format, $timestamp + ( get_option( 'gmt_offset' ) * HOUR_IN_SECONDS ));
	}
}

/* math Captcha */
if(!function_exists('xyz_math_verification')){
	function xyz_math_verification($form_field_name,$counter,$check=0)
	{
		if($check==0)
		{
			$op1=rand(0,9);
			$op2=rand(0,9);
			$symbol_arr=array("+","-");
			$symbol=$symbol_arr[rand(0,1)];
			if($op2>$op1)
				list($op2,$op1) = array($op1,$op2); //swap
			
				setcookie("xyz_math_".$form_field_name.$counter,md5(eval("return (".$op1.$symbol.$op2.");")));
				
				$translation = explode(',',get_option('xyz_cfm_pm_numerals_language'));
				$op1 = $translation[$op1];
				$op2 = $translation[$op2];
			return $op1." ".$symbol." ".$op2." = " ;
		}
		else
		{
			return ( $_COOKIE["xyz_math_".$form_field_name.$counter]==md5($_REQUEST[$form_field_name]) ? true : false );
		}
	}
}

/* new file name creation*/
if(!function_exists('xyz_insert_file')){
function xyz_insert_file($path, $fileName, $i, $extension){
	
	
	$firstFileName=$fileName;
	if($i != 0){
		$fileName = $fileName.$i;
	}
	if (!file_exists($path."/".$fileName.".".$extension)) {
		return $fileName.".".$extension;
	} else {
		$j = $i + 1;
		return xyz_insert_file($path, $firstFileName, $j, $extension);
	}
}

}
/* new file name creation*/


if(!function_exists('xyz_curPageURL')){
function xyz_curPageURL() {
	$pageURL = 'http';
	if (isset($_SERVER["HTTPS"]) && $_SERVER["HTTPS"] == "on") {$pageURL .= "s";}
	$pageURL .= "://";
	if ($_SERVER["SERVER_PORT"] != "80") {
		$pageURL .= $_SERVER["SERVER_NAME"].":".$_SERVER["SERVER_PORT"].$_SERVER["REQUEST_URI"];
	} else {
		$pageURL .= $_SERVER["SERVER_NAME"].$_SERVER["REQUEST_URI"];
	}
	return $pageURL;
}
}

/* filter function for dropdown, radio button and checkbox*/
if(!function_exists('xyz_cfm_trimOptions')){
	function xyz_cfm_trimOptions($string){
		$explodeArray = explode(',',$string);
		$tempArray = array();
		$newArray = array();
	
		foreach ($explodeArray as $key => $value){
			if(trim($value) != ''){
				if(strpos($value, '=>')){
					$explodeArrowArray = explode('=>',$value);
					$tempArrayArrowKey = trim($explodeArrowArray[0]);
					$tempArrayArrowValue = trim($explodeArrowArray[1]);
					if(!array_key_exists($tempArrayArrowKey,$tempArray)){
						$tempArray[$tempArrayArrowKey] = $tempArrayArrowValue;
						$newArray[] = $tempArrayArrowKey.'=>'.$tempArrayArrowValue;
					}
				}else{
					$tempArrayKey = trim($value);
					if(!array_key_exists($tempArrayKey,$tempArray)){
						$tempArray[trim($value)] = trim($value);
						$newArray[] = trim($value);
					}
				}
			}
		}
		return implode(',', $newArray);
	}
}

/**/


if(!function_exists('xyz_trim_deep'))
{

function xyz_trim_deep($value) {
	if ( is_array($value) ) {
		$value = array_map('xyz_trim_deep', $value);
	} elseif ( is_object($value) ) {
		$vars = get_object_vars( $value );
		foreach ($vars as $key=>$data) {
			$value->{$key} = xyz_trim_deep( $data );
		}
	} else {
		$value = trim($value);
	}

	return $value;
}

}

if(!function_exists('esc_textarea'))
{
	function esc_textarea($text)
	{
		$safe_text = htmlspecialchars( $text, ENT_QUOTES );
		return $safe_text;
	}
}

if(!function_exists('xyz_cfm_premium_plugin_get_version'))
{
	function xyz_cfm_premium_plugin_get_version() 
	{
		if ( ! function_exists( 'get_plugins' ) )
			require_once( ABSPATH . 'wp-admin/includes/plugin.php' );
		$plugin_folder = get_plugins( '/' . plugin_basename( dirname( XYZ_CFM_PLUGIN_FILE_PREMIUM ) ) );
		// 		print_r($plugin_folder);
		return $plugin_folder['xyz-wp-contact-form.php']['Version'];
	}
}

/* Include Addon files*/
if(!function_exists('xyz_cfm_include_addon_file')){
	function xyz_cfm_include_addon_file($filename){
		$xyz_plugin_dir_path=dirname( __FILE__ );
		if(is_dir($xyz_plugin_dir_path."/addons/"))
		{
			$xyz_addons_dir_path=$xyz_plugin_dir_path."/addons/";

			$d = dir($xyz_addons_dir_path);
			if($d)
			{
				while($entry = $d->read())
				{
					if($entry=="." || $entry=="..")
						continue;

					if (file_exists($xyz_addons_dir_path.$entry."/".$filename)) {
						require_once($xyz_addons_dir_path.$entry."/".$filename);
					}

				}
				$d->close();
			}
		}
	}
}

if(!function_exists('xyz_cfm_premium_links')){
function xyz_cfm_premium_links($links, $file) {
	$base = plugin_basename(XYZ_CFM_PLUGIN_FILE_PREMIUM);
	if ($file == $base) {
		if(get_option('xyz_cfm_premium_latest_version')!= xyz_cfm_premium_plugin_get_version())
			$links[] = '<a href="'.get_admin_url().'admin-ajax.php?action=xyz_wp_cfm_premium_update_info&width=640&height=596" id="xyz_update" class="thickbox" title="XYZ WP Contact Form">' . __('Update available') . '</a>';
		
		$links[] = '<a href="http://kb.xyzscripts.com/wordpress-plugins/xyz-wp-contact-form/"  title="FAQ">FAQ</a>';
		$links[] = '<a href="http://docs.xyzscripts.com/wordpress-plugins/xyz-wp-contact-form/"  title="Read Me">README</a>';
		$links[] = '<a href="http://xyzscripts.com/donate/1" title="Donate">Donate</a>';
		$links[] = '<a href="http://xyzscripts.com/support/" class="xyz_support" title="Support"></a>';
		$links[] = '<a href="http://twitter.com/xyzscripts" class="xyz_twitt" title="Follow us on Twitter"></a>';
		$links[] = '<a href="https://www.facebook.com/xyzscripts" class="xyz_fbook" title="Like us on Facebook"></a>';
		$links[] = '<a href="https://plus.google.com/+Xyzscripts/" class="xyz_gplus" title="+1 us on Google+"></a>';
		$links[] = '<a href="http://www.linkedin.com/company/xyzscripts" class="xyz_linkedin" title="Follow us on LinkedIn"></a>';
	}
	return $links;
}
}
add_filter( 'plugin_row_meta','xyz_cfm_premium_links',10,2);

?>