<?php 
/*
Plugin Name: XYZ WP Contact Form
Plugin URI: http://xyzscripts.com/wordpress-plugins/xyz-wp-contact-form/
Description: Create  and manage multiple contact forms for your website. The plugin supports a wide range of form elements such as text field, email field, textarea, dropdown list, radio button, checkbox, date picker, captcha, file uploader, hidden field, numeric field, rich text area etc. Shortcodes are generated such that, you can modify form element properties without having to replace the shortcode everytime. Also the plugin supports tracking  and exporting of contact requests from admin panel.          
Version: 1.3.1
Author: xyzscripts.com
Author URI: http://xyzscripts.com/
Text Domain: xyz-wp-contact-form
License: GPLv2 or later
*/

/*
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

if ( !function_exists( 'add_action' ) ) 
{
	echo "Hi there!  I'm just a plugin, not much I can do when called directly.";
	exit;
}

ob_start();
//error_reporting(1);
define('XYZ_WP_CFM_VALIDATOR_SERVER_COUNT',1);
define('XYZ_WP_CFM_PRODUCT_CODE','XYZWPCFM');
define('XYZ_CFM_PLUGIN_FILE_PREMIUM',__FILE__);

global $wpdb;
$wpdb->query('SET SQL_MODE=""');

require( dirname( __FILE__ ) . '/xyz-functions.php' );

require( dirname( __FILE__ ) . '/admin/install.php' );

require( dirname( __FILE__ ) . '/admin/update-manager.php' );

require( dirname( __FILE__ ) . '/admin/upgrade.php' );

require( dirname( __FILE__ ) . '/ajax-handler.php' );

require( dirname( __FILE__ ) . '/admin/menu.php' );

require( dirname( __FILE__ ) . '/create-contact-form.php' );

require( dirname( __FILE__ ) . '/shortcode-handler.php' );

require( dirname( __FILE__ ) . '/widget.php' );

require( dirname( __FILE__ ) . '/direct_call.php' );

require( dirname( __FILE__ ) . '/admin/uninstall.php' );

xyz_cfm_include_addon_file('addon.php');

if(get_option('xyz_credit_link')=="cfm"){

	add_action('wp_footer', 'xyz_cfm_credit_premium');

}
function xyz_cfm_credit_premium() {	
	$content = '<div style="clear:both;width:100%;text-align:center; font-size:11px; "><a target="_blank" title="Contact form" href="http://xyzscripts.com/wordpress-plugins/xyz-wp-contact-form/details" >Contact Form</a> Powered By : <a target="_blank" title="PHP Scripts & Programs" href="http://www.xyzscripts.com" >XYZScripts.com</a></div>';
	echo $content;
}

?>