<?php
add_action('wp_ajax_ajax_load_element_details', 'xyz_wp_cfm_ajax_load_element_details');

function xyz_wp_cfm_ajax_load_element_details() {

global $wpdb;

$_POST = stripslashes_deep($_POST);

$elementId = $_POST['elementId'];
$element_result = $wpdb->get_results($wpdb->prepare( "SELECT * FROM ".$wpdb->prefix."xyz_cfm_form_elements WHERE id= %d", $elementId)) ;
$element_result = $element_result[0];

if(count($element_result) == 0 ){
	echo "<font color = 'red'>No record found</font>";
}else{

?>

<script type="text/javascript">
jQuery(document).ready(function() {

	jQuery("#progressSelectImage").hide();
	jQuery("#progressEditImage").hide();

	jQuery('.xyz_cfm_NoEnterSubmit').keypress(function(e){
		
		if ( e.which == 13 ) return false;
	});

	jQuery("#reCaptchaUpdate").bind('change', function () {
		 if (jQuery(this).is(':checked')){
			jQuery("#reCaptchaStyleUpdate").show();
			jQuery("#reCaptchaElementName").show();
			jQuery("#captchaStyleUpdate").hide();
			jQuery("#captchaElementName").hide();
			
		 }else{
			jQuery("#reCaptchaStyleUpdate").hide();
			jQuery("#reCaptchaElementName").hide();
			jQuery("#captchaStyleUpdate").show();
			jQuery("#captchaElementName").show();
		 }

	});

	jQuery('#hiddenFieldUpdate input:radio').change(function () {
        var selectedDefaultValueOption = jQuery("#hiddenFieldUpdate input:radio:checked").val();
	
        if(selectedDefaultValueOption == 1){
        	jQuery("#manualDefaultValueUpdate").show();
        	jQuery("#predefinedDefaultValueUpdate").hide();
        }else if(selectedDefaultValueOption == 2){
        	jQuery("#manualDefaultValueUpdate").hide();
        	jQuery("#predefinedDefaultValueUpdate").show();
        }
        
	});
	
	
	jQuery('#closeUpdate1').click(function() {
		jQuery("#textFieldUpdate").hide();
		
	});
	jQuery('#closeUpdate2').click(function() {
		jQuery("#emailFieldUpdate").hide();
		
	});
	jQuery('#closeUpdate3').click(function() {
		jQuery("#textAreaUpdate").hide();
		
	});
	
	jQuery('#closeUpdate4').click(function() {
		jQuery("#dropDownMenuUpdate").hide();
		
	});
	jQuery('#closeUpdate5').click(function() {
		jQuery("#dateFieldUpdate").hide();
		
	});
	jQuery('#closeUpdate6').click(function() {
		jQuery("#checkBoxesUpdate").hide();
		
	});
	jQuery('#closeUpdate7').click(function() {
		jQuery("#radioButtonsUpdate").hide();
		
	});
	jQuery('#closeUpdate8').click(function() {
		jQuery("#fileUploadUpdate").hide();
		
	});
	jQuery('#closeUpdate9').click(function() {
		jQuery("#submitButtonUpdate").hide();
		
	});			
	jQuery('#closeUpdate10').click(function() {
		jQuery("#captchaUpdate").hide();
		
	});	
	jQuery('#closeUpdate11').click(function() {
		jQuery("#hiddenFieldUpdate").hide();
		jQuery("#manualDefaultValueUpdate").hide();
		jQuery("#predefinedDefaultValueUpdate").hide();
		
	});
	jQuery('#closeUpdate12').click(function() {
		jQuery("#numericFieldUpdate").hide();
		
	});
	jQuery('#closeUpdate13').click(function() {
		jQuery("#richTextAreaUpdate").hide();
		
	});
	
	
var selectId = <?php echo $element_result->element_type;?>;

if(selectId == 1){
	jQuery("#textFieldUpdate").show();
}else{
	jQuery("#textFieldUpdate").hide();
}
if(selectId == 2){
	jQuery("#emailFieldUpdate").show();
}else{
	jQuery("#emailFieldUpdate").hide();
}
if(selectId == 3){
	jQuery("#textAreaUpdate").show();
}else{
	jQuery("#textAreaUpdate").hide();
}
if(selectId == 4){
	jQuery("#dropDownMenuUpdate").show();
}else{
	jQuery("#dropDownMenuUpdate").hide();
}
if(selectId == 5){
	jQuery("#dateFieldUpdate").show();
}else{
	jQuery("#dateFieldUpdate").hide();
}
if(selectId == 6){
	jQuery("#checkBoxesUpdate").show();
}else{
	jQuery("#checkBoxesUpdate").hide();
}
if(selectId == 7){
	jQuery("#radioButtonsUpdate").show();
}else{
	jQuery("#radioButtonsUpdate").hide();
}
if(selectId == 8){
	jQuery("#fileUploadUpdate").show();
}else{
	jQuery("#fileUploadUpdate").hide();
}
if(selectId == 9){
	jQuery("#submitButtonUpdate").show();
}else{
	jQuery("#submitButtonUpdate").hide();
}
if(selectId == 10){
	jQuery("#captchaUpdate").show();
}else{
	jQuery("#captchaUpdate").hide();
}
if(selectId == 11){
	jQuery("#hiddenFieldUpdate").show();
	jQuery("#manualDefaultValueUpdate").hide();
	jQuery("#predefinedDefaultValueUpdate").hide();
}else{
	jQuery("#hiddenFieldUpdate").hide();
	jQuery("#manualDefaultValueUpdate").hide();
	jQuery("#predefinedDefaultValueUpdate").hide();
}
if(selectId == 12){
	jQuery("#numericFieldUpdate").show();
}else{
	jQuery("#numericFieldUpdate").hide();
}
if(selectId == 13){
	jQuery("#richTextAreaUpdate").show();
}else{
	jQuery("#richTextAreaUpdate").hide();
}


function updateElementDetails(){

	var formId = jQuery("#formId").val();
	var dataString = { 
			action: 'ajax_load_elements', 
			formId: formId 
		};

	jQuery.post(ajaxurl, dataString, function(response) {
		jQuery("#progressEditImage").hide();
		jQuery("#elementSettingResult").html(response);
	});
	
return true;
}

jQuery('#textFieldButtonUpdate1').click(function() {
	var selectId = 1;
	
	var required ='';
	var maxLengthErrorFlag = 0;
	
	if(jQuery('#requiredUpdate1').attr('checked')){
		required = 1;
	}else{
		required = 0;
	}

	var elementName = jQuery.trim(jQuery("#elementNameUpdate1").val());
	var pattern = jQuery("#patternUpdate1").val();
	var placeHolder = jQuery("#placeHolderUpdate1").val();
	var className = jQuery("#classNameUpdate1").val();
	var maxlength = jQuery("#maxlengthUpdate1").val();
	var defaultValue = jQuery("#defaultValueUpdate1").val();

	var xyz_cfm_pattern_format_error_message = jQuery("#xyz_cfm_pattern_format_error_message").val();
	var xyz_cfm_empty_text_field_error_message = jQuery("#xyz_cfm_empty_text_field_error_message").val();
	
	var formId = jQuery("#formId").val();


	var textEventChangeUpdate 	= '';
	var textEventKeyUpUpdate		= '';
	var textEventKeyDownUpdate 	= '';
	var textEventBlurUpdate		= '';
	var textEventMouseOverUpdate	= '';
	var textEventMouseOutUpdate	= '';
	var textEventMouseUpUpdate	= '';
	var textEventMouseDownUpdate	= '';
	
	if(jQuery('input[name=textJQueryEventOptionUpdate]:checked').val() == 1){

		textEventChangeUpdate		= jQuery.trim(jQuery("#textEventChangeUpdate").val()); 
		textEventKeyUpUpdate		= jQuery.trim(jQuery("#textEventKeyUpUpdate").val());
		textEventKeyDownUpdate	= jQuery.trim(jQuery("#textEventKeyDownUpdate").val());
		textEventBlurUpdate		= jQuery.trim(jQuery("#textEventBlurUpdate").val());
		textEventMouseOverUpdate	= jQuery.trim(jQuery("#textEventMouseOverUpdate").val());
		textEventMouseOutUpdate	= jQuery.trim(jQuery("#textEventMouseOutUpdate").val());
		textEventMouseUpUpdate	= jQuery.trim(jQuery("#textEventMouseUpUpdate").val());
		textEventMouseDownUpdate  = jQuery.trim(jQuery("#textEventMouseDownUpdate").val());

	}

	
	if(maxlength != ''){
		if(!isNaN(maxlength)){
			//maxLengthErrorFlag = 1;
		}else{
			alert("Maximum field length not an integer.");
			return false;
		}
	}


	var patternFlag = 0;

	if(pattern != ''){
		if(xyz_cfm_pattern_format_error_message == ''){
			patternFlag = 1;
		}
	}
	
	
	if((elementName != "") && (maxLengthErrorFlag == 0) && (xyz_cfm_empty_text_field_error_message != "") && (patternFlag == 0)){
	jQuery("#progressEditImage").show();

	
	var dataString = { 
			action: 'ajax_update_element',
			id: selectId, 
			elementId: <?php echo $elementId;?>, 
			required: required, 
			xyz_cfm_pattern_format_error_message: xyz_cfm_pattern_format_error_message,
			xyz_cfm_empty_text_field_error_message: xyz_cfm_empty_text_field_error_message, 
			elementName: elementName,
			pattern:pattern, 
			placeHolder: placeHolder, 
			className: className, 
			maxlength: maxlength, 
			defaultValue: defaultValue, 
			textEventChangeUpdate: textEventChangeUpdate,
			textEventKeyUpUpdate: textEventKeyUpUpdate,
			textEventKeyDownUpdate: textEventKeyDownUpdate,
			textEventBlurUpdate: textEventBlurUpdate,
			textEventMouseOverUpdate: textEventMouseOverUpdate,
			textEventMouseOutUpdate: textEventMouseOutUpdate,
			textEventMouseUpUpdate: textEventMouseUpUpdate,
			textEventMouseDownUpdate: textEventMouseDownUpdate,
			formId: formId 
		};

	jQuery.post(ajaxurl, dataString, function(response) {
		jQuery("#cfm_text").html(response);
		updateElementDetails();
		document.getElementById('editDiv').scrollTop=0;
	});

	
	}else{
		alert("Please fill all mandatory fields.");
		return false;
	}
	
});


jQuery('#textFieldButtonUpdate2').click(function() {
	var selectId = 2;
	
	var required ='';
	var maxLengthErrorFlag = 0;
	
	if(jQuery('#requiredUpdate2').attr('checked')){
		required = 1;
	}else{
		required = 0;
	}

	var elementName = jQuery.trim(jQuery("#elementNameUpdate2").val());
	var placeHolder = jQuery("#placeHolderUpdate2").val();
	var className = jQuery("#classNameUpdate2").val();
	var maxlength = jQuery("#maxlengthUpdate2").val();
	var defaultValue = jQuery("#defaultValueUpdate2").val();
	var xyz_cfm_empty_email_field_error_message = jQuery("#xyz_cfm_empty_email_field_error_message").val();
	var xyz_cfm_valid_email_field_error_message = jQuery("#xyz_cfm_valid_email_field_error_message").val();
	var formId = jQuery("#formId").val();

	var emailEventChangeUpdate 	= '';
	var emailEventKeyUpUpdate		= '';
	var emailEventKeyDownUpdate 	= '';
	var emailEventBlurUpdate		= '';
	var emailEventMouseOverUpdate	= '';
	var emailEventMouseOutUpdate	= '';
	var emailEventMouseUpUpdate	= '';
	var emailEventMouseDownUpdate	= '';
	
	if(jQuery('input[name=emailJQueryEventOptionUpdate]:checked').val() == 1){

		emailEventChangeUpdate		= jQuery.trim(jQuery("#emailEventChangeUpdate").val()); 
		emailEventKeyUpUpdate		= jQuery.trim(jQuery("#emailEventKeyUpUpdate").val());
		emailEventKeyDownUpdate	= jQuery.trim(jQuery("#emailEventKeyDownUpdate").val());
		emailEventBlurUpdate		= jQuery.trim(jQuery("#emailEventBlurUpdate").val());
		emailEventMouseOverUpdate	= jQuery.trim(jQuery("#emailEventMouseOverUpdate").val());
		emailEventMouseOutUpdate	= jQuery.trim(jQuery("#emailEventMouseOutUpdate").val());
		emailEventMouseUpUpdate	= jQuery.trim(jQuery("#emailEventMouseUpUpdate").val());
		emailEventMouseDownUpdate  = jQuery.trim(jQuery("#emailEventMouseDownUpdate").val());

	}

	if(maxlength != ''){
		if(!isNaN(maxlength)){
			//maxLengthErrorFlag = 1;
		}else{
			alert("Maximum field length not an integer.");
			return false;
		}
	}

	if((elementName != "") && (maxLengthErrorFlag == 0)&&(xyz_cfm_empty_email_field_error_message != "")&&(xyz_cfm_valid_email_field_error_message != "")){
	jQuery("#progressEditImage").show();

	var dataString = { 
			action: 'ajax_update_element',
			id: selectId, 
			elementId: <?php echo $elementId;?>,
			required: required, 
			xyz_cfm_valid_email_field_error_message: xyz_cfm_valid_email_field_error_message,
			xyz_cfm_empty_email_field_error_message: xyz_cfm_empty_email_field_error_message,
			elementName: elementName, 
			placeHolder: placeHolder, 
			className: className, 
			maxlength: maxlength,
			defaultValue: defaultValue,
			emailEventChangeUpdate: emailEventChangeUpdate,
			emailEventKeyUpUpdate: emailEventKeyUpUpdate,
			emailEventKeyDownUpdate: emailEventKeyDownUpdate,
			emailEventBlurUpdate: emailEventBlurUpdate,
			emailEventMouseOverUpdate: emailEventMouseOverUpdate,
			emailEventMouseOutUpdate: emailEventMouseOutUpdate,
			emailEventMouseUpUpdate: emailEventMouseUpUpdate,
			emailEventMouseDownUpdate: emailEventMouseDownUpdate, 
			formId: formId 
		};

	jQuery.post(ajaxurl, dataString, function(response) {
		jQuery("#cfm_email").html(response);
		updateElementDetails();
		document.getElementById('editDiv').scrollTop=0;
	});
	
	}else{
		alert("Please fill all mandatory fields.");
		return false;
	}
	
});

jQuery('#textFieldButtonUpdate3').click(function() {
	var selectId = 3;
	
	var required ='';
	var colRowLengthErrorFlag = 0;
	
	if(jQuery('#requiredUpdate3').attr('checked')){
		required = 1;
	}else{
		required = 0;
	}

	var elementName = jQuery.trim(jQuery("#elementNameUpdate3").val());
	var placeHolder = jQuery("#placeHolderUpdate3").val();
	var className = jQuery("#classNameUpdate3").val();
	var collength = jQuery("#colLengthUpdate3").val();
	var rowlength = jQuery("#rowLengthUpdate3").val();
	var defaultValue = jQuery("#defaultValueUpdate3").val();
	var xyz_cfm_empty_textarea_field_error_message =  jQuery("#xyz_cfm_empty_textarea_field_error_message").val();
	if(collength != ''){
		if(!isNaN(collength)){
			//colRowLengthErrorFlag = 1;
		}else{
			alert("Maximum Column length not an integer.");
			return false;
		}
	}
	if(rowlength != ''){
		if(!isNaN(rowlength)){
			//colRowLengthErrorFlag = 1;
		}else{
			alert("Maximum Row length not an integer.");
			return false;
		}
	}
	var formId = jQuery("#formId").val();


	var textareaEventChangeUpdate 	= '';
	var textareaEventKeyUpUpdate		= '';
	var textareaEventKeyDownUpdate 	= '';
	var textareaEventBlurUpdate		= '';
	var textareaEventMouseOverUpdate	= '';
	var textareaEventMouseOutUpdate	= '';
	var textareaEventMouseUpUpdate	= '';
	var textareaEventMouseDownUpdate	= '';
	
	if(jQuery('input[name=textareaJQueryEventOptionUpdate]:checked').val() == 1){

		textareaEventChangeUpdate		= jQuery.trim(jQuery("#textareaEventChangeUpdate").val()); 
		textareaEventKeyUpUpdate		= jQuery.trim(jQuery("#textareaEventKeyUpUpdate").val());
		textareaEventKeyDownUpdate	= jQuery.trim(jQuery("#textareaEventKeyDownUpdate").val());
		textareaEventBlurUpdate		= jQuery.trim(jQuery("#textareaEventBlurUpdate").val());
		textareaEventMouseOverUpdate	= jQuery.trim(jQuery("#textareaEventMouseOverUpdate").val());
		textareaEventMouseOutUpdate	= jQuery.trim(jQuery("#textareaEventMouseOutUpdate").val());
		textareaEventMouseUpUpdate	= jQuery.trim(jQuery("#textareaEventMouseUpUpdate").val());
		textareaEventMouseDownUpdate  = jQuery.trim(jQuery("#textareaEventMouseDownUpdate").val());

	}
	

	if((elementName != "") && (colRowLengthErrorFlag == 0)&&(xyz_cfm_empty_textarea_field_error_message != "")){
	jQuery("#progressEditImage").show();

	var dataString = { 
			action: 'ajax_update_element',
			id: selectId, 
			elementId: <?php echo $elementId;?>,
			required: required, 
			xyz_cfm_empty_textarea_field_error_message: xyz_cfm_empty_textarea_field_error_message,
			elementName: elementName, 
			placeHolder: placeHolder, 
			className: className, 
			collength: collength,
			rowlength: rowlength, 
			defaultValue: defaultValue, 
			textareaEventChangeUpdate: textareaEventChangeUpdate,
			textareaEventKeyUpUpdate: textareaEventKeyUpUpdate,
			textareaEventKeyDownUpdate: textareaEventKeyDownUpdate,
			textareaEventBlurUpdate: textareaEventBlurUpdate,
			textareaEventMouseOverUpdate: textareaEventMouseOverUpdate,
			textareaEventMouseOutUpdate: textareaEventMouseOutUpdate,
			textareaEventMouseUpUpdate: textareaEventMouseUpUpdate,
			textareaEventMouseDownUpdate: textareaEventMouseDownUpdate, 
			formId: formId 
		};

	jQuery.post(ajaxurl, dataString, function(response) {
		jQuery("#cfm_textarea").html(response);
		updateElementDetails();
		document.getElementById('editDiv').scrollTop=0;
	});
	
	
	}else{
		alert("Please fill all mandatory fields.");
		return false;
	}
	
});


jQuery('#textFieldButtonUpdate4').click(function() {
	var selectId = 4;
	
	var required ='';
	var multipleSelect = '';
	
	if(jQuery('#requiredUpdate4').attr('checked')){
		required = 1;
	}else{
		required = 0;
	}
	if(jQuery('#viewMultipleSelectDropDownUpdate').attr('checked')){
		multipleSelect = 1;
	}else{
		multipleSelect = 0;
	}
	var elementName = jQuery.trim(jQuery("#elementNameUpdate4").val());
	var className = jQuery("#classNameUpdate4").val();
	var options = jQuery.trim(jQuery("#dropDownOptionsUpdate4").val());
	var defaultValue = jQuery("#dropDownOptionsUpdate4DefaultValue").val();
	var xyz_cfm_empty_dropdown_field_error_message = jQuery("#xyz_cfm_empty_dropdown_field_error_message").val();
	var formId = jQuery("#formId").val();

	var dropdownEventChangeUpdate 	= '';
	var dropdownEventKeyUpUpdate		= '';
	var dropdownEventKeyDownUpdate 	= '';
	var dropdownEventBlurUpdate		= '';
	var dropdownEventMouseOverUpdate	= '';
	var dropdownEventMouseOutUpdate	= '';
	var dropdownEventMouseUpUpdate	= '';
	var dropdownEventMouseDownUpdate	= '';
	
	if(jQuery('input[name=dropdownJQueryEventOptionUpdate]:checked').val() == 1){

		dropdownEventChangeUpdate		= jQuery.trim(jQuery("#dropdownEventChangeUpdate").val()); 
		dropdownEventKeyUpUpdate		= jQuery.trim(jQuery("#dropdownEventKeyUpUpdate").val());
		dropdownEventKeyDownUpdate	= jQuery.trim(jQuery("#dropdownEventKeyDownUpdate").val());
		dropdownEventBlurUpdate		= jQuery.trim(jQuery("#dropdownEventBlurUpdate").val());
		dropdownEventMouseOverUpdate	= jQuery.trim(jQuery("#dropdownEventMouseOverUpdate").val());
		dropdownEventMouseOutUpdate	= jQuery.trim(jQuery("#dropdownEventMouseOutUpdate").val());
		dropdownEventMouseUpUpdate	= jQuery.trim(jQuery("#dropdownEventMouseUpUpdate").val());
		dropdownEventMouseDownUpdate  = jQuery.trim(jQuery("#dropdownEventMouseDownUpdate").val());

	}

	if(elementName != "" && options != "" && xyz_cfm_empty_dropdown_field_error_message != ""){
	jQuery("#progressEditImage").show();

	var dataString = { 
			action: 'ajax_update_element',
			id: selectId, 
			elementId: <?php echo $elementId;?>,
			required: required, 
			xyz_cfm_empty_dropdown_field_error_message: xyz_cfm_empty_dropdown_field_error_message,
			elementName: elementName, 
			className: className, 
			options: options, 
			defaultValue: defaultValue,
			multipleSelect: multipleSelect, 
			dropdownEventChangeUpdate: dropdownEventChangeUpdate,
			dropdownEventKeyUpUpdate: dropdownEventKeyUpUpdate,
			dropdownEventKeyDownUpdate: dropdownEventKeyDownUpdate,
			dropdownEventBlurUpdate: dropdownEventBlurUpdate,
			dropdownEventMouseOverUpdate: dropdownEventMouseOverUpdate,
			dropdownEventMouseOutUpdate: dropdownEventMouseOutUpdate,
			dropdownEventMouseUpUpdate: dropdownEventMouseUpUpdate,
			dropdownEventMouseDownUpdate: dropdownEventMouseDownUpdate,  
			formId: formId 
		};


	jQuery.post(ajaxurl, dataString, function(response) {
		jQuery("#cfm_dropdown").html(response);
		updateElementDetails();
		document.getElementById('editDiv').scrollTop=0;
	});
	
	}else{
		alert("Please fill all mandatory fields.");
		return false;
	}
	
});


jQuery('#textFieldButtonUpdate5').click(function() {
	var selectId = 5;
	
	var required ='';
	
	if(jQuery('#requiredUpdate5').attr('checked')){
		required = 1;
	}else{
		required = 0;
	}

	var elementName = jQuery.trim(jQuery("#elementNameUpdate5").val());
	var className = jQuery("#classNameUpdate5").val();
	var xyz_cfm_empty_date_field_error_message = jQuery("#xyz_cfm_empty_date_field_error_message").val();
	var xyz_cfm_allowed_range_date_error_message = jQuery("#xyz_cfm_allowed_range_date_error_message").val();
	
	var elementStartDateUpdate = jQuery.trim(jQuery("#elementStartDateUpdate5").val());
	var elementEndDateUpdate = jQuery.trim(jQuery("#elementEndDateUpdate5").val());
	var datePickerTypeUpdate = jQuery('input[name=elementDatepickertypeUpdate5]:checked').val();


	var formId = jQuery("#formId").val();

	var dateEventChangeUpdate 	= '';
	var dateEventKeyUpUpdate		= '';
	var dateEventKeyDownUpdate 	= '';
	var dateEventBlurUpdate		= '';
	var dateEventMouseOverUpdate	= '';
	var dateEventMouseOutUpdate	= '';
	var dateEventMouseUpUpdate	= '';
	var dateEventMouseDownUpdate	= '';
	
	if(jQuery('input[name=dateJQueryEventOptionUpdate]:checked').val() == 1){

		dateEventChangeUpdate		= jQuery.trim(jQuery("#dateEventChangeUpdate").val()); 
		dateEventKeyUpUpdate		= jQuery.trim(jQuery("#dateEventKeyUpUpdate").val());
		dateEventKeyDownUpdate	= jQuery.trim(jQuery("#dateEventKeyDownUpdate").val());
		dateEventBlurUpdate		= jQuery.trim(jQuery("#dateEventBlurUpdate").val());
		dateEventMouseOverUpdate	= jQuery.trim(jQuery("#dateEventMouseOverUpdate").val());
		dateEventMouseOutUpdate	= jQuery.trim(jQuery("#dateEventMouseOutUpdate").val());
		dateEventMouseUpUpdate	= jQuery.trim(jQuery("#dateEventMouseUpUpdate").val());
		dateEventMouseDownUpdate  = jQuery.trim(jQuery("#dateEventMouseDownUpdate").val());

	}

	if(elementName != "" && xyz_cfm_empty_date_field_error_message != "" && xyz_cfm_allowed_range_date_error_message != ''){
	jQuery("#progressEditImage").show();

	var dataString = { 
			action: 'ajax_update_element',
			id: selectId, 
			elementId: <?php echo $elementId;?>,
			required: required, 
			xyz_cfm_empty_date_field_error_message: xyz_cfm_empty_date_field_error_message,
			xyz_cfm_allowed_range_date_error_message: xyz_cfm_allowed_range_date_error_message,
			elementName: elementName,
			elementStartDateUpdate: elementStartDateUpdate,
			elementEndDateUpdate: elementEndDateUpdate, 
			datePickerTypeUpdate: datePickerTypeUpdate,
			className: className,
			dateEventChangeUpdate: dateEventChangeUpdate,
			dateEventKeyUpUpdate: dateEventKeyUpUpdate,
			dateEventKeyDownUpdate: dateEventKeyDownUpdate,
			dateEventBlurUpdate: dateEventBlurUpdate,
			dateEventMouseOverUpdate: dateEventMouseOverUpdate,
			dateEventMouseOutUpdate: dateEventMouseOutUpdate,
			dateEventMouseUpUpdate: dateEventMouseUpUpdate,
			dateEventMouseDownUpdate: dateEventMouseDownUpdate,  
			formId: formId 
		};

	jQuery.post(ajaxurl, dataString, function(response) {
		jQuery("#cfm_date").html(response);
		updateElementDetails();
		document.getElementById('editDiv').scrollTop=0;
	});
	
	}else{
		alert("Please fill all mandatory fields.");
		return false;
	}
	
});



jQuery('#textFieldButtonUpdate6').click(function() {
	var selectId = 6;
	
	var required ='';
	var optionLineBreakCount = '';
	
	if(jQuery('#requiredUpdate6').attr('checked')){
		required = 1;
	}else{
		required = 0;
	}
	if((jQuery("#viewLineBreakOptions6").val() == '') || (jQuery("#viewLineBreakOptions6").val() == 0)){
		optionLineBreakCount = 0;
	}else{
		if(isNaN(jQuery("#viewLineBreakOptions6").val())){
			alert("Option view condition is not an integer.");
			return false;
		}else{
			optionLineBreakCount = jQuery("#viewLineBreakOptions6").val();
		}
		
	}

	var elementName = jQuery.trim(jQuery("#elementNameUpdate6").val());
	var className = jQuery("#classNameUpdate6").val();
	var options = jQuery.trim(jQuery("#checkBoxOptionsUpdate6").val());
	var defaultValue = jQuery("#checkBoxOptionsUpdate6DefaultValue").val();
	var xyz_cfm_empty_checkbox_field_error_message = jQuery("#xyz_cfm_empty_checkbox_field_error_message").val();
	var formId = jQuery("#formId").val();

	var checkboxEventChangeUpdate 	= '';
	var checkboxEventKeyUpUpdate		= '';
	var checkboxEventKeyDownUpdate 	= '';
	var checkboxEventBlurUpdate		= '';
	var checkboxEventMouseOverUpdate	= '';
	var checkboxEventMouseOutUpdate	= '';
	var checkboxEventMouseUpUpdate	= '';
	var checkboxEventMouseDownUpdate	= '';
	
	if(jQuery('input[name=checkboxJQueryEventOptionUpdate]:checked').val() == 1){

		checkboxEventChangeUpdate		= jQuery.trim(jQuery("#checkboxEventChangeUpdate").val()); 
		checkboxEventKeyUpUpdate		= jQuery.trim(jQuery("#checkboxEventKeyUpUpdate").val());
		checkboxEventKeyDownUpdate	= jQuery.trim(jQuery("#checkboxEventKeyDownUpdate").val());
		checkboxEventBlurUpdate		= jQuery.trim(jQuery("#checkboxEventBlurUpdate").val());
		checkboxEventMouseOverUpdate	= jQuery.trim(jQuery("#checkboxEventMouseOverUpdate").val());
		checkboxEventMouseOutUpdate	= jQuery.trim(jQuery("#checkboxEventMouseOutUpdate").val());
		checkboxEventMouseUpUpdate	= jQuery.trim(jQuery("#checkboxEventMouseUpUpdate").val());
		checkboxEventMouseDownUpdate  = jQuery.trim(jQuery("#checkboxEventMouseDownUpdate").val());
	}

	
	if(elementName != "" && options != "" && xyz_cfm_empty_checkbox_field_error_message != ""){
	jQuery("#progressEditImage").show();

	var dataString = { 
			action: 'ajax_update_element',
			id: selectId, 
			elementId: <?php echo $elementId;?>,
			required: required, 
			xyz_cfm_empty_checkbox_field_error_message: xyz_cfm_empty_checkbox_field_error_message,
			optionLineBreakCount: optionLineBreakCount, 
			elementName: elementName, 
			className: className,
			options: options, 
			defaultValue: defaultValue, 
			checkboxEventChangeUpdate: checkboxEventChangeUpdate,
			checkboxEventKeyUpUpdate: checkboxEventKeyUpUpdate,
			checkboxEventKeyDownUpdate: checkboxEventKeyDownUpdate,
			checkboxEventBlurUpdate: checkboxEventBlurUpdate,
			checkboxEventMouseOverUpdate: checkboxEventMouseOverUpdate,
			checkboxEventMouseOutUpdate: checkboxEventMouseOutUpdate,
			checkboxEventMouseUpUpdate: checkboxEventMouseUpUpdate,
			checkboxEventMouseDownUpdate: checkboxEventMouseDownUpdate,
			formId: formId 
		};

	jQuery.post(ajaxurl, dataString, function(response) {
		jQuery("#cfm_checkbox").html(response);
		updateElementDetails();
		document.getElementById('editDiv').scrollTop=0;
	});
	
	}else{
		alert("Please fill all mandatory fields.");
		return false;
	}
	
});	

jQuery('#textFieldButtonUpdate7').click(function() {
	var selectId = 7;
	
	var required ='';
	var optionLineBreakCount = '';
	
	if(jQuery('#requiredUpdate7').attr('checked')){
		required = 1;
	}else{
		required = 0;
	}
	if((jQuery("#viewLineBreakOptions7").val() == '') || (jQuery("#viewLineBreakOptions7").val() == 0)){
		optionLineBreakCount = 0;
	}else{
		if(isNaN(jQuery("#viewLineBreakOptions7").val())){
			alert("Option view condition is not an integer.");
			return false;
		}else{
			optionLineBreakCount = jQuery("#viewLineBreakOptions7").val();
		}
		
	}

	var elementName = jQuery.trim(jQuery("#elementNameUpdate7").val());
	var className = jQuery("#classNameUpdate7").val();
	var options = jQuery.trim(jQuery("#radioOptionsUpdate7").val());
	var defaultValue = jQuery("#radioOptionsUpdate7DefaultValue").val();
	var xyz_cfm_empty_radio_field_error_message = jQuery("#xyz_cfm_empty_radio_field_error_message").val();
	var formId = jQuery("#formId").val();

	var radioEventChangeUpdate 	= '';
	var radioEventKeyUpUpdate		= '';
	var radioEventKeyDownUpdate 	= '';
	var radioEventBlurUpdate		= '';
	var radioEventMouseOverUpdate	= '';
	var radioEventMouseOutUpdate	= '';
	var radioEventMouseUpUpdate	= '';
	var radioEventMouseDownUpdate	= '';
	
	if(jQuery('input[name=radioJQueryEventOptionUpdate]:checked').val() == 1){

		radioEventChangeUpdate		= jQuery.trim(jQuery("#radioEventChangeUpdate").val()); 
		radioEventKeyUpUpdate		= jQuery.trim(jQuery("#radioEventKeyUpUpdate").val());
		radioEventKeyDownUpdate	= jQuery.trim(jQuery("#radioEventKeyDownUpdate").val());
		radioEventBlurUpdate		= jQuery.trim(jQuery("#radioEventBlurUpdate").val());
		radioEventMouseOverUpdate	= jQuery.trim(jQuery("#radioEventMouseOverUpdate").val());
		radioEventMouseOutUpdate	= jQuery.trim(jQuery("#radioEventMouseOutUpdate").val());
		radioEventMouseUpUpdate	= jQuery.trim(jQuery("#radioEventMouseUpUpdate").val());
		radioEventMouseDownUpdate  = jQuery.trim(jQuery("#radioEventMouseDownUpdate").val());

	}

	if(elementName != "" && options != "" && xyz_cfm_empty_radio_field_error_message != ""){
	jQuery("#progressEditImage").show();
	var dataString = { 
			action: 'ajax_update_element',
			id: selectId, elementId: <?php echo $elementId;?>,
			required: required, 
			xyz_cfm_empty_radio_field_error_message: xyz_cfm_empty_radio_field_error_message,
			optionLineBreakCount: optionLineBreakCount, 
			elementName: elementName,
			className: className, 
			options: options, 
			defaultValue: defaultValue,
			radioEventChangeUpdate: radioEventChangeUpdate,
			radioEventKeyUpUpdate: radioEventKeyUpUpdate,
			radioEventKeyDownUpdate: radioEventKeyDownUpdate,
			radioEventBlurUpdate: radioEventBlurUpdate,
			radioEventMouseOverUpdate: radioEventMouseOverUpdate,
			radioEventMouseOutUpdate: radioEventMouseOutUpdate,
			radioEventMouseUpUpdate: radioEventMouseUpUpdate,
			radioEventMouseDownUpdate: radioEventMouseDownUpdate,  
			formId: formId 
		};

	jQuery.post(ajaxurl, dataString, function(response) {
		jQuery("#cfm_radiobutton").html(response);
		updateElementDetails();
		document.getElementById('editDiv').scrollTop=0;
	});
	
	}else{
		alert("Please fill all mandatory fields.");
		return false;
	}
	
});


jQuery('#textFieldButtonUpdate8').click(function() {
	var selectId = 8;
	
	var required ='';
	var fileSizeErrorFlag = 0;
	
	if(jQuery('#requiredUpdate8').attr('checked')){
		required = 1;
	}else{
		required = 0;
	}

	var elementName = jQuery.trim(jQuery("#elementNameUpdate8").val());
	var className = jQuery("#classNameUpdate8").val();
	var fileSize = jQuery("#fileSizeUpdate8").val();
	var fileType = jQuery("#fileTypeUpdate8").val();
	var fileMode = jQuery("#fileModeUpdate8").val();
	var formId = jQuery("#formId").val();

	var xyz_cfm_empty_file_field_error_message = jQuery("#xyz_cfm_empty_file_field_error_message").val();
	var xyz_cfm_empty_file_format_field_error_message = jQuery("#xyz_cfm_empty_file_format_field_error_message").val();
	var xyz_cfm_empty_file_max_size_field_error_message = jQuery("#xyz_cfm_empty_file_max_size_field_error_message").val();

	if(fileSize != ''){
		if(!isNaN(fileSize)){
			//fileSizeErrorFlag = 1;
		}else{
			alert("File size limit not an integer.");
			return false;
		}
	}


	var fileEventChangeUpdate 	= '';
	var fileEventKeyUpUpdate		= '';
	var fileEventKeyDownUpdate 	= '';
	var fileEventBlurUpdate		= '';
	var fileEventMouseOverUpdate	= '';
	var fileEventMouseOutUpdate	= '';
	var fileEventMouseUpUpdate	= '';
	var fileEventMouseDownUpdate	= '';
	
	if(jQuery('input[name=fileJQueryEventOptionUpdate]:checked').val() == 1){

		fileEventChangeUpdate		= jQuery.trim(jQuery("#fileEventChangeUpdate").val()); 
		fileEventKeyUpUpdate		= jQuery.trim(jQuery("#fileEventKeyUpUpdate").val());
		fileEventKeyDownUpdate	= jQuery.trim(jQuery("#fileEventKeyDownUpdate").val());
		fileEventBlurUpdate		= jQuery.trim(jQuery("#fileEventBlurUpdate").val());
		fileEventMouseOverUpdate	= jQuery.trim(jQuery("#fileEventMouseOverUpdate").val());
		fileEventMouseOutUpdate	= jQuery.trim(jQuery("#fileEventMouseOutUpdate").val());
		fileEventMouseUpUpdate	= jQuery.trim(jQuery("#fileEventMouseUpUpdate").val());
		fileEventMouseDownUpdate  = jQuery.trim(jQuery("#fileEventMouseDownUpdate").val());

	}
	

	if((elementName != "") && (fileSizeErrorFlag == 0) && (xyz_cfm_empty_file_field_error_message != "")&& (xyz_cfm_empty_file_format_field_error_message != "") && (xyz_cfm_empty_file_max_size_field_error_message != "")){
	jQuery("#progressEditImage").show();
	var dataString = { 
			action: 'ajax_update_element',
			id: selectId, 
			elementId: <?php echo $elementId;?>,
			required: required, 
			xyz_cfm_empty_file_max_size_field_error_message: xyz_cfm_empty_file_max_size_field_error_message,
			xyz_cfm_empty_file_format_field_error_message: xyz_cfm_empty_file_format_field_error_message,
			xyz_cfm_empty_file_field_error_message: xyz_cfm_empty_file_field_error_message,
			elementName: elementName, 
			className: className, 
			fileSize: fileSize, 
			fileType: fileType,
			fileMode: fileMode,
			fileEventChangeUpdate: fileEventChangeUpdate,
			fileEventKeyUpUpdate: fileEventKeyUpUpdate,
			fileEventKeyDownUpdate: fileEventKeyDownUpdate,
			fileEventBlurUpdate: fileEventBlurUpdate,
			fileEventMouseOverUpdate: fileEventMouseOverUpdate,
			fileEventMouseOutUpdate: fileEventMouseOutUpdate,
			fileEventMouseUpUpdate: fileEventMouseUpUpdate,
			fileEventMouseDownUpdate: fileEventMouseDownUpdate, 
			formId: formId 
		};

	jQuery.post(ajaxurl, dataString, function(response) {
		jQuery("#cfm_file").html(response);
		updateElementDetails();
		document.getElementById('editDiv').scrollTop=0;
	});
		
	}else{
		alert("Please fill all mandatory fields.");
		return false;
	}
	
});


jQuery('#textFieldButtonUpdate9').click(function() {
	var selectId = 9;

	var displayName = jQuery.trim(jQuery("#displayNameUpdate9").val());
	var elementName = jQuery("#elementNameUpdate9").val();
	var className = jQuery("#classNameUpdate9").val();
	var formId = jQuery("#formId").val();

	var submitEventChangeUpdate 	= '';
	var submitEventKeyUpUpdate		= '';
	var submitEventKeyDownUpdate 	= '';
	var submitEventBlurUpdate		= '';
	var submitEventMouseOverUpdate	= '';
	var submitEventMouseOutUpdate	= '';
	var submitEventMouseUpUpdate	= '';
	var submitEventMouseDownUpdate	= '';
	
	if(jQuery('input[name=submitJQueryEventOptionUpdate]:checked').val() == 1){

		submitEventChangeUpdate		= jQuery.trim(jQuery("#submitEventChangeUpdate").val()); 
		submitEventKeyUpUpdate		= jQuery.trim(jQuery("#submitEventKeyUpUpdate").val());
		submitEventKeyDownUpdate	= jQuery.trim(jQuery("#submitEventKeyDownUpdate").val());
		submitEventBlurUpdate		= jQuery.trim(jQuery("#submitEventBlurUpdate").val());
		submitEventMouseOverUpdate	= jQuery.trim(jQuery("#submitEventMouseOverUpdate").val());
		submitEventMouseOutUpdate	= jQuery.trim(jQuery("#submitEventMouseOutUpdate").val());
		submitEventMouseUpUpdate	= jQuery.trim(jQuery("#submitEventMouseUpUpdate").val());
		submitEventMouseDownUpdate  = jQuery.trim(jQuery("#submitEventMouseDownUpdate").val());

	}

	if(displayName != "" && elementName != ""){
	jQuery("#progressEditImage").show();
	var dataString = { 
			action: 'ajax_update_element',
			id: selectId, 
			elementId: <?php echo $elementId;?>,
			displayName: displayName, 
			elementName: elementName, 
			className: className, 
			submitEventChangeUpdate: submitEventChangeUpdate,
			submitEventKeyUpUpdate: submitEventKeyUpUpdate,
			submitEventKeyDownUpdate: submitEventKeyDownUpdate,
			submitEventBlurUpdate: submitEventBlurUpdate,
			submitEventMouseOverUpdate: submitEventMouseOverUpdate,
			submitEventMouseOutUpdate: submitEventMouseOutUpdate,
			submitEventMouseUpUpdate: submitEventMouseUpUpdate,
			submitEventMouseDownUpdate: submitEventMouseDownUpdate,
			formId: formId 
		};

	jQuery.post(ajaxurl, dataString, function(response) {
		jQuery("#cfm_submit").html(response);
		updateElementDetails();
		document.getElementById('editDiv').scrollTop=0;
	});
	
	}else{
		alert("Please fill all mandatory fields.");
		return false;
	}
	
});				


jQuery('#textFieldButtonUpdate10').click(function() {
	
	
		var selectId = 10;

		var elementName = '';
		
		var formId = jQuery("#formId").val();
		var xyz_cfm_empty_captcha_field_error_message = jQuery("#xyz_cfm_empty_captcha_field_error_message").val();
		var xyz_cfm_empty_captcha_not_match_field_error_message = jQuery("#xyz_cfm_empty_captcha_not_match_field_error_message").val();

		var captchaEventChangeUpdate 	= '';
		var captchaEventKeyUpUpdate		= '';
		var captchaEventKeyDownUpdate 	= '';
		var captchaEventBlurUpdate		= '';
		var captchaEventMouseOverUpdate	= '';
		var captchaEventMouseOutUpdate	= '';
		var captchaEventMouseUpUpdate	= '';
		var captchaEventMouseDownUpdate	= '';

		if((jQuery('input[name=captchaType]:checked').val() == 1) || (jQuery('input[name=captchaType]:checked').val() == 3)){
		
			if(jQuery('input[name=captchaJQueryEventOptionUpdate]:checked').val() == 1){
	
				captchaEventChangeUpdate	= jQuery.trim(jQuery("#captchaEventChangeUpdate").val()); 
				captchaEventKeyUpUpdate		= jQuery.trim(jQuery("#captchaEventKeyUpUpdate").val());
				captchaEventKeyDownUpdate	= jQuery.trim(jQuery("#captchaEventKeyDownUpdate").val());
				captchaEventBlurUpdate		= jQuery.trim(jQuery("#captchaEventBlurUpdate").val());
				captchaEventMouseOverUpdate	= jQuery.trim(jQuery("#captchaEventMouseOverUpdate").val());
				captchaEventMouseOutUpdate	= jQuery.trim(jQuery("#captchaEventMouseOutUpdate").val());
				captchaEventMouseUpUpdate	= jQuery.trim(jQuery("#captchaEventMouseUpUpdate").val());
				captchaEventMouseDownUpdate = jQuery.trim(jQuery("#captchaEventMouseDownUpdate").val());
	
			}

		}
		

		if(jQuery('input[name=captchaType]:checked').val() == 2){

		elementName = jQuery.trim(jQuery("#reCaptchaElementNameUpdate10").val());
		if(elementName != "" && xyz_cfm_empty_captcha_field_error_message != "" && xyz_cfm_empty_captcha_not_match_field_error_message != ""){
			jQuery("#progressEditImage").show();
			
			var className = jQuery("#reCaptchaStyleOptionUpdate").val();
			var dataString = { 
					action: 'ajax_update_element',
					id: selectId, 
					elementId: <?php echo $elementId;?>,
					xyz_cfm_empty_captcha_field_error_message: xyz_cfm_empty_captcha_field_error_message,
					xyz_cfm_empty_captcha_not_match_field_error_message: xyz_cfm_empty_captcha_not_match_field_error_message,
					elementName: elementName, 
					className: className, 
					formId: formId,
					captchaEventChangeUpdate: captchaEventChangeUpdate,
					captchaEventKeyUpUpdate: captchaEventKeyUpUpdate,
					captchaEventKeyDownUpdate: captchaEventKeyDownUpdate,
					captchaEventBlurUpdate: captchaEventBlurUpdate,
					captchaEventMouseOverUpdate: captchaEventMouseOverUpdate,
					captchaEventMouseOutUpdate: captchaEventMouseOutUpdate,
					captchaEventMouseUpUpdate: captchaEventMouseUpUpdate,
					captchaEventMouseDownUpdate: captchaEventMouseDownUpdate,  
					reCaptcha: 1 
				};

			jQuery.post(ajaxurl, dataString, function(response) {
				jQuery("#cfm_captcha").html(response);
				updateElementDetails();
				document.getElementById('editDiv').scrollTop=0;
			});
			
		}else{
			alert("Please fill all mandatory fields.");
			return false;
		}
	
	}else if(jQuery('input[name=captchaType]:checked').val() == 1){
		
		elementName = jQuery.trim(jQuery("#captchaElementNameUpdate10").val());	
		if(elementName != "" && xyz_cfm_empty_captcha_field_error_message != "" && xyz_cfm_empty_captcha_not_match_field_error_message != ""){
			jQuery("#progressEditImage").show();

			var className = jQuery("#classNameUpdate10").val();
			var dataString = { 
					action: 'ajax_update_element',
					id: selectId, 
					elementId: <?php echo $elementId;?>,
					xyz_cfm_empty_captcha_field_error_message: xyz_cfm_empty_captcha_field_error_message,
					xyz_cfm_empty_captcha_not_match_field_error_message: xyz_cfm_empty_captcha_not_match_field_error_message,
					elementName: elementName, 
					className: className, 
					formId: formId, 
					captchaEventChangeUpdate: captchaEventChangeUpdate,
					captchaEventKeyUpUpdate: captchaEventKeyUpUpdate,
					captchaEventKeyDownUpdate: captchaEventKeyDownUpdate,
					captchaEventBlurUpdate: captchaEventBlurUpdate,
					captchaEventMouseOverUpdate: captchaEventMouseOverUpdate,
					captchaEventMouseOutUpdate: captchaEventMouseOutUpdate,
					captchaEventMouseUpUpdate: captchaEventMouseUpUpdate,
					captchaEventMouseDownUpdate: captchaEventMouseDownUpdate, 
					reCaptcha: 0 
				};

			jQuery.post(ajaxurl, dataString, function(response) {
				jQuery("#cfm_captcha").html(response);
				updateElementDetails();
				document.getElementById('editDiv').scrollTop=0;
			});

		}else{
			alert("Please fill all mandatory fields.");
			return false;
		}
	}else if(jQuery('input[name=captchaType]:checked').val() == 3){
		elementName = jQuery.trim(jQuery("#captchaElementNameUpdate10").val());	
		if(elementName != "" && xyz_cfm_empty_captcha_field_error_message != "" && xyz_cfm_empty_captcha_not_match_field_error_message != ""){
			jQuery("#progressEditImage").show();

			var className = jQuery("#classNameUpdate10").val();
			var dataString = { 
					action: 'ajax_update_element',
					id: selectId, 
					elementId: <?php echo $elementId;?>,
					xyz_cfm_empty_captcha_field_error_message: xyz_cfm_empty_captcha_field_error_message,
					xyz_cfm_empty_captcha_not_match_field_error_message: xyz_cfm_empty_captcha_not_match_field_error_message,
					elementName: elementName, 
					className: className, 
					formId: formId, 
					captchaEventChangeUpdate: captchaEventChangeUpdate,
					captchaEventKeyUpUpdate: captchaEventKeyUpUpdate,
					captchaEventKeyDownUpdate: captchaEventKeyDownUpdate,
					captchaEventBlurUpdate: captchaEventBlurUpdate,
					captchaEventMouseOverUpdate: captchaEventMouseOverUpdate,
					captchaEventMouseOutUpdate: captchaEventMouseOutUpdate,
					captchaEventMouseUpUpdate: captchaEventMouseUpUpdate,
					captchaEventMouseDownUpdate: captchaEventMouseDownUpdate, 
					reCaptcha: 2
				};

			jQuery.post(ajaxurl, dataString, function(response) {
				jQuery("#cfm_captcha").html(response);
				updateElementDetails();
				document.getElementById('editDiv').scrollTop=0;
			});

		}else{
			alert("Please fill all mandatory fields.");
			return false;
		}
	}
	
});	

jQuery('#textFieldButtonUpdate11').click(function() {
	var selectId = 11;
	
	var defaultValue ='';
	var defaultValueDropdown = '';
	var defaultValueErrorFlag = 0;
	
	var radioOption = jQuery("#hiddenFieldUpdate input:radio:checked").val();
	if(radioOption == 1){
		defaultValue = jQuery("#manualDefaultValueUpdate11").val();
		if(defaultValue == ''){
			defaultValueErrorFlag = 0;
		}
	}else if(radioOption == 2){
		if(jQuery("#predefinedDefaultValueUpdate11").val() != 0){
			defaultValueDropdown = jQuery("#predefinedDefaultValueUpdate11").val();
			if(defaultValueDropdown == ''){
				defaultValueErrorFlag = 1;
			}
		}
	} 

	var elementName = jQuery.trim(jQuery("#elementNameUpdate11").val());
	var formId = jQuery("#formId").val();
	if((elementName != "") && (defaultValueErrorFlag == 0)){
		
	jQuery("#progressEditImage").show();

	var dataString = { 
			action: 'ajax_update_element',
			id: selectId, 
			elementId: <?php echo $elementId;?>,
			elementName: elementName, 
			radioOption: radioOption, 
			defaultValueDropdown: defaultValueDropdown,
			defaultValue: defaultValue, 
			formId: formId 
		};

	jQuery.post(ajaxurl, dataString, function(response) {
		jQuery("#cfm_hidden").html(response);
		updateElementDetails();
		document.getElementById('editDiv').scrollTop=0;
	});
	
	}else{
		alert("Please fill all mandatory fields.");
		return false;
	}
	
});

jQuery('#textFieldButtonUpdate12').click(function() {
	var selectId = 12;
	
	var required ='';
	
	if(jQuery('#requiredUpdate12').attr('checked')){
		required = 1;
	}else{
		required = 0;
	}

	
	var allowDecimalValue = '';
	if(jQuery('#allowDecimalValueUpdate').attr('checked')){
		allowDecimalValue = 1;
	}else{
		allowDecimalValue = 0;
	}

	var elementName = jQuery.trim(jQuery("#elementNameUpdate12").val());
	var placeHolder = jQuery("#placeHolderUpdate12").val();
	var className = jQuery("#classNameUpdate12").val();
	var minValue = jQuery("#minValueUpdate12").val();
	var maxValue = jQuery("#maxValueUpdate12").val();
	var defaultValue = jQuery("#defaultValueUpdate12").val();
	var formId = jQuery("#formId").val();

	var numericEventChangeUpdate 	= '';
	var numericEventKeyUpUpdate		= '';
	var numericEventKeyDownUpdate 	= '';
	var numericEventBlurUpdate		= '';
	var numericEventMouseOverUpdate	= '';
	var numericEventMouseOutUpdate	= '';
	var numericEventMouseUpUpdate	= '';
	var numericEventMouseDownUpdate	= '';
	
	if(jQuery('input[name=numericJQueryEventOptionUpdate]:checked').val() == 1){

		numericEventChangeUpdate	= jQuery.trim(jQuery("#numericEventChangeUpdate").val()); 
		numericEventKeyUpUpdate		= jQuery.trim(jQuery("#numericEventKeyUpUpdate").val());
		numericEventKeyDownUpdate	= jQuery.trim(jQuery("#numericEventKeyDownUpdate").val());
		numericEventBlurUpdate		= jQuery.trim(jQuery("#numericEventBlurUpdate").val());
		numericEventMouseOverUpdate	= jQuery.trim(jQuery("#numericEventMouseOverUpdate").val());
		numericEventMouseOutUpdate	= jQuery.trim(jQuery("#numericEventMouseOutUpdate").val());
		numericEventMouseUpUpdate	= jQuery.trim(jQuery("#numericEventMouseUpUpdate").val());
		numericEventMouseDownUpdate = jQuery.trim(jQuery("#numericEventMouseDownUpdate").val());

	}

	var xyz_cfm_empty_numeric_field_error_message = jQuery("#xyz_cfm_empty_numeric_field_error_message").val();
	var xyz_cfm_not_numeric_field_error_message = jQuery("#xyz_cfm_not_numeric_field_error_message").val();
	var xyz_cfm_less_than_min_value_numeric_field_error_message = jQuery("#xyz_cfm_less_than_min_value_numeric_field_error_message").val();
	var xyz_cfm_greater_than_max_value_numeric_field_error_message = jQuery("#xyz_cfm_greater_than_max_value_numeric_field_error_message").val();
	var xyz_cfm_decimal_not_support_numeric_field_error_message = jQuery("#xyz_cfm_decimal_not_support_numeric_field_error_message").val();
	
	var minMaxErrorFlag = 0;
	var defaultValueFlag = 0;
	
	
	if(defaultValue != ''){
		if(!isNaN(defaultValue)){
			//defaultValueFlag = 1;
		}else{
			alert("Default value is not an integer.");
			minMaxErrorFlag = 1;
			return false;
		}
	}
	if(minValue != ''){
		if(!isNaN(minValue)){
			if(defaultValueFlag == 1){
				if(parseInt(minValue) > parseInt(defaultValue)){
					alert("Default value is less-than minimum value.");
					minMaxErrorFlag = 1;
					return false;
				}
			}
		}else{
			alert("Minimum value is not an integer.");
			minMaxErrorFlag = 1;
			return false;
		}
	}

	if( maxValue != '' && minValue != ''){
		if(parseInt(maxValue) < parseInt(minValue)){
			alert("Maximum value is less-than minimum value.");
			minMaxErrorFlag = 1;
			return false;
		}
	}
	
	if(maxValue != ''){
		
			if(!isNaN(minValue)){
				if(defaultValueFlag == 1){
					if(parseInt(maxValue) < parseInt(defaultValue)){
						alert("Default value is greater-than maximum value.");
						minMaxErrorFlag = 1;
						return false;
					}
				}
			}else{
				alert("Maximum value is not an integer.");
				minMaxErrorFlag = 1;
				return false;
			}
		
	}
	if((elementName != "") && (minMaxErrorFlag == 0) && (xyz_cfm_empty_numeric_field_error_message != "") &&
		(xyz_cfm_not_numeric_field_error_message != "")&&(xyz_cfm_less_than_min_value_numeric_field_error_message != "")&&
		(xyz_cfm_greater_than_max_value_numeric_field_error_message != "") && (xyz_cfm_decimal_not_support_numeric_field_error_message != "")){
	jQuery("#progressEditImage").show();
	var dataString = { 
			action: 'ajax_update_element',
			id: selectId, 
			elementId: <?php echo $elementId;?>,
			required: required, 
			xyz_cfm_empty_numeric_field_error_message: xyz_cfm_empty_numeric_field_error_message,
			xyz_cfm_not_numeric_field_error_message: xyz_cfm_not_numeric_field_error_message,
			xyz_cfm_less_than_min_value_numeric_field_error_message: xyz_cfm_less_than_min_value_numeric_field_error_message,
			xyz_cfm_greater_than_max_value_numeric_field_error_message: xyz_cfm_greater_than_max_value_numeric_field_error_message,
			xyz_cfm_decimal_not_support_numeric_field_error_message: xyz_cfm_decimal_not_support_numeric_field_error_message,
			elementName: elementName, 
			placeHolder: placeHolder, 
			className: className, 
			allowDecimalValue: allowDecimalValue,
			minValue: minValue, 
			maxValue: maxValue, 
			defaultValue: defaultValue, 
			numericEventChangeUpdate: numericEventChangeUpdate,
			numericEventKeyUpUpdate: numericEventKeyUpUpdate,
			numericEventKeyDownUpdate: numericEventKeyDownUpdate,
			numericEventBlurUpdate: numericEventBlurUpdate,
			numericEventMouseOverUpdate: numericEventMouseOverUpdate,
			numericEventMouseOutUpdate: numericEventMouseOutUpdate,
			numericEventMouseUpUpdate: numericEventMouseUpUpdate,
			numericEventMouseDownUpdate: numericEventMouseDownUpdate, 
			formId: formId 
		};

	jQuery.post(ajaxurl, dataString, function(response) {
		jQuery("#cfm_numeric").html(response);
		updateElementDetails();
		document.getElementById('editDiv').scrollTop=0;
	});
	
	}else{
		alert("Please fill all mandatory fields.");
		return false;
	}
	
});

jQuery('#textFieldButtonUpdate13').click(function() {
	var selectId = 13;
	
	var required ='';
	
	if(jQuery('#requiredUpdate13').attr('checked')){
		required = 1;
	}else{
		required = 0;
	}

	var elementName = jQuery.trim(jQuery("#elementNameUpdate13").val());
	var className = jQuery("#classNameUpdate13").val();
	var collength = jQuery("#colLengthUpdate13").val();
	var rowlength = jQuery("#rowLengthUpdate13").val();
	var defaultValue = jQuery("#defaultValueUpdate13").val();
	var formId = jQuery("#formId").val();
	var xyz_cfm_empty_richtextarea_field_error_message = jQuery("#xyz_cfm_empty_richtextarea_field_error_message").val();

	if(elementName != "" && xyz_cfm_empty_richtextarea_field_error_message != ""){
	jQuery("#progressEditImage").show();
	var dataString = { 
			action: 'ajax_update_element',
			id: selectId, 
			elementId: <?php echo $elementId;?>,
			required: required, 
			xyz_cfm_empty_richtextarea_field_error_message: xyz_cfm_empty_richtextarea_field_error_message,
			elementName: elementName, 
			className: className, 
			collength: collength, 
			rowlength: rowlength,
			defaultValue: defaultValue, 
			formId: formId 
		};

	jQuery.post(ajaxurl, dataString, function(response) {
		jQuery("#cfm_richtextarea").html(response);
		updateElementDetails();
		document.getElementById('editDiv').scrollTop=0;
	});
	
	}else{
		alert("Please fill all mandatory fields.");
		return false;
	}
	
});




});

</script>

<?php 

$eventChangeUpdatePre = '';
$eventKeyUpUpdatePre = '';
$eventKeyDownUpdatePre = '';
$eventBlurUpdatePre = '';
$eventMouseOverUpdatePre = '';
$eventMouseOutUpdatePre = '';
$eventMouseUpUpdatePre = '';
$eventMouseDownUpdatePre = '';
if($element_result->element_type!=11){
if($element_result->jquery_event_handling_code!=''){
	
	$jqueryEventHandlingCode = unserialize($element_result->jquery_event_handling_code);
	
	foreach ($jqueryEventHandlingCode as $key => $value){

		if($key == 'change'){
			$eventChangeUpdatePre = esc_html($value);
		}
		if($key == 'keyup'){
			$eventKeyUpUpdatePre = esc_html($value);
		}
		if($key == 'keydown'){
			$eventKeyDownUpdatePre = esc_html($value);
		}
		if($key == 'blur'){
			$eventBlurUpdatePre = esc_html($value);
		}
		if($key == 'mouseover'){
			$eventMouseOverUpdatePre = esc_html($value);
		}
		if($key == 'mouseout'){
			$eventMouseOutUpdatePre = esc_html($value);
		}
		if($key == 'mouseup'){
			$eventMouseUpUpdatePre = esc_html($value);
		}
		if($key == 'mousedown'){
			$eventMouseDownUpdatePre = esc_html($value);
		}
		
	}
}
}
 

if($element_result->element_type == 1){
	$type1 = "text-";
	?>

<div id="textFieldUpdate">

<script>
jQuery(document).ready(function() {
	jQuery("#elementNameUpdate1").focus();
});
</script>
<?php 
if($element_result->jquery_event_handling_code!=''){
?>
<script>
jQuery(document).ready(function(){
	jQuery("#textJQueryEventOptionDetailsUpdate").show();
});
</script>
<?php 
}
?>
	<input type="hidden" id="elementIdUpdate1" name="elementIdUpdate1"
		value="<?php echo $elementId;?>">
	<div id="cfm_text"></div>
	<table class="tableStyle">
		<tr>
			<td colspan="2" style="padding-left:15px;">Short Code &nbsp;:&nbsp;<?php echo '['.$type1.$elementId.']';?>
			<div style="float: right;margin-bottom:2px;">
					<span id="closeUpdate1" style="margin-right: 20px; cursor: pointer;" title="close"><b>X</b></span>
				</div>
			</td>
		</tr>
		<tr>
			<td style="border: none;padding-left:15px;" colspan="2">
				<div  style="margin-left:10px;"  id="textFieldResultUpdate1"></div>
			</td>

		</tr>
		<tr>
			<td colspan="2"><input type="checkbox" id="requiredUpdate1"
				name="requiredUpdate1"
				<?php if(isset($_POST['requiredUpdate1'])){?>checked="checked"<?php }elseif($element_result->element_required == 1){?>
				checked="checked" <?php }?>>&nbsp;Required field?</td>
		</tr>
		<tr>

			<td>Form Element Name</td><td><input type="text" class="xyz_cfm_NoEnterSubmit"
				name="elementNameUpdate1" id="elementNameUpdate1"
				value = "<?php if(isset($_POST['elementNameUpdate1'])){ echo esc_attr($_POST['elementNameUpdate1']);}else{ echo esc_attr($element_result->element_name); }?>">
				<span style="color:red;">*</span>
			</td>

		</tr>
		<tr>
			<td>Placeholder(optional) </td>
			<td><input type="text" class="xyz_cfm_NoEnterSubmit"
				name="placeHolderUpdate1" id="placeHolderUpdate1"
				value = "<?php if(isset($_POST['placeHolderUpdate1'])){ echo esc_attr($_POST['placeHolderUpdate1']);}else{ echo esc_attr($element_result->placeholder); }?>">
			</td>
		</tr>
		<tr>

			<td>Style Class Name (optional)</td><td><input type="text" class="xyz_cfm_NoEnterSubmit"
				name="classNameUpdate1" id="classNameUpdate1"
				value = "<?php if(isset($_POST['classNameUpdate1'])){ echo esc_attr($_POST['classNameUpdate1']);}else{ echo esc_attr($element_result->css_class); }?>">
			</td>
			</tr>
		<tr>
			<td >Maximum Length (optional)</td><td><input type="text" class="xyz_cfm_NoEnterSubmit"
				name="maxlengthUpdate1" id="maxlengthUpdate1"
				value = "<?php if(isset($_POST['maxlengthUpdate1'])){ echo esc_attr($_POST['maxlengthUpdate1']);}else{ if(abs(intval($element_result->max_length)) == 0){echo "";}else{if(abs(intval($element_result->max_length)) == 0){echo "";}else{echo abs(intval($element_result->max_length));}} }?>">
			</td>
		</tr>
		<tr>
			<td >Default value (optional)</td><td><input type="text" class="xyz_cfm_NoEnterSubmit"
				name="defaultValueUpdate1" id="defaultValueUpdate1"
				value = "<?php if(isset($_POST['defaultValueUpdate1'])){ echo esc_attr($_POST['defaultValueUpdate1']);}else{ echo esc_attr($element_result->default_value); }?>">
			</td>

		</tr>
		<tr>
			<td >Pattern</td><td>
			<input type="text" class="xyz_cfm_NoEnterSubmit"
				name="patternUpdate1" id="patternUpdate1"
				value = "<?php if(isset($_POST['patternUpdate1'])){ echo esc_attr($_POST['patternUpdate1']);}else{ echo esc_attr($element_result->pattern); }?>">
				<br /> 
				<b>Sample Pattern</b> : /^\d{4} ?[A-Z]{2}$/<br />
				<b>Sample Input</b> : 1234 NL<br />
			</td>

		</tr>
		<tr>
			<td>Pattern format error message</td>
			<td><input class="xyz_cfm_NoEnterSubmit" type="text"
				name="xyz_cfm_pattern_format_error_message" id="xyz_cfm_pattern_format_error_message"
				value="<?php 
				if(isset($_POST['xyz_cfm_pattern_format_error_message'])){ 
					echo esc_html($_POST['xyz_cfm_pattern_format_error_message']);
				}elseif($element_result->element_error_messages!=''){
					$updateErrorMessage = unserialize($element_result->element_error_messages);
					foreach ($updateErrorMessage as $key => $value){
						if($key == 'pattern_format'){
							echo esc_html($value);
						}
					}
				}else{
					if($element_result->pattern != ''){
						echo "Pattern format error";	
					}
				}
				
				?>">
			</td>
		</tr>
		<tr>
			<td>Empty text field error message</td>
			<td><input class="xyz_cfm_NoEnterSubmit" type="text"
				name="xyz_cfm_empty_text_field_error_message" id="xyz_cfm_empty_text_field_error_message"
				value="<?php 
				if(isset($_POST['xyz_cfm_empty_text_field_error_message'])){ echo esc_html($_POST['xyz_cfm_empty_text_field_error_message']);}
					elseif($element_result->element_error_messages!=''){
						$updateErrorMessage = unserialize($element_result->element_error_messages);
						foreach ($updateErrorMessage as $key => $value){
							if($key == 'fill_text_field'){
								echo esc_html($value);
							}
						}
					}else{
						echo "Fill text field";	
					}
				
				?>"><span style="color:red;">*</span>
			</td>
		</tr>
		
		<tr>
			<td>jQuery event handlers</td>
			<td >	
			<script>
			jQuery(document).ready(function(){
			jQuery("input:radio[name=textJQueryEventOptionUpdate]").click(function() {
				
			    var value = jQuery(this).val();
			    if(value == 1){

					jQuery("#textJQueryEventOptionDetailsUpdate").show();

			    }else if(value == 2){

					jQuery("#textJQueryEventOptionDetailsUpdate").hide();
			    	
			    }
			});
			});

			</script>															
				<input type="radio" name="textJQueryEventOptionUpdate" value="1"  <?php if(isset($_POST['textJQueryEventOptionUpdate']) && ($_POST['textJQueryEventOptionUpdate'] == 1)){?>checked="checked" <?php }elseif($element_result->jquery_event_handling_code!=''){?>checked="checked" <?php }?>/>Show&nbsp;&nbsp;
				<input type="radio" name="textJQueryEventOptionUpdate" value="2" <?php if(isset($_POST['textJQueryEventOptionUpdate']) && ($_POST['textJQueryEventOptionUpdate'] == 2)){?>checked="checked" <?php }elseif($element_result->jquery_event_handling_code ==''){?>checked="checked" <?php }?> />Hide
			</td>
		</tr>
		
		<tr id="textJQueryEventOptionDetailsUpdate" style="display: none;">
		
			<td colspan="2" >
			<table style="width:100%;" border="0">
			<tr>
			<td style="width:44%;"><b>Event Name</b></td>
			<td><b>JQuery Code</b></td>
			</tr>
			<tr>
			<td>change()</td>
			<td>
				<textarea name="textEventChangeUpdate" id="textEventChangeUpdate"><?php if(isset($_POST['textEventChangeUpdate'])){ echo esc_attr($_POST['textEventChangeUpdate']);}else{ echo $eventChangeUpdatePre; }?></textarea>
			</td>
			</tr>
			<tr>
			<td>keyup()</td>
			<td>
				<textarea name="textEventKeyUpUpdate" id="textEventKeyUpUpdate"><?php if(isset($_POST['textEventKeyUpUpdate'])){ echo esc_attr($_POST['textEventKeyUpUpdate']);}else{ echo $eventKeyUpUpdatePre; }?></textarea>
			</td>
			</tr>
			<tr>
			<td>keydown()</td>
			<td>
				<textarea name="textEventKeyDownUpdate" id="textEventKeyDownUpdate"><?php if(isset($_POST['textEventKeyDownUpdate'])){ echo esc_attr($_POST['textEventKeyDownUpdate']);}else{ echo $eventKeyDownUpdatePre; }?></textarea>
			</td>
			</tr>
			<tr>
			<td>blur()</td>
			<td>
				<textarea name="textEventBlurUpdate" id="textEventBlurUpdate"><?php if(isset($_POST['textEventBlurUpdate'])){ echo esc_attr($_POST['textEventBlurUpdate']);}else{ echo $eventBlurUpdatePre; }?></textarea>
			</td>
			</tr>
			<tr>
			<td>mouseover()</td>
			<td>
				<textarea name="textEventMouseOverUpdate" id="textEventMouseOverUpdate"><?php if(isset($_POST['textEventMouseOverUpdate'])){ echo esc_attr($_POST['textEventMouseOverUpdate']);}else{ echo $eventMouseOverUpdatePre; }?></textarea>
			</td>
			</tr>
			<tr>
			<td>mouseout()</td>
			<td>
				<textarea name="textEventMouseOutUpdate" id="textEventMouseOutUpdate"><?php if(isset($_POST['textEventMouseOutUpdate'])){ echo esc_attr($_POST['textEventMouseOutUpdate']);}else{ echo $eventMouseOutUpdatePre; }?></textarea>
			</td>
			</tr>
			<tr>
			<td>mouseup()</td>
			<td>
				<textarea name="textEventMouseUpUpdate" id="textEventMouseUpUpdate"><?php if(isset($_POST['textEventMouseUpUpdate'])){ echo esc_attr($_POST['textEventMouseUpUpdate']);}else{ echo $eventMouseUpUpdatePre; }?></textarea>
			</td>
			</tr>
			<tr>
			<td style="border:none;">mousedown()</td>
			<td style="border:none;">
				<textarea name="textEventMouseDownUpdate" id="textEventMouseDownUpdate"><?php if(isset($_POST['textEventMouseDownUpdate'])){ echo esc_attr($_POST['textEventMouseDownUpdate']);}else{ echo $eventMouseDownUpdatePre; }?></textarea>
			</td>
			</tr>
			</table>
			</td>

		</tr>
		
		
		<tr>
			<td id="bottomBorderNone" colspan="2">
			<input class="button-primary cfm_bottonWidth" id="textFieldButtonUpdate1"
				style="cursor: pointer;" type="button" name="textFieldButtonUpdate1"
				value="Update">
			</td>

		</tr>

	</table>

</div>


<?php 
}

if($element_result->element_type == 2){
	$type2 = "email-";
	?>
<div id="emailFieldUpdate">
	<script>
jQuery(document).ready(function() {
	jQuery("#elementNameUpdate2").focus();
});
</script>
	<?php 
if($element_result->jquery_event_handling_code!=''){
?>
<script>
jQuery(document).ready(function(){
	jQuery("#emailJQueryEventOptionDetailsUpdate").show();
});
</script>
<?php 
}
?>
	<div id="cfm_email"></div>
	<table class="tableStyle">
		<tr>
			<td colspan="2" style="padding-left:15px;">Short Code &nbsp;:&nbsp;<?php echo '['.$type2.$elementId.']';?>
				<div style="float: right;margin-bottom:2px;">
					<span id="closeUpdate2" style="margin-right: 20px; cursor: pointer;" title="close"><b>X</b></span>
				</div>
			</td>
		</tr>
		<tr>
			<td style="border: none;padding-left:15px;" colspan="2">
				<div style="margin-left:10px;" id="emailFieldResultUpdate2"></div>
			</td>

		</tr>
		<tr>
			<td colspan="2"><input type="checkbox" name="requiredUpdate2"
				id="requiredUpdate2"
				<?php if(isset($_POST['requiredUpdate2'])){?>checked="checked"<?php }elseif($element_result->element_required == 1){?>
				checked="checked" <?php }?>>&nbsp;Required field?</td>
		</tr>
		<tr>

			<td>Form Element Name</td><td><input type="text" class="xyz_cfm_NoEnterSubmit"
				name="elementNameUpdate2" id="elementNameUpdate2"
				value = "<?php if(isset($_POST['elementNameUpdate2'])){ echo esc_attr($_POST['elementNameUpdate2']);}else{ echo esc_attr($element_result->element_name); }?>">
				<span style="color:red;">*</span>
			</td>

		</tr>
		<tr>
			<td>Placeholder(optional) </td>
			<td><input type="text" class="xyz_cfm_NoEnterSubmit"
				name="placeHolderUpdate2" id="placeHolderUpdate2"
				value = "<?php if(isset($_POST['placeHolderUpdate2'])){ echo esc_attr($_POST['placeHolderUpdate2']);}else{ echo esc_attr($element_result->placeholder); }?>">
			</td>
		</tr>
		<tr>

			<td>Style Class Name (optional)</td><td><input type="text" class="xyz_cfm_NoEnterSubmit"
				name="classNameUpdate2" id="classNameUpdate2"
				value = "<?php if(isset($_POST['classNameUpdate2'])){ echo esc_attr($_POST['classNameUpdate2']);}else{ echo esc_attr($element_result->css_class); }?>">
			</td>
			</tr>
		<tr>
			<td >Maximum Length (optional)</td><td><input type="text" class="xyz_cfm_NoEnterSubmit"
				name="maxlengthUpdate2" id="maxlengthUpdate2"
				value = "<?php if(isset($_POST['maxlengthUpdate2'])){ echo esc_attr($_POST['maxlengthUpdate2']);}else{if(abs(intval($element_result->max_length))==0){echo "";}else{echo abs(intval($element_result->max_length));} }?>">
			</td>
		</tr>


		<tr>
			<td >Default value (optional)</td><td><input type="text" class="xyz_cfm_NoEnterSubmit"
				name="defaultValueUpdate2" id="defaultValueUpdate2"
				value = "<?php if(isset($_POST['defaultValueUpdate2'])){ echo esc_attr($_POST['defaultValueUpdate2']);}else{ echo esc_attr($element_result->default_value); }?>">
			</td>

		</tr>
		<tr>
			<td>Empty email field error message</td>
			<td><input class="xyz_cfm_NoEnterSubmit" type="text"
				name="xyz_cfm_empty_email_field_error_message" id="xyz_cfm_empty_email_field_error_message"
				value="<?php 
				if(isset($_POST['xyz_cfm_empty_text_field_error_message'])){ echo esc_html($_POST['xyz_cfm_empty_text_field_error_message']);}
					elseif($element_result->element_error_messages!=''){
						$updateErrorMessage = unserialize($element_result->element_error_messages);
						foreach ($updateErrorMessage as $key => $value){
							if($key == 'fill_email_field'){
								echo esc_html($value);
							}
						}
					}else{
						echo "Fill email field";	
					}
				
				?>"><span style="color:red;">*</span>
			</td>
		</tr>
		<tr>
			<td>Email validation error message</td>
			<td><input class="xyz_cfm_NoEnterSubmit" type="text"
				name="xyz_cfm_valid_email_field_error_message" id="xyz_cfm_valid_email_field_error_message"
				value="<?php 
				if(isset($_POST['xyz_cfm_empty_text_field_error_message'])){ echo esc_html($_POST['xyz_cfm_empty_text_field_error_message']);}
					elseif($element_result->element_error_messages!=''){
						$updateErrorMessage = unserialize($element_result->element_error_messages);
						foreach ($updateErrorMessage as $key => $value){
							if($key == 'please_provide_valid_email_address'){
								echo esc_html($value);
							}
						}
					}else{
						echo "Enter a valid email address";	
					}
				
				?>"><span style="color:red;">*</span>
			</td>
		</tr>
		
		<tr>
			<td>jQuery event handlers</td>
			<td >	
			<script>
			jQuery(document).ready(function(){
			jQuery("input:radio[name=emailJQueryEventOptionUpdate]").click(function() {
				
			    var value = jQuery(this).val();
			    if(value == 1){

					jQuery("#emailJQueryEventOptionDetailsUpdate").show();

			    }else if(value == 2){

					jQuery("#emailJQueryEventOptionDetailsUpdate").hide();
			    	
			    }
			});
			});

			</script>															
				<input type="radio" name="emailJQueryEventOptionUpdate" value="1" <?php if(isset($_POST['emailJQueryEventOptionUpdate']) && ($_POST['emailJQueryEventOptionUpdate'] == 1)){?>checked="checked" <?php }elseif($element_result->jquery_event_handling_code!=''){?>checked="checked" <?php }?>/>Show&nbsp;&nbsp;
				<input type="radio" name="emailJQueryEventOptionUpdate" value="2" <?php if(isset($_POST['emailJQueryEventOptionUpdate']) && ($_POST['emailJQueryEventOptionUpdate'] == 2)){?>checked="checked" <?php }elseif($element_result->jquery_event_handling_code ==''){?>checked="checked" <?php }?>/>Hide
			</td>
		</tr>
		
		<tr id="emailJQueryEventOptionDetailsUpdate" style="display: none;">
			<td colspan="2" >
			<table style="width:100%;" border="0">
			<tr>
			<td style="width:48%;"><b>Event Name</b></td>
			<td><b>JQuery Code</b></td>
			</tr>
			<tr>
			<td>change()</td>
			<td>
				<textarea name="emailEventChangeUpdate" id="emailEventChangeUpdate"><?php if(isset($_POST['emailEventChangeUpdate'])){ echo esc_attr($_POST['emailEventChangeUpdate']);}else{ echo $eventChangeUpdatePre; }?></textarea>
			</td>
			</tr>
			<tr>
			<td>keyup()</td>
			<td>
				<textarea name="emailEventKeyUpUpdate" id="emailEventKeyUpUpdate"><?php if(isset($_POST['emailEventKeyUpUpdate'])){ echo esc_attr($_POST['emailEventKeyUpUpdate']);}else{ echo $eventKeyUpUpdatePre; }?></textarea>
			</td>
			</tr>
			<tr>
			<td>keydown()</td>
			<td>
				<textarea name="emailEventKeyDownUpdate" id="emailEventKeyDownUpdate"><?php if(isset($_POST['emailEventKeyDownUpdate'])){ echo esc_attr($_POST['emailEventKeyDownUpdate']);}else{ echo $eventKeyDownUpdatePre; }?></textarea>
			</td>
			</tr>
			<tr>
			<td>blur()</td>
			<td>
				<textarea name="emailEventBlurUpdate" id="emailEventBlurUpdate"><?php if(isset($_POST['emailEventBlurUpdate'])){ echo esc_attr($_POST['emailEventBlurUpdate']);}else{ echo $eventBlurUpdatePre; }?></textarea>
			</td>
			</tr>
			<tr>
			<td>mouseover()</td>
			<td>
				<textarea name="emailEventMouseOverUpdate" id="emailEventMouseOverUpdate"><?php if(isset($_POST['emailEventMouseOverUpdate'])){ echo esc_attr($_POST['emailEventMouseOverUpdate']);}else{ echo $eventMouseOverUpdatePre; }?></textarea>
			</td>
			</tr>
			<tr>
			<td>mouseout()</td>
			<td>
				<textarea name="emailEventMouseOutUpdate" id="emailEventMouseOutUpdate"><?php if(isset($_POST['emailEventMouseOutUpdate'])){ echo esc_attr($_POST['emailEventMouseOutUpdate']);}else{ echo $eventMouseOutUpdatePre; }?></textarea>
			</td>
			</tr>
			<tr>
			<td>mouseup()</td>
			<td>
				<textarea name="emailEventMouseUpUpdate" id="emailEventMouseUpUpdate"><?php if(isset($_POST['emailEventMouseUpUpdate'])){ echo esc_attr($_POST['emailEventMouseUpUpdate']);}else{ echo $eventMouseUpUpdatePre; }?></textarea>
			</td>
			</tr>
			<tr>
			<td style="border:none;">mousedown()</td>
			<td style="border:none;">
				<textarea name="emailEventMouseDownUpdate" id="emailEventMouseDownUpdate"><?php if(isset($_POST['emailEventMouseDownUpdate'])){ echo esc_attr($_POST['emailEventMouseDownUpdate']);}else{ echo $eventMouseDownUpdatePre; }?></textarea>
			</td>
			</tr>
			</table>
			</td>

		</tr>
		
		
		<tr>
			<td id="bottomBorderNone" colspan="2"><input class="button-primary cfm_bottonWidth" id="textFieldButtonUpdate2"
				style="cursor: pointer;" type="button" name="textFieldButtonUpdate2"
				value="Update">
				
			</td>
		</tr>
		
	</table>

</div>
<?php 
}

if($element_result->element_type == 3){
	$type3 = "textarea-";
	?>
<div id="textAreaUpdate">
<script>
jQuery(document).ready(function() {
	jQuery("#elementNameUpdate3").focus();
});
</script>
<?php 
if($element_result->jquery_event_handling_code!=''){
?>
<script>
jQuery(document).ready(function(){
	jQuery("#textareaJQueryEventOptionDetailsUpdate").show();
});
</script>
<?php 
}
?>
	<div id="cfm_textarea"></div>
	<table class="tableStyle">
		<tr>
			<td colspan="2" style="padding-left:15px;">Short Code &nbsp;:&nbsp;<?php echo '['.$type3.$elementId.']';?>
				<div style="float: right;margin-bottom:2px;">
					<span id="closeUpdate3" style="margin-right: 20px; cursor: pointer;" title="close"><b>X</b></span>
				</div>
			</td>
		</tr>
		<tr>
			<td style="border: none;padding-left:15px;" colspan="2">
				<div style="margin-left:10px;" id="textAreaResultUpdate3"></div>
			</td>

		</tr>
		<tr>
			<td colspan="2"><input type="checkbox" name="requiredUpdate3"
				id="requiredUpdate3"
				<?php if(isset($_POST['requiredUpdate3'])){?>checked="checked"<?php }elseif($element_result->element_required == 1){?>
				checked="checked" <?php }?>>&nbsp;Required field?</td>
		</tr>
		<tr>

			<td>Form Element Name</td><td><input type="text" class="xyz_cfm_NoEnterSubmit"
				name="elementNameUpdate3" id="elementNameUpdate3"
				value = "<?php if(isset($_POST['elementNameUpdate3'])){ echo esc_attr($_POST['elementNameUpdate3']);}else{ echo esc_attr($element_result->element_name); }?>">
				<span style="color:red;">*</span>
			</td>

		</tr>
		<tr>
			<td>Placeholder(optional) </td>
			<td><input type="text" class="xyz_cfm_NoEnterSubmit"
				name="placeHolderUpdate3" id="placeHolderUpdate3"
				value = "<?php if(isset($_POST['placeHolderUpdate3'])){ echo esc_attr($_POST['placeHolderUpdate3']);}else{ echo esc_attr($element_result->placeholder); }?>">
			</td>
		</tr>
		<tr>
			<td>Style Class Name (optional)</td><td><input type="text" class="xyz_cfm_NoEnterSubmit"
				name="classNameUpdate3" id="classNameUpdate3"
				value = "<?php if(isset($_POST['classNameUpdate3'])){ echo esc_attr($_POST['classNameUpdate3']);}else{ echo esc_attr($element_result->css_class); }?>">
			</td>
			</tr>
		<tr>
			<td >Default value (optional)</td><td><input type="text" class="xyz_cfm_NoEnterSubmit"
				name="defaultValueUpdate3" id="defaultValueUpdate3"
				value = "<?php if(isset($_POST['defaultValueUpdate3'])){ echo esc_attr($_POST['defaultValueUpdate3']);}else{ echo esc_attr($element_result->default_value); }?>">
			</td>
		</tr>

		<tr>
			<td>Cols (optional)</td><td><input type="text" name="colLengthUpdate3" class="xyz_cfm_NoEnterSubmit"
				id="colLengthUpdate3" 
				value = "<?php if(isset($_POST['colLengthUpdate3'])){ echo esc_attr($_POST['colLengthUpdate3']);}else{ if(abs(intval($element_result->cols)) != 0){echo abs(intval($element_result->cols));} }?>">
			</td>
			</tr>
		<tr>
			<td>Rows (optional)</td><td><input type="text" name="rowLengthUpdate3" class="xyz_cfm_NoEnterSubmit"
				id="rowLengthUpdate3" 
				value = "<?php if(isset($_POST['rowLengthUpdate3'])){ echo esc_attr($_POST['rowLengthUpdate3']);}else{ if(abs(intval($element_result->rows)) != 0){echo abs(intval($element_result->rows));} }?>">
			</td>
		</tr>
		<tr>
			<td>Empty textarea error message</td>
			<td><input class="xyz_cfm_NoEnterSubmit" type="text"
				name="xyz_cfm_empty_textarea_field_error_message" id="xyz_cfm_empty_textarea_field_error_message"
				value="<?php 
				if(isset($_POST['xyz_cfm_empty_text_field_error_message'])){ echo esc_html($_POST['xyz_cfm_empty_text_field_error_message']);}
					elseif($element_result->element_error_messages!=''){
						$updateErrorMessage = unserialize($element_result->element_error_messages);
						foreach ($updateErrorMessage as $key => $value){
							if($key == 'fill_textarea_field'){
								echo esc_html($value);
							}
						}
					}else{
						echo "Fill textarea field";	
					}
				
				?>"><span style="color:red;">*</span>
			</td>
		</tr>
		
		<tr>
			<td>jQuery event handlers</td>
			<td >	
			<script>
			jQuery(document).ready(function(){
			jQuery("input:radio[name=textareaJQueryEventOptionUpdate]").click(function() {
				
			    var value = jQuery(this).val();
			    if(value == 1){
			
					jQuery("#textareaJQueryEventOptionDetailsUpdate").show();
			
			    }else if(value == 2){
			
					jQuery("#textareaJQueryEventOptionDetailsUpdate").hide();
			    	
			    }
			});
			});
			
			</script>															
					<input type="radio" name="textareaJQueryEventOptionUpdate" value="1" <?php if(isset($_POST['textareaJQueryEventOptionUpdate']) && ($_POST['textareaJQueryEventOptionUpdate'] == 1)){?>checked="checked" <?php }elseif($element_result->jquery_event_handling_code!=''){?>checked="checked" <?php }?>/>Show&nbsp;&nbsp;
					<input type="radio" name="textareaJQueryEventOptionUpdate" value="2" <?php if(isset($_POST['textareaJQueryEventOptionUpdate']) && ($_POST['textareaJQueryEventOptionUpdate'] == 2)){?>checked="checked" <?php }elseif($element_result->jquery_event_handling_code ==''){?>checked="checked" <?php }?> />Hide
				</td>
			</tr>
			
			<tr id="textareaJQueryEventOptionDetailsUpdate" style="display: none;">
			<td colspan="2" >
			<table style="width:100%;" border="0">
			<tr>
			<td style="width:48%;"><b>Event Name</b></td>
			<td><b>JQuery Code</b></td>
			</tr>
			<tr>
			<td>change()</td>
			<td>
				<textarea name="textareaEventChangeUpdate" id="textareaEventChangeUpdate"><?php if(isset($_POST['textareaEventChangeUpdate'])){ echo esc_attr($_POST['textareaEventChangeUpdate']);}else{ echo $eventChangeUpdatePre; }?></textarea>
			</td>
			</tr>
			<tr>
			<td>keyup()</td>
			<td>
				<textarea name="textareaEventKeyUpUpdate" id="textareaEventKeyUpUpdate"><?php if(isset($_POST['textareaEventKeyUpUpdate'])){ echo esc_attr($_POST['textareaEventKeyUpUpdate']);}else{ echo $eventKeyUpUpdatePre; }?></textarea>
			</td>
			</tr>
			<tr>
			<td>keydown()</td>
			<td>
				<textarea name="textareaEventKeyDownUpdate" id="textareaEventKeyDownUpdate"><?php if(isset($_POST['textareaEventKeyDownUpdate'])){ echo esc_attr($_POST['textareaEventKeyDownUpdate']);}else{ echo $eventKeyDownUpdatePre; }?></textarea>
			</td>
			</tr>
			<tr>
			<td>blur()</td>
			<td>
				<textarea name="textareaEventBlurUpdate" id="textareaEventBlurUpdate"><?php if(isset($_POST['textareaEventBlurUpdate'])){ echo esc_attr($_POST['textareaEventBlurUpdate']);}else{ echo $eventBlurUpdatePre; }?></textarea>
			</td>
			</tr>
			<tr>
			<td>mouseover()</td>
			<td>
				<textarea name="textareaEventMouseOverUpdate" id="textareaEventMouseOverUpdate"><?php if(isset($_POST['textareaEventMouseOverUpdate'])){ echo esc_attr($_POST['textareaEventMouseOverUpdate']);}else{ echo $eventMouseOverUpdatePre; }?></textarea>
			</td>
			</tr>
			<tr>
			<td>mouseout()</td>
			<td>
				<textarea name="textareaEventMouseOutUpdate" id="textareaEventMouseOutUpdate"><?php if(isset($_POST['textareaEventMouseOutUpdate'])){ echo esc_attr($_POST['textareaEventMouseOutUpdate']);}else{ echo $eventMouseOutUpdatePre; }?></textarea>
			</td>
			</tr>
			<tr>
			<td>mouseup()</td>
			<td>
				<textarea name="textareaEventMouseUpUpdate" id="textareaEventMouseUpUpdate"><?php if(isset($_POST['textareaEventMouseUpUpdate'])){ echo esc_attr($_POST['textareaEventMouseUpUpdate']);}else{ echo $eventMouseUpUpdatePre; }?></textarea>
			</td>
			</tr>
			<tr>
			<td style="border:none;">mousedown()</td>
			<td style="border:none;">
					<textarea name="textareaEventMouseDownUpdate" id="textareaEventMouseDownUpdate"><?php if(isset($_POST['textareaEventMouseDownUpdate'])){ echo esc_attr($_POST['textareaEventMouseDownUpdate']);}else{ echo $eventMouseDownUpdatePre; }?></textarea>
				</td>
				</tr>
				</table>
				</td>
			
			</tr>
		
		<tr>
			<td id="bottomBorderNone" colspan="2"><input class="button-primary cfm_bottonWidth" id="textFieldButtonUpdate3"
				style="cursor: pointer;" type="button" name="textFieldButtonUpdate3"
				value="Update">
			</td>
		</tr>
		
	</table>

</div>

<?php 
}

if($element_result->element_type == 4){
	$type4 = "dropdown-";
	?>
<div id="dropDownMenuUpdate">
<script>
jQuery(document).ready(function() {
	jQuery("#elementNameUpdate4").focus();
});
</script>
<?php 
if($element_result->jquery_event_handling_code!=''){
?>
<script>
jQuery(document).ready(function(){
	jQuery("#dropdownJQueryEventOptionDetailsUpdate").show();
});
</script>
<?php 
}
?>
	<div id="cfm_dropdown"></div>
	<table class="tableStyle">
		<tr>
			<td colspan="2" style="padding-left:15px;">Short Code &nbsp;:&nbsp;<?php echo '['.$type4.$elementId.']';?>
				<div style="float: right;margin-bottom:2px;">
					<span id="closeUpdate4" style="margin-right: 20px; cursor: pointer;" title="close"><b>X</b></span>
				</div>
			</td>
		</tr>
		<tr>
			<td style="border: none;padding-left:15px;" colspan="2">
				<div style="margin-left:10px;" id="dropDownMenuResultUpdate4"></div>
			</td>

		</tr>
		<tr>
			<td colspan="2"><input type="checkbox" name="requiredUpdate4"
				id="requiredUpdate4"
				<?php if(isset($_POST['requiredUpdate4'])){?>checked="checked"<?php }elseif($element_result->element_required == 1){?>
				checked="checked" <?php }?>>&nbsp;Required field?</td>
		</tr>
		<tr>

			<td>Form Element Name</td><td><input type="text" class="xyz_cfm_NoEnterSubmit"
				name="elementNameUpdate4" id="elementNameUpdate4"
				value = "<?php if(isset($_POST['elementNameUpdate4'])){ echo esc_attr($_POST['elementNameUpdate4']);}else{ echo esc_attr($element_result->element_name); }?>">
				<span style="color:red;">*</span>
			</td>
		</tr>
		<tr>
			<td>Options</td><td><input type="text" class="xyz_cfm_NoEnterSubmit"
				name="dropDownOptionsUpdate4" id="dropDownOptionsUpdate4" value="<?php if(isset($_POST['dropDownOptionsUpdate4'])){ echo esc_attr($_POST['dropDownOptionsUpdate4']);}else{ echo esc_attr($element_result->options); }?>">
				<span style="color:red;">*</span>
				<br /><b>Example 1</b> : a,b,c,d
				<br /><b>Example 2</b> : a=>1,b=>2,c=>3,d=>4
			</td>
		</tr>
		<tr>
			<td colspan="2"><input type="checkbox" name="viewMultipleSelectDropDownUpdate"
				id="viewMultipleSelectDropDownUpdate"
				<?php if(isset($_POST['viewMultipleSelectDropDownUpdate'])){?>checked="checked"<?php }elseif($element_result->client_view_multi_select_drop_down == 1){?>
				checked="checked" <?php }?>	>&nbsp;Allow multi-select</td>
		</tr>
		<tr>
			<td>Default Drop down value (optional)</td><td><input type="text" class="xyz_cfm_NoEnterSubmit"
					name="dropDownOptionsUpdate4DefaultValue" id="dropDownOptionsUpdate4DefaultValue" 
					value="<?php if(isset($_POST['dropDownOptionsUpdate4DefaultValue'])){ echo esc_attr($_POST['dropDownOptionsUpdate4DefaultValue']);}else{ echo esc_attr($element_result->default_value); }?>">
				</td>
		</tr>
		<tr>
			<td>Style Class Name (optional)</td><td><input type="text" class="xyz_cfm_NoEnterSubmit"
				name="classNameUpdate4" id="classNameUpdate4"
				value = "<?php if(isset($_POST['classNameUpdate4'])){ echo esc_attr($_POST['classNameUpdate4']);}else{ echo esc_attr($element_result->css_class); }?>">
			</td>
		</tr>
		<tr>
			<td>Mandatory select error message</td>
			<td><input class="xyz_cfm_NoEnterSubmit" type="text"
				name="xyz_cfm_empty_dropdown_field_error_message" id="xyz_cfm_empty_textarea_field_error_message"
				value="<?php 
				if(isset($_POST['xyz_cfm_empty_text_field_error_message'])){ echo esc_html($_POST['xyz_cfm_empty_text_field_error_message']);}
					elseif($element_result->element_error_messages!=''){
						$updateErrorMessage = unserialize($element_result->element_error_messages);
						foreach ($updateErrorMessage as $key => $value){
							if($key == 'select_dropdown_field'){
								echo esc_html($value);
							}
						}
					}else{
						echo "Select dropdown field";	
					}
				
				?>"><span style="color:red;">*</span>
			</td>
		</tr>
		
		<tr>
			<td>jQuery event handlers</td>
			<td >	
			<script>
			jQuery(document).ready(function(){
			jQuery("input:radio[name=dropdownJQueryEventOptionUpdate]").click(function() {
				
			    var value = jQuery(this).val();
			    if(value == 1){
	
					jQuery("#dropdownJQueryEventOptionDetailsUpdate").show();
	
			    }else if(value == 2){
	
					jQuery("#dropdownJQueryEventOptionDetailsUpdate").hide();
			    	
			    }
			});
			});
	
			</script>															
				<input type="radio" name="dropdownJQueryEventOptionUpdate" value="1" <?php if(isset($_POST['dropdownJQueryEventOptionUpdate']) && ($_POST['dropdownJQueryEventOptionUpdate'] == 1)){?>checked="checked" <?php }elseif($element_result->jquery_event_handling_code!=''){?>checked="checked" <?php }?>/>Show&nbsp;&nbsp;
				<input type="radio" name="dropdownJQueryEventOptionUpdate" value="2" <?php if(isset($_POST['dropdownJQueryEventOptionUpdate']) && ($_POST['dropdownJQueryEventOptionUpdate'] == 2)){?>checked="checked" <?php }elseif($element_result->jquery_event_handling_code ==''){?>checked="checked" <?php }?> />Hide
			</td>
		</tr>
		
		<tr id="dropdownJQueryEventOptionDetailsUpdate" style="display: none;">
			<td colspan="2" >
			<table style="width:100%;" border="0">
			<tr>
			<td style="width:47%;"><b>Event Name</b></td>
			<td><b>JQuery Code</b></td>
			</tr>
			<tr>
			<td>change()</td>
			<td>
				<textarea name="dropdownEventChangeUpdate" id="dropdownEventChangeUpdate"><?php if(isset($_POST['dropdownEventChangeUpdate'])){ echo esc_attr($_POST['dropdownEventChangeUpdate']);}else{ echo $eventChangeUpdatePre; }?></textarea>
			</td>
			</tr>
			<tr>
			<td>keyup()</td>
			<td>
				<textarea name="dropdownEventKeyUpUpdate" id="dropdownEventKeyUpUpdate"><?php if(isset($_POST['dropdownEventKeyUpUpdate'])){ echo esc_attr($_POST['dropdownEventKeyUpUpdate']);}else{ echo $eventKeyUpUpdatePre; }?></textarea>
			</td>
			</tr>
			<tr>
			<td>keydown()</td>
			<td>
				<textarea name="dropdownEventKeyDownUpdate" id="dropdownEventKeyDownUpdate"><?php if(isset($_POST['dropdownEventKeyDownUpdate'])){ echo esc_attr($_POST['dropdownEventKeyDownUpdate']);}else{ echo $eventKeyDownUpdatePre; }?></textarea>
			</td>
			</tr>
			<tr>
			<td>blur()</td>
			<td>
				<textarea name="dropdownEventBlurUpdate" id="dropdownEventBlurUpdate"><?php if(isset($_POST['dropdownEventBlurUpdate'])){ echo esc_attr($_POST['dropdownEventBlurUpdate']);}else{ echo $eventBlurUpdatePre; }?></textarea>
			</td>
			</tr>
			<tr>
			<td>mouseover()</td>
			<td>
				<textarea name="dropdownEventMouseOverUpdate" id="dropdownEventMouseOverUpdate"><?php if(isset($_POST['dropdownEventMouseOverUpdate'])){ echo esc_attr($_POST['dropdownEventMouseOverUpdate']);}else{ echo $eventMouseOverUpdatePre; }?></textarea>
			</td>
			</tr>
			<tr>
			<td>mouseout()</td>
			<td>
				<textarea name="dropdownEventMouseOutUpdate" id="dropdownEventMouseOutUpdate"><?php if(isset($_POST['dropdownEventMouseOutUpdate'])){ echo esc_attr($_POST['dropdownEventMouseOutUpdate']);}else{ echo $eventMouseOutUpdatePre; }?></textarea>
			</td>
			</tr>
			<tr>
			<td>mouseup()</td>
			<td>
				<textarea name="dropdownEventMouseUpUpdate" id="dropdownEventMouseUpUpdate"><?php if(isset($_POST['dropdownEventMouseUpUpdate'])){ echo esc_attr($_POST['dropdownEventMouseUpUpdate']);}else{ echo $eventMouseUpUpdatePre; }?></textarea>
			</td>
			</tr>
			<tr>
			<td style="border:none;">mousedown()</td>
			<td style="border:none;">
				<textarea name="dropdownEventMouseDownUpdate" id="dropdownEventMouseDownUpdate"><?php if(isset($_POST['dropdownEventMouseDownUpdate'])){ echo esc_attr($_POST['dropdownEventMouseDownUpdate']);}else{ echo $eventMouseDownUpdatePre; }?></textarea>
			</td>
			</tr>
			</table>
			</td>
	
		</tr>
		
		<tr>
			<td id="bottomBorderNone" colspan="2"><input class="button-primary cfm_bottonWidth" id="textFieldButtonUpdate4"
				style="cursor: pointer;" type="button" name="textFieldButtonUpdate4"
				value="Update">
			</td>
		</tr>
		
	</table>

</div>

<?php 
}

if($element_result->element_type == 5){
	$type5 = "date-";
	?>
<div id="dateFieldUpdate">
<script>
jQuery(document).ready(function() {
	jQuery("#elementNameUpdate5").focus();
});
</script>
<?php 
if($element_result->jquery_event_handling_code!=''){
?>
<script>
jQuery(document).ready(function(){
	jQuery("#dateJQueryEventOptionDetailsUpdate").show();
});
</script>
<?php 
}
?>
	<div id="cfm_date"></div>
	<table class="tableStyle">
		<tr>
			<td colspan="2" style="padding-left:15px;">Short Code &nbsp;:&nbsp;<?php echo '['.$type5.$elementId.']';?>
				<div style="float: right;margin-bottom:2px;">
					<span id="closeUpdate5" style="margin-right: 20px; cursor: pointer;" title="close"><b>X</b></span>
				</div>
			</td>
		</tr>
		<tr>
			<td style="border: none;padding-left:15px;" colspan="2">
				<div style="margin-left:10px;" id="dateFieldResultUpdate5"></div>
			</td>

		</tr>
		<tr>
			<td colspan="2"><input type="checkbox" name="requiredUpdate5"
				id="requiredUpdate5"
				<?php if(isset($_POST['requiredUpdate5'])){?>checked="checked"<?php }elseif($element_result->element_required == 1){?>
				checked="checked" <?php }?>>&nbsp;Required field?</td>
		</tr>
		<tr>

			<td>Form Element Name</td><td><input type="text" class="xyz_cfm_NoEnterSubmit"
				name="elementNameUpdate5" id="elementNameUpdate5"
				value = "<?php if(isset($_POST['elementNameUpdate5'])){ echo esc_attr($_POST['elementNameUpdate5']);}else{ echo esc_attr($element_result->element_name); }?>">
				<span style="color:red;">*</span>
			</td>
		</tr>
		
		
		<tr>
		<td>Start Date</td>
		<td>
			<script>
			jQuery(document).ready(function() {
			    jQuery('#elementStartDateUpdate5').datepicker({
			    	<?php 
					if(get_option('xyz_cfm_pm_DateFormat') == 1){
					?> 
					 dateFormat : 'dd-mm-yy'
					<?php
					}elseif(get_option('xyz_cfm_pm_DateFormat') == 2){
					?>
					dateFormat : 'mm-dd-yy'
			      	<?php 
					}
					?>
			    });
			});
			</script>
			<?php 
			if(get_option('xyz_cfm_pm_DateFormat') == 1){//dd-mm-yyyy
				
				$xyzFormatStartDate = esc_attr($element_result->date_picker_start_date);
				
			}elseif(get_option('xyz_cfm_pm_DateFormat') == 2){//mm-dd-yyyy
				if(esc_attr($element_result->date_picker_start_date) != ''){
					$startDateArray 		= explode('-',esc_attr($element_result->date_picker_start_date)); 
					$xyzFormatStartDate 	= $startDateArray[1].'-'.$startDateArray[0].'-'.$startDateArray[2];
				}
			}
			
			?>
			
			<input type="text" class="xyz_cfm_NoEnterSubmit"
			name="elementStartDateUpdate5" id="elementStartDateUpdate5" placeholder="Click Me" 
			value = "<?php if(isset($_POST['elementStartDateUpdate5'])){ echo esc_attr($_POST['elementStartDateUpdate5']);}else{ echo $xyzFormatStartDate; }?>" >
		</td>
	</tr>
	<tr>
		<td>End Date</td>
		<td>
			
			<script>
			jQuery(document).ready(function() {
			    jQuery('#elementEndDateUpdate5').datepicker({
			    	<?php 
					if(get_option('xyz_cfm_pm_DateFormat') == 1){
					?> 
					 dateFormat : 'dd-mm-yy'
					<?php
					}elseif(get_option('xyz_cfm_pm_DateFormat') == 2){
					?>
					dateFormat : 'mm-dd-yy'
			      	<?php 
					}
					?>
			    });
			});
			</script>
			<?php 
			if(get_option('xyz_cfm_pm_DateFormat') == 1){//dd-mm-yyyy
			
				$xyzFormatEndDate   = esc_attr($element_result->date_picker_end_date);
			
			}elseif(get_option('xyz_cfm_pm_DateFormat') == 2){//mm-dd-yyyy
				
				if(esc_attr($element_result->date_picker_end_date)!= ''){
					$endDateArray 			= explode('-',esc_attr($element_result->date_picker_end_date));
					$xyzFormatEndDate   	= $endDateArray[1].'-'.$endDateArray[0].'-'.$endDateArray[2];
				}
			}
			?>
			<input type="text" class="xyz_cfm_NoEnterSubmit"
			name="elementEndDateUpdate5" id="elementEndDateUpdate5" placeholder="Click Me"
			value = "<?php if(isset($_POST['elementEndDateUpdate5'])){ echo esc_attr($_POST['elementEndDateUpdate5']);}else{ echo $xyzFormatEndDate; }?>">
		</td>
	</tr>
	<tr>
		<td>Datepicker Type</td>
		<td>
			<input type="radio" name="elementDatepickertypeUpdate5" value="1" <?php if(isset($_POST['elementDatepickertypeUpdate5']) && ($_POST['elementDatepickertypeUpdate5'] == 1)){?>checked="checked" <?php }elseif($element_result->date_picker_type == 1){?>checked="checked" <?php }?>/>jQuery&nbsp;&nbsp;
			<input type="radio" name="elementDatepickertypeUpdate5" value="2" <?php if(isset($_POST['elementDatepickertypeUpdate5']) && ($_POST['elementDatepickertypeUpdate5'] == 2)){?>checked="checked" <?php }elseif($element_result->date_picker_type == 2){?>checked="checked" <?php }?> />Dropdown
		</td>
	</tr>
		
		
		<tr>
			<td >Style Class Name (optional)</td><td><input type="text" class="xyz_cfm_NoEnterSubmit"
				name="classNameUpdate5" id="classNameUpdate5"
				value = "<?php if(isset($_POST['classNameUpdate5'])){ echo esc_attr($_POST['classNameUpdate5']);}else{ echo esc_attr($element_result->css_class); }?>">
			</td>
		</tr>
		
		<tr>
			<td>Date allowed range error message</td>
			<td><input class="xyz_cfm_NoEnterSubmit" type="text"
				name="xyz_cfm_allowed_range_date_error_message" id="xyz_cfm_allowed_range_date_error_message"
				value="<?php 
				if(isset($_POST['xyz_cfm_allowed_range_date_error_message'])){ echo esc_html($_POST['xyz_cfm_allowed_range_date_error_message']);}
					elseif($element_result->element_error_messages!=''){
						$updateErrorMessage = unserialize($element_result->element_error_messages);
						foreach ($updateErrorMessage as $key => $value){
							if($key == 'allowed_range_error'){
								echo esc_html($value);
							}
						}
					}else{
						echo "Fill date field";	
					}
				
				?>"><span style="color:red;">*</span>
			</td>
		</tr>
		
		<tr>
			<td>Empty date error message</td>
			<td><input class="xyz_cfm_NoEnterSubmit" type="text"
				name="xyz_cfm_empty_date_field_error_message" id="xyz_cfm_empty_date_field_error_message"
				value="<?php 
				if(isset($_POST['xyz_cfm_empty_text_field_error_message'])){ echo esc_html($_POST['xyz_cfm_empty_text_field_error_message']);}
					elseif($element_result->element_error_messages!=''){
						$updateErrorMessage = unserialize($element_result->element_error_messages);
						foreach ($updateErrorMessage as $key => $value){
							if($key == 'fill_date_field'){
								echo esc_html($value);
							}
						}
					}else{
						echo "Fill date field";	
					}
				
				?>"><span style="color:red;">*</span>
			</td>
		</tr>
		
		<tr>
			<td>jQuery event handlers</td>
			<td >	
			<script>
			jQuery(document).ready(function(){
			jQuery("input:radio[name=dateJQueryEventOptionUpdate]").click(function() {
				
			    var value = jQuery(this).val();
			    if(value == 1){

					jQuery("#dateJQueryEventOptionDetailsUpdate").show();

			    }else if(value == 2){

					jQuery("#dateJQueryEventOptionDetailsUpdate").hide();
			    	
			    }
			});
			});

			</script>															
				<input type="radio" name="dateJQueryEventOptionUpdate" value="1" <?php if(isset($_POST['dateJQueryEventOptionUpdate']) && ($_POST['dateJQueryEventOptionUpdate'] == 1)){?>checked="checked" <?php }elseif($element_result->jquery_event_handling_code!=''){?>checked="checked" <?php }?>/>Show&nbsp;&nbsp;
				<input type="radio" name="dateJQueryEventOptionUpdate" value="2" <?php if(isset($_POST['dateJQueryEventOptionUpdate']) && ($_POST['dateJQueryEventOptionUpdate'] == 2)){?>checked="checked" <?php }elseif($element_result->jquery_event_handling_code ==''){?>checked="checked" <?php }?> />Hide
			</td>
		</tr>
		
		<tr id="dateJQueryEventOptionDetailsUpdate" style="display: none;">
			<td colspan="2" >
			<table style="width:100%;" border="0">
			<tr>
			<td style="width:47%;"><b>Event Name</b></td>
			<td><b>JQuery Code</b></td>
			</tr>
			<tr>
			<td>change()</td>
			<td>
				<textarea name="dateEventChangeUpdate" id="dateEventChangeUpdate"><?php if(isset($_POST['dateEventChangeUpdate'])){ echo esc_attr($_POST['dateEventChangeUpdate']);}else{ echo $eventChangeUpdatePre; }?></textarea>
			</td>
			</tr>
			<tr>
			<td>keyup()</td>
			<td>
				<textarea name="dateEventKeyUpUpdate" id="dateEventKeyUpUpdate"><?php if(isset($_POST['dateEventKeyUpUpdate'])){ echo esc_attr($_POST['dateEventKeyUpUpdate']);}else{ echo $eventKeyUpUpdatePre; }?></textarea>
			</td>
			</tr>
			<tr>
			<td>keydown()</td>
			<td>
				<textarea name="dateEventKeyDownUpdate" id="dateEventKeyDownUpdate"><?php if(isset($_POST['dateEventKeyDownUpdate'])){ echo esc_attr($_POST['dateEventKeyDownUpdate']);}else{ echo $eventKeyDownUpdatePre; }?></textarea>
			</td>
			</tr>
			<tr>
			<td>blur()</td>
			<td>
				<textarea name="dateEventBlurUpdate" id="dateEventBlurUpdate"><?php if(isset($_POST['dateEventBlurUpdate'])){ echo esc_attr($_POST['dateEventBlurUpdate']);}else{ echo $eventBlurUpdatePre; }?></textarea>
			</td>
			</tr>
			<tr>
			<td>mouseover()</td>
			<td>
				<textarea name="dateEventMouseOverUpdate" id="dateEventMouseOverUpdate"><?php if(isset($_POST['dateEventMouseOverUpdate'])){ echo esc_attr($_POST['dateEventMouseOverUpdate']);}else{ echo $eventMouseOverUpdatePre; }?></textarea>
			</td>
			</tr>
			<tr>
			<td>mouseout()</td>
			<td>
				<textarea name="dateEventMouseOutUpdate" id="dateEventMouseOutUpdate"><?php if(isset($_POST['dateEventMouseOutUpdate'])){ echo esc_attr($_POST['dateEventMouseOutUpdate']);}else{ echo $eventMouseOutUpdatePre; }?></textarea>
			</td>
			</tr>
			<tr>
			<td>mouseup()</td>
			<td>
				<textarea name="dateEventMouseUpUpdate" id="dateEventMouseUpUpdate"><?php if(isset($_POST['dateEventMouseUpUpdate'])){ echo esc_attr($_POST['dateEventMouseUpUpdate']);}else{ echo $eventMouseUpUpdatePre; }?></textarea>
			</td>
			</tr>
			<tr>
			<td style="border:none;">mousedown()</td>
			<td style="border:none;">
				<textarea name="dateEventMouseDownUpdate" id="dateEventMouseDownUpdate"><?php if(isset($_POST['dateEventMouseDownUpdate'])){ echo esc_attr($_POST['dateEventMouseDownUpdate']);}else{ echo $eventMouseDownUpdatePre; }?></textarea>
			</td>
			</tr>
			</table>
			</td>

		</tr>
		
		
		<tr>
			<td id="bottomBorderNone" colspan="2"><input class="button-primary cfm_bottonWidth"
				id="textFieldButtonUpdate5" style="cursor: pointer;" type="button"
				name="textFieldButtonUpdate5" value="Update">
			</td>
		</tr>
		
	</table>

</div>

<?php 
}

if($element_result->element_type == 6){
	$type6 = "checkbox-";
	?>
<div id="checkBoxesUpdate">
<script>
jQuery(document).ready(function() {
	jQuery("#elementNameUpdate6").focus();
});
</script>
<?php 
if($element_result->jquery_event_handling_code!=''){
?>
<script>
jQuery(document).ready(function(){
	jQuery("#checkboxJQueryEventOptionDetailsUpdate").show();
});
</script>
<?php 
}
?>
	<div id="cfm_checkbox"></div>
	<table class="tableStyle">
		<tr>
			<td colspan="2" style="padding-left:15px;">Short Code &nbsp;:&nbsp;<?php echo '['.$type6.$elementId.']';?>
				<div style="float: right;margin-bottom:2px;">
					<span id="closeUpdate6" style="margin-right: 20px; cursor: pointer;" title="close"><b>X</b></span>
				</div>
			</td>
		</tr>
		<tr>
			<td style="border: none;padding-left:15px;" colspan="2">
				<div style="margin-left:10px;" id="checkBoxesResultUpdate6"></div>
			</td>

		</tr>
		<tr>
			<td colspan="2"><input type="checkbox" name="requiredUpdate6"
				id="requiredUpdate6"
				<?php if(isset($_POST['requiredUpdate6'])){?>checked="checked"<?php }elseif($element_result->element_required == 1){?>
				checked="checked" <?php }?>>&nbsp;Required field?</td>
		</tr>
		<tr>

			<td>Form Element Name</td><td><input type="text" class="xyz_cfm_NoEnterSubmit"
				name="elementNameUpdate6" id="elementNameUpdate6"
				value = "<?php if(isset($_POST['elementNameUpdate6'])){ echo esc_attr($_POST['elementNameUpdate6']);}else{ echo esc_attr($element_result->element_name); }?>">
				<span style="color:red;">*</span>
			</td>
		</tr>


		<tr>
			<td>Options</td><td><input type="text" class="xyz_cfm_NoEnterSubmit"
				name="checkBoxOptionsUpdate6" id="checkBoxOptionsUpdate6" value="<?php if(isset($_POST['checkBoxOptionsUpdate6'])){ echo esc_attr($_POST['checkBoxOptionsUpdate6']);}else{ echo esc_attr($element_result->options); }?>">
				<span style="color:red;">*</span>
				<br /><b>Example 1</b> : a,b,c,d
				<br /><b>Example 2</b> : a=>1,b=>2,c=>3,d=>4
			</td>
		</tr>
		<tr>
			<td>Default Check Box value(s) (optional)</td><td><input type="text" class="xyz_cfm_NoEnterSubmit"
				name="checkBoxOptionsUpdate6DefaultValue" id="checkBoxOptionsUpdate6DefaultValue" 
				value = "<?php if(isset($_POST['checkBoxOptionsUpdate6DefaultValue'])){ echo esc_attr($_POST['checkBoxOptionsUpdate6DefaultValue']);}else{ echo esc_attr($element_result->default_value); }?>">
				
			</td>
		</tr>
		<tr>
			<td>Options Display Mode</td>
			<td>Insert line break after every&nbsp;
			<input type="text" class="xyz_cfm_NoEnterSubmit"
				name="viewLineBreakOptions6"
				id="viewLineBreakOptions6" maxlength="3" style="width: 33px;text-align: center;"
				value = "<?php if(isset($_POST['viewLineBreakOptions6'])){ echo esc_attr($_POST['viewLineBreakOptions6']);}else{ echo esc_attr($element_result->client_view_check_radio_line_break_count); }?>"
				>&nbsp;options
			</td>
		</tr>
		<tr>
			<td>Style Class Name (optional)</td><td><input type="text" class="xyz_cfm_NoEnterSubmit"
				name="classNameUpdate6" id="classNameUpdate6"
				value = "<?php if(isset($_POST['classNameUpdate6'])){ echo esc_attr($_POST['classNameUpdate6']);}else{ echo esc_attr($element_result->css_class); }?>">
			</td>
		</tr>
		<tr>
			<td>Mandatory checkbox error message</td>
			<td><input class="xyz_cfm_NoEnterSubmit" type="text"
				name="xyz_cfm_empty_checkbox_field_error_message" id="xyz_cfm_empty_checkbox_field_error_message"
				value="<?php 
				if(isset($_POST['xyz_cfm_empty_text_field_error_message'])){ echo esc_html($_POST['xyz_cfm_empty_text_field_error_message']);}
					elseif($element_result->element_error_messages!=''){
						$updateErrorMessage = unserialize($element_result->element_error_messages);
						foreach ($updateErrorMessage as $key => $value){
							if($key == 'select_atleast_one_checkbox'){
								echo esc_html($value);
							}
						}
					}else{
						echo "Select atleast one checkbox";	
					}
				
				?>"><span style="color:red;">*</span>
			</td>
		</tr>
		
		<tr>
			<td>jQuery event handlers</td>
			<td >	
			<script>
			jQuery(document).ready(function(){
			jQuery("input:radio[name=checkboxJQueryEventOptionUpdate]").click(function() {
				
			    var value = jQuery(this).val();
			    if(value == 1){

					jQuery("#checkboxJQueryEventOptionDetailsUpdate").show();

			    }else if(value == 2){

					jQuery("#checkboxJQueryEventOptionDetailsUpdate").hide();
			    	
			    }
			});
			});

			</script>															
				<input type="radio" name="checkboxJQueryEventOptionUpdate" value="1" <?php if(isset($_POST['checkboxJQueryEventOptionUpdate']) && ($_POST['checkboxJQueryEventOptionUpdate'] == 1)){?>checked="checked" <?php }elseif($element_result->jquery_event_handling_code!=''){?>checked="checked" <?php }?>/>Show&nbsp;&nbsp;
				<input type="radio" name="checkboxJQueryEventOptionUpdate" value="2" <?php if(isset($_POST['checkboxJQueryEventOptionUpdate']) && ($_POST['checkboxJQueryEventOptionUpdate'] == 2)){?>checked="checked" <?php }elseif($element_result->jquery_event_handling_code ==''){?>checked="checked" <?php }?> />Hide
			</td>
		</tr>
		
		<tr id="checkboxJQueryEventOptionDetailsUpdate" style="display: none;">
			<td colspan="2" >
			<table style="width:100%;" border="0">
			<tr>
			<td style="width:47%;"><b>Event Name</b></td>
			<td><b>JQuery Code</b></td>
			</tr>
			<tr>
			<td>change()</td>
			<td>
				<textarea name="checkboxEventChangeUpdate" id="checkboxEventChangeUpdate"><?php if(isset($_POST['checkboxEventChangeUpdate'])){ echo esc_attr($_POST['checkboxEventChangeUpdate']);}else{ echo $eventChangeUpdatePre; }?></textarea>
			</td>
			</tr>
			<tr>
			<td>keyup()</td>
			<td>
				<textarea name="checkboxEventKeyUpUpdate" id="checkboxEventKeyUpUpdate"><?php if(isset($_POST['checkboxEventKeyUpUpdate'])){ echo esc_attr($_POST['checkboxEventKeyUpUpdate']);}else{ echo $eventKeyUpUpdatePre; }?></textarea>
			</td>
			</tr>
			<tr>
			<td>keydown()</td>
			<td>
				<textarea name="checkboxEventKeyDownUpdate" id="checkboxEventKeyDownUpdate"><?php if(isset($_POST['checkboxEventKeyDownUpdate'])){ echo esc_attr($_POST['checkboxEventKeyDownUpdate']);}else{ echo $eventKeyDownUpdatePre; }?></textarea>
			</td>
			</tr>
			<tr>
			<td>blur()</td>
			<td>
				<textarea name="checkboxEventBlurUpdate" id="checkboxEventBlurUpdate"><?php if(isset($_POST['checkboxEventBlurUpdate'])){ echo esc_attr($_POST['checkboxEventBlurUpdate']);}else{ echo $eventBlurUpdatePre; }?></textarea>
			</td>
			</tr>
			<tr>
			<td>mouseover()</td>
			<td>
				<textarea name="checkboxEventMouseOverUpdate" id="checkboxEventMouseOverUpdate"><?php if(isset($_POST['checkboxEventMouseOverUpdate'])){ echo esc_attr($_POST['checkboxEventMouseOverUpdate']);}else{ echo $eventMouseOverUpdatePre; }?></textarea>
			</td>
			</tr>
			<tr>
			<td>mouseout()</td>
			<td>
				<textarea name="checkboxEventMouseOutUpdate" id="checkboxEventMouseOutUpdate"><?php if(isset($_POST['checkboxEventMouseOutUpdate'])){ echo esc_attr($_POST['checkboxEventMouseOutUpdate']);}else{ echo $eventMouseOutUpdatePre; }?></textarea>
			</td>
			</tr>
			<tr>
			<td>mouseup()</td>
			<td>
				<textarea name="checkboxEventMouseUpUpdate" id="checkboxEventMouseUpUpdate"><?php if(isset($_POST['checkboxEventMouseUpUpdate'])){ echo esc_attr($_POST['checkboxEventMouseUpUpdate']);}else{ echo $eventMouseUpUpdatePre; }?></textarea>
			</td>
			</tr>
			<tr>
			<td style="border:none;">mousedown()</td>
			<td style="border:none;">
				<textarea name="checkboxEventMouseDownUpdate" id="checkboxEventMouseDownUpdate"><?php if(isset($_POST['checkboxEventMouseDownUpdate'])){ echo esc_attr($_POST['checkboxEventMouseDownUpdate']);}else{ echo $eventMouseDownUpdatePre; }?></textarea>
			</td>
			</tr>
			</table>
			</td>
		</tr>
		
		
		<tr>
			<td id="bottomBorderNone" colspan="2"><input class="button-primary cfm_bottonWidth" id="textFieldButtonUpdate6"
				style="cursor: pointer;" type="button" name="textFieldButtonUpdate6"
				value="Update">
			</td>
		</tr>
		
	</table>

</div>

<?php 
}

if($element_result->element_type == 7){
	$type7 = "radiobutton-";
	?>
<div id="radioButtonsUpdate">
<script>
jQuery(document).ready(function() {
	jQuery("#elementNameUpdate7").focus();
});
</script>
<?php 
if($element_result->jquery_event_handling_code!=''){
?>
<script>
jQuery(document).ready(function(){
	jQuery("#radioJQueryEventOptionDetailsUpdate").show();
});
</script>
<?php 
}
?>
	<div id="cfm_radiobutton"></div>
	<table class="tableStyle">
		<tr>
			<td colspan="2" style="padding-left:15px;">Short Code &nbsp;:&nbsp;<?php echo '['.$type7.$elementId.']';?>
				<div style="float: right;margin-bottom:2px;">
					<span id="closeUpdate7" style="margin-right: 20px; cursor: pointer;" title="close"><b>X</b></span>
				</div>
			</td>
		</tr>
		<tr>
			<td style="border: none;padding-left:15px;" colspan="2">
				<div style="margin-left:10px;" id="radioButtonsResultUpdate7"></div>
			</td>

		</tr>
		<tr>
			<td colspan="2"><input type="checkbox" name="requiredUpdate7"
				id="requiredUpdate7"
				<?php if(isset($_POST['requiredUpdate7'])){?>checked="checked"<?php }elseif($element_result->element_required == 1){?>
				checked="checked" <?php }?>>&nbsp;Required field?</td>
		</tr>
		<tr>

			<td>Form Element Name</td><td><input type="text" class="xyz_cfm_NoEnterSubmit"
				name="elementNameUpdate7" id="elementNameUpdate7"
				value = "<?php if(isset($_POST['elementNameUpdate7'])){ echo esc_attr($_POST['elementNameUpdate7']);}else{ echo esc_attr($element_result->element_name); }?>">
				<span style="color:red;">*</span>
			</td>

		</tr>
		<tr>
			<td>Options</td><td><input type="text" class="xyz_cfm_NoEnterSubmit"
				name="radioOptionsUpdate7" id="radioOptionsUpdate7" value="<?php if(isset($_POST['radioOptionsUpdate7'])){ echo esc_attr($_POST['radioOptionsUpdate7']);}else{ echo esc_attr($element_result->options); }?>">
				<span style="color:red;">*</span>
				<br /><b>Example 1</b> : a,b,c,d
				<br /><b>Example 2</b> : a=>1,b=>2,c=>3,d=>4
			</td>
		</tr>
		<tr>
			<td>Default Radio button value (optional)</td><td><input type="text" class="xyz_cfm_NoEnterSubmit"
					name="radioOptionsUpdate7DefaultValue" id="radioOptionsUpdate7DefaultValue" 
					value = "<?php if(isset($_POST['radioOptionsUpdate7DefaultValue'])){ echo esc_attr($_POST['radioOptionsUpdate7DefaultValue']);}else{ echo esc_attr($element_result->default_value); }?>">
			</td>
		</tr>
		<tr>
			<td>Options Display Mode</td>
			<td>Insert line break after every&nbsp;
			<input type="text" class="xyz_cfm_NoEnterSubmit"
				name="viewLineBreakOptions7"
				id="viewLineBreakOptions7" maxlength="3" style="width: 33px;"
				value = "<?php if(isset($_POST['viewLineBreakOptions7'])){ echo esc_attr($_POST['viewLineBreakOptions7']);}else{ echo esc_attr($element_result->client_view_check_radio_line_break_count); }?>"
				>&nbsp;options
			</td>
		</tr>
		<tr>
			<td>Style Class Name (optional)</td><td><input type="text" class="xyz_cfm_NoEnterSubmit"
				name="classNameUpdate7" id="classNameUpdate7"
				value = "<?php if(isset($_POST['classNameUpdate7'])){ echo esc_attr($_POST['classNameUpdate7']);}else{ echo esc_attr($element_result->css_class); }?>">
			</td>
		</tr>
		<tr>
			<td>Mandatory radiobutton error message</td>
			<td><input class="xyz_cfm_NoEnterSubmit" type="text"
				name="xyz_cfm_empty_radio_field_error_message" id="xyz_cfm_empty_radio_field_error_message"
				value="<?php 
				if(isset($_POST['xyz_cfm_empty_text_field_error_message'])){ echo esc_html($_POST['xyz_cfm_empty_text_field_error_message']);}
					elseif($element_result->element_error_messages!=''){
						$updateErrorMessage = unserialize($element_result->element_error_messages);
						foreach ($updateErrorMessage as $key => $value){
							if($key == 'select_atleast_one_radiobutton'){
								echo esc_html($value);
							}
						}
					}else{
						echo "Select the radio button";	
					}
				
				?>"><span style="color:red;">*</span>
			</td>
		</tr>
		
		<tr>
			<td>jQuery event handlers</td>
			<td >	
			<script>
			jQuery(document).ready(function(){
			jQuery("input:radio[name=radioJQueryEventOptionUpdate]").click(function() {
				
			    var value = jQuery(this).val();
			    if(value == 1){

					jQuery("#radioJQueryEventOptionDetailsUpdate").show();

			    }else if(value == 2){

					jQuery("#radioJQueryEventOptionDetailsUpdate").hide();
			    	
			    }
			});
			});

			</script>															
				<input type="radio" name="radioJQueryEventOptionUpdate" value="1" <?php if(isset($_POST['radioJQueryEventOptionUpdate']) && ($_POST['radioJQueryEventOptionUpdate'] == 1)){?>checked="checked" <?php }elseif($element_result->jquery_event_handling_code!=''){?>checked="checked" <?php }?>/>Show&nbsp;&nbsp;
				<input type="radio" name="radioJQueryEventOptionUpdate" value="2" <?php if(isset($_POST['radioJQueryEventOptionUpdate']) && ($_POST['radioJQueryEventOptionUpdate'] == 2)){?>checked="checked" <?php }elseif($element_result->jquery_event_handling_code ==''){?>checked="checked" <?php }?> />Hide
			</td>
		</tr>
		
		<tr id="radioJQueryEventOptionDetailsUpdate" style="display: none;">
			<td colspan="2" >
			<table style="width:100%;" border="0">
			<tr>
			<td style="width:47%;"><b>Event Name</b></td>
			<td><b>JQuery Code</b></td>
			</tr>
			<tr>
			<td>change()</td>
			<td>
				<textarea name="radioEventChangeUpdate" id="radioEventChangeUpdate"><?php if(isset($_POST['radioEventChangeUpdate'])){ echo esc_attr($_POST['radioEventChangeUpdate']);}else{ echo $eventChangeUpdatePre; }?></textarea>
			</td>
			</tr>
			<tr>
			<td>keyup()</td>
			<td>
				<textarea name="radioEventKeyUpUpdate" id="radioEventKeyUpUpdate"><?php if(isset($_POST['radioEventKeyUpUpdate'])){ echo esc_attr($_POST['radioEventKeyUpUpdate']);}else{ echo $eventKeyUpUpdatePre; }?></textarea>
			</td>
			</tr>
			<tr>
			<td>keydown()</td>
			<td>
				<textarea name="radioEventKeyDownUpdate" id="radioEventKeyDownUpdate"><?php if(isset($_POST['radioEventKeyDownUpdate'])){ echo esc_attr($_POST['radioEventKeyDownUpdate']);}else{ echo $eventKeyDownUpdatePre; }?></textarea>
			</td>
			</tr>
			<tr>
			<td>blur()</td>
			<td>
				<textarea name="radioEventBlurUpdate" id="radioEventBlurUpdate" ><?php if(isset($_POST['radioEventBlurUpdate'])){ echo esc_attr($_POST['radioEventBlurUpdate']);}else{ echo $eventBlurUpdatePre; }?></textarea>
			</td>
			</tr>
			<tr>
			<td>mouseover()</td>
			<td>
				<textarea name="radioEventMouseOverUpdate" id="radioEventMouseOverUpdate"><?php if(isset($_POST['radioEventMouseOverUpdate'])){ echo esc_attr($_POST['radioEventMouseOverUpdate']);}else{ echo $eventMouseOverUpdatePre; }?></textarea>
			</td>
			</tr>
			<tr>
			<td>mouseout()</td>
			<td>
				<textarea name="radioEventMouseOutUpdate" id="radioEventMouseOutUpdate"><?php if(isset($_POST['radioEventMouseOutUpdate'])){ echo esc_attr($_POST['radioEventMouseOutUpdate']);}else{ echo $eventMouseOutUpdatePre; }?></textarea>
			</td>
			</tr>
			<tr>
			<td>mouseup()</td>
			<td>
				<textarea name="radioEventMouseUpUpdate" id="radioEventMouseUpUpdate"><?php if(isset($_POST['radioEventMouseUpUpdate'])){ echo esc_attr($_POST['radioEventMouseUpUpdate']);}else{ echo $reventMouseUpUpdatePre; }?></textarea>
			</td>
			</tr>
			<tr>
			<td style="border:none;">mousedown()</td>
			<td style="border:none;">
				<textarea name="radioEventMouseDownUpdate" id="radioEventMouseDownUpdate"><?php if(isset($_POST['radioEventMouseDownUpdate'])){ echo esc_attr($_POST['radioEventMouseDownUpdate']);}else{ echo $eventMouseDownUpdatePre; }?></textarea>
			</td>
			</tr>
			</table>
			</td>

		</tr>
		
		<tr>
			<td id="bottomBorderNone" colspan="2"><input class="button-primary cfm_bottonWidth" id="textFieldButtonUpdate7"
				style="cursor: pointer;" type="button" name="textFieldButtonUpdate7"
				value="Update">
			</td>
		</tr>
		
	</table>

</div>

<?php 
}

if($element_result->element_type == 8){
	$type8 = "file-";
	?>
<div id="fileUploadUpdate">
<script>
jQuery(document).ready(function() {
	jQuery("#elementNameUpdate8").focus();
});
</script>
<?php 
if($element_result->jquery_event_handling_code!=''){
?>
<script>
jQuery(document).ready(function(){
	jQuery("#fileJQueryEventOptionDetailsUpdate").show();
});
</script>
<?php 
}
?>
	<div id="cfm_file"></div>
	<table class="tableStyle">
		<tr>
			<td colspan="2" style="padding-left:15px;">Short Code &nbsp;:&nbsp;<?php echo '['.$type8.$elementId.']';?>
				<div style="float: right;margin-bottom:2px;">
					<span id="closeUpdate8" style="margin-right: 20px; cursor: pointer;" title="close"><b>X</b></span>
				</div>
			</td>
		</tr>
		<tr>
			<td style="border: none;padding-left:15px;" colspan="2">
				<div style="margin-left:10px;" id="fileUploadResultUpdate8"></div>
			</td>

		</tr>
		<tr>
			<td colspan="2"><input type="checkbox" name="requiredUpdate8"
				id="requiredUpdate8"
				<?php if(isset($_POST['requiredUpdate8'])){?>checked="checked"<?php }elseif($element_result->element_required == 1){?>
				checked="checked" <?php }?>>&nbsp;Required field?</td>
		</tr>
		<tr>

			<td>Form Element Name</td><td><input type="text" class="xyz_cfm_NoEnterSubmit"
				name="elementNameUpdate8" id="elementNameUpdate8"
				value = "<?php if(isset($_POST['elementNameUpdate8'])){ echo esc_html($_POST['elementNameUpdate8']);}else{ echo esc_html($element_result->element_name); }?>">
				<span style="color:red;">*</span>
			</td>
		</tr>

		<tr>
			<td>File size limit (bytes) (optional)</td><td><input type="text" class="xyz_cfm_NoEnterSubmit"
				name="fileSizeUpdate8" id="fileSizeUpdate8"
				value = "<?php if(isset($_POST['fileSizeUpdate8'])){ echo abs(intval($_POST['fileSizeUpdate8']));}else{ if(abs(intval($element_result->file_size))){if(abs(intval($element_result->file_size)) != 0){echo abs(intval($element_result->file_size));}} }?>">
			</td>
			</tr>
		<tr>
			<td >Style Class Name (optional)</td><td><input type="text" class="xyz_cfm_NoEnterSubmit"
				name="classNameUpdate8" id="classNameUpdate8"
				value = "<?php if(isset($_POST['classNameUpdate8'])){ echo esc_html($_POST['classNameUpdate8']);}else{ echo esc_html($element_result->css_class); }?>">
			</td>
			

		</tr>
		<tr>

		<td >Acceptable file types (optional)</td><td><input type="text" class="xyz_cfm_NoEnterSubmit"
				name="fileTypeUpdate8" id="fileTypeUpdate8"
				value = "<?php if(isset($_POST['fileTypeUpdate8'])){ echo esc_html($_POST['fileTypeUpdate8']);}else{ echo esc_html($element_result->file_type); }?>">
				<br /> Please use comma(,) to separate file types. Do not use .(dot) in file types.
				<br /> Example : jpeg,jpg,png
			</td>
			
		</tr>
		
		<tr>

		<td >Enable Multiple file Upload</td>
		<td><select class="xyz_cfm_NoEnterSubmit" name="fileModeUpdate8" id="fileModeUpdate8">
				<option value="0" 
				<?php if(isset($_POST['fileModeUpdate8']) && $_POST['fileModeUpdate8']==0) { echo 'selected';}elseif($element_result->file_mode==0){echo 'selected';} ?>>No&nbsp;</option>
				<option value="1" 
				<?php if(isset($_POST['fileModeUpdate8']) && $_POST['fileModeUpdate8']==1) { echo 'selected';}elseif($element_result->file_mode==1){echo 'selected';} ?>>Yes&nbsp;</option>
			</select></td>
			
		</tr>
		<tr>
			<td>Empty file error message</td>
			<td><input class="xyz_cfm_NoEnterSubmit" type="text"
				name="xyz_cfm_empty_file_field_error_message" id="xyz_cfm_empty_file_field_error_message"
				value="<?php 
				if(isset($_POST['xyz_cfm_empty_text_field_error_message'])){ echo esc_html($_POST['xyz_cfm_empty_text_field_error_message']);}
					elseif($element_result->element_error_messages!=''){
						$updateErrorMessage = unserialize($element_result->element_error_messages);
						foreach ($updateErrorMessage as $key => $value){
							if($key == 'upload_file'){
								echo esc_html($value);
							}
						}
					}else{
						echo "Upload a file";	
					}
				
				?>"><span style="color:red;">*</span>
			</td>
		</tr>
		<tr>
			<td>File format not accepted error message</td>
			<td><input class="xyz_cfm_NoEnterSubmit" type="text"
				name="xyz_cfm_empty_file_format_field_error_message" id="xyz_cfm_empty_file_format_field_error_message"
				value="<?php 
				if(isset($_POST['xyz_cfm_empty_text_field_error_message'])){ echo esc_html($_POST['xyz_cfm_empty_text_field_error_message']);}
					elseif($element_result->element_error_messages!=''){
						$updateErrorMessage = unserialize($element_result->element_error_messages);
						foreach ($updateErrorMessage as $key => $value){
							if($key == 'file_format_not_accepted_please_enter_this_format_files'){
								echo esc_html($value);
							}
						}
					}else{
						echo "File format not accepted, please enter this format files : ";	
					}
				
				?>"><span style="color:red;">*</span>
			</td>
		</tr>
		<tr>
			<td>Max. file size error message</td>
			<td><input class="xyz_cfm_NoEnterSubmit" type="text"
				name="xyz_cfm_empty_file_max_size_field_error_message" id="xyz_cfm_empty_file_max_size_field_error_message"
				value="<?php 
				if(isset($_POST['xyz_cfm_empty_text_field_error_message'])){ echo esc_html($_POST['xyz_cfm_empty_text_field_error_message']);}
					elseif($element_result->element_error_messages!=''){
						$updateErrorMessage = unserialize($element_result->element_error_messages);
						foreach ($updateErrorMessage as $key => $value){
							if($key == 'file_size_too_large_max_file_size'){
								echo esc_html($value);
							}
						}
					}else{
						echo "File size too large, maximum filesize : ";	
					}
				
				?>"><span style="color:red;">*</span>
			</td>
		</tr>
		
		<tr>
			<td>jQuery event handlers</td>
			<td >	
			<script>
			jQuery(document).ready(function(){
			jQuery("input:radio[name=fileJQueryEventOptionUpdate]").click(function() {
				
			    var value = jQuery(this).val();
			    if(value == 1){

					jQuery("#fileJQueryEventOptionDetailsUpdate").show();

			    }else if(value == 2){

					jQuery("#fileJQueryEventOptionDetailsUpdate").hide();
			    	
			    }
			});
			});

			</script>															
				<input type="radio" name="fileJQueryEventOptionUpdate" value="1" <?php if(isset($_POST['fileJQueryEventOptionUpdate']) && ($_POST['fileJQueryEventOptionUpdate'] == 1)){?>checked="checked" <?php }elseif($element_result->jquery_event_handling_code!=''){?>checked="checked" <?php }?>/>Show&nbsp;&nbsp;
				<input type="radio" name="fileJQueryEventOptionUpdate" value="2" <?php if(isset($_POST['fileJQueryEventOptionUpdate']) && ($_POST['fileJQueryEventOptionUpdate'] == 2)){?>checked="checked" <?php }elseif($element_result->jquery_event_handling_code ==''){?>checked="checked" <?php }?> />Hide
			</td>
		</tr>
		
		<tr id="fileJQueryEventOptionDetailsUpdate" style="display: none;">
			<td colspan="2" >
			<table style="width:100%;" border="0">
			<tr>
			<td style="width:54%;"><b>Event Name</b></td>
			<td><b>JQuery Code</b></td>
			</tr>
			<tr>
			<td>change()</td>
			<td>
				<textarea name="fileEventChangeUpdate" id="fileEventChangeUpdate"><?php if(isset($_POST['fileEventChangeUpdate'])){ echo esc_attr($_POST['fileEventChangeUpdate']);}else{ echo $eventChangeUpdatePre; }?></textarea>
			</td>
			</tr>
			<tr>
			<td>keyup()</td>
			<td>
				<textarea name="fileEventKeyUpUpdate" id="fileEventKeyUpUpdate"><?php if(isset($_POST['fileEventKeyUpUpdate'])){ echo esc_attr($_POST['fileEventKeyUpUpdate']);}else{ echo $eventKeyUpUpdatePre; }?></textarea>
			</td>
			</tr>
			<tr>
			<td>keydown()</td>
			<td>
				<textarea name="fileEventKeyDownUpdate" id="fileEventKeyDownUpdate"><?php if(isset($_POST['fileEventKeyDownUpdate'])){ echo esc_attr($_POST['fileEventKeyDownUpdate']);}else{ echo $eventKeyDownUpdatePre; }?></textarea>
			</td>
			</tr>
			<tr>
			<td>blur()</td>
			<td>
				<textarea name="fileEventBlurUpdate" id="fileEventBlurUpdate"><?php if(isset($_POST['fileEventBlurUpdate'])){ echo esc_attr($_POST['fileEventBlurUpdate']);}else{ echo $eventBlurUpdatePre; }?></textarea>
			</td>
			</tr>
			<tr>
			<td>mouseover()</td>
			<td>
				<textarea name="fileEventMouseOverUpdate" id="fileEventMouseOverUpdate"><?php if(isset($_POST['fileEventMouseOverUpdate'])){ echo esc_attr($_POST['fileEventMouseOverUpdate']);}else{ echo $eventMouseOverUpdatePre; }?></textarea>
			</td>
			</tr>
			<tr>
			<td>mouseout()</td>
			<td>
				<textarea name="fileEventMouseOutUpdate" id="fileEventMouseOutUpdate"><?php if(isset($_POST['fileEventMouseOutUpdate'])){ echo esc_attr($_POST['fileEventMouseOutUpdate']);}else{ echo $eventMouseOutUpdatePre; }?></textarea>
			</td>
			</tr>
			<tr>
			<td>mouseup()</td>
			<td>
				<textarea name="fileEventMouseUpUpdate" id="fileEventMouseUpUpdate"><?php if(isset($_POST['fileEventMouseUpUpdate'])){ echo esc_attr($_POST['fileEventMouseUpUpdate']);}else{ echo $eventMouseUpUpdatePre; }?></textarea>
			</td>
			</tr>
			<tr>
			<td style="border:none;">mousedown()</td>
			<td style="border:none;">
				<textarea name="fileEventMouseDownUpdate" id="fileEventMouseDownUpdate"><?php if(isset($_POST['fileEventMouseDownUpdate'])){ echo esc_attr($_POST['fileEventMouseDownUpdate']);}else{ echo $eventMouseDownUpdatePre; }?></textarea>
			</td>
			</tr>
			</table>
			</td>

		</tr>
		
		<tr>
			<td id="bottomBorderNone" colspan="2"><input class="button-primary cfm_bottonWidth" id="textFieldButtonUpdate8"
				style="cursor: pointer;" type="button" name="textFieldButtonUpdate8"
				value="Update">
			</td>
		</tr>
		
	</table>

</div>

<?php 
}

if($element_result->element_type == 9){
	$type9 = "submit-";
	?>
<div id="submitButtonUpdate">
<script>
jQuery(document).ready(function() {
	jQuery("#elementNameUpdate9").focus();
});
</script>
<?php 
if($element_result->jquery_event_handling_code!=''){
?>
<script>
jQuery(document).ready(function(){
	jQuery("#submitJQueryEventOptionDetailsUpdate").show();
});
</script>
<?php 
}
?>
	<div id="cfm_submit"></div>
	<table class="tableStyle">
		<tr>
			<td colspan="2" style="padding-left:15px;">Short Code &nbsp;:&nbsp;<?php echo '['.$type9.$elementId.']';?>
				<div style="float: right;margin-bottom:2px;">
					<span id="closeUpdate9" style="margin-right: 20px; cursor: pointer;" title="close"><b>X</b></span>
				</div>
			</td>
		</tr>
		<tr>
			<td style="border: none;padding-left:15px;" colspan="2">
				<div style="margin-left:10px;" id="submitButtonResultUpdate9"></div>
			</td>

		</tr>
		<tr>
			<td>Form Element Name</td><td><input type="text" class="xyz_cfm_NoEnterSubmit"
				name="elementNameUpdate9" id="elementNameUpdate9"
				value = "<?php if(isset($_POST['elementNameUpdate9'])){ echo esc_html($_POST['elementNameUpdate9']);}else{ echo esc_html($element_result->element_name); }?>">
				<span style="color:red;">*</span>
			</td>
			</tr>
		<tr>
			<td>Display Name</td><td><input type="text" name="displayNameUpdate9" id="displayNameUpdate9" class="xyz_cfm_NoEnterSubmit"
				value = "<?php if(isset($_POST['displayNameUpdate9'])){ echo esc_html($_POST['displayNameUpdate9']);}else{ echo esc_html($element_result->element_diplay_name); }?>">
				<span style="color:red;">*</span>
			</td>
		</tr>

		<tr>


			<td >Style Class Name (optional)</td><td><input type="text" class="xyz_cfm_NoEnterSubmit"
				name="classNameUpdate9" id="classNameUpdate9"
				value = "<?php if(isset($_POST['classNameUpdate9'])){ echo esc_html($_POST['classNameUpdate9']);}else{ echo esc_html($element_result->css_class); }?>">
			</td>
		</tr>
		
		<tr>
			<td>jQuery event handlers</td>
			<td >	
			<script>
			jQuery(document).ready(function(){
			jQuery("input:radio[name=submitJQueryEventOptionUpdate]").click(function() {
				
			    var value = jQuery(this).val();
			    if(value == 1){

					jQuery("#submitJQueryEventOptionDetailsUpdate").show();

			    }else if(value == 2){

					jQuery("#submitJQueryEventOptionDetailsUpdate").hide();
			    	
			    }
			});
			});

			</script>															
				<input type="radio" name="submitJQueryEventOptionUpdate" value="1" <?php if(isset($_POST['submitJQueryEventOptionUpdate']) && ($_POST['submitJQueryEventOptionUpdate'] == 1)){?>checked="checked" <?php }elseif($element_result->jquery_event_handling_code!=''){?>checked="checked" <?php }?>/>Show&nbsp;&nbsp;
				<input type="radio" name="submitJQueryEventOptionUpdate" value="2" <?php if(isset($_POST['submitJQueryEventOptionUpdate']) && ($_POST['submitJQueryEventOptionUpdate'] == 2)){?>checked="checked" <?php }elseif($element_result->jquery_event_handling_code ==''){?>checked="checked" <?php }?> />Hide
			</td>
		</tr>
		
		<tr id="submitJQueryEventOptionDetailsUpdate" style="display: none;">
			<td colspan="2" >
			<table style="width:100%;" border="0">
			<tr>
			<td style="width:47%;"><b>Event Name</b></td>
			<td><b>JQuery Code</b></td>
			</tr>
			<tr>
			<td>change()</td>
			<td>
				<textarea name="submitEventChangeUpdate" id="submitEventChangeUpdate" readonly="readonly"><?php //if(isset($_POST['submitEventChangeUpdate'])){ echo esc_attr($_POST['submitEventChangeUpdate']);}else{ echo $eventChangeUpdatePre; }?></textarea>
			</td>
			</tr>
			<tr>
			<td>keyup()</td>
			<td>
				<textarea name="submitEventKeyUpUpdate" id="submitEventKeyUpUpdate"><?php if(isset($_POST['submitEventKeyUpUpdate'])){ echo esc_attr($_POST['submitEventKeyUpUpdate']);}else{ echo $eventKeyUpUpdatePre; }?></textarea>
			</td>
			</tr>
			<tr>
			<td>keydown()</td>
			<td>
				<textarea name="submitEventKeyDownUpdate" id="submitEventKeyDownUpdate"><?php if(isset($_POST['submitEventKeyDownUpdate'])){ echo esc_attr($_POST['submitEventKeyDownUpdate']);}else{ echo $eventKeyDownUpdatePre; }?></textarea>
			</td>
			</tr>
			<tr>
			<td>blur()</td>
			<td>
				<textarea name="submitEventBlurUpdate" id="submitEventBlurUpdate"><?php if(isset($_POST['submitEventBlurUpdate'])){ echo esc_attr($_POST['submitEventBlurUpdate']);}else{ echo $eventBlurUpdatePre; }?></textarea>
			</td>
			</tr>
			<tr>
			<td>mouseover()</td>
			<td>
				<textarea name="submitEventMouseOverUpdate" id="submitEventMouseOverUpdate"><?php if(isset($_POST['submitEventMouseOverUpdate'])){ echo esc_attr($_POST['submitEventMouseOverUpdate']);}else{ echo $eventMouseOverUpdatePre; }?></textarea>
			</td>
			</tr>
			<tr>
			<td>mouseout()</td>
			<td>
				<textarea name="submitEventMouseOutUpdate" id="submitEventMouseOutUpdate"><?php if(isset($_POST['submitEventMouseOutUpdate'])){ echo esc_attr($_POST['submitEventMouseOutUpdate']);}else{ echo $eventMouseOutUpdatePre; }?></textarea>
			</td>
			</tr>
			<tr>
			<td>mouseup()</td>
			<td>
				<textarea name="submitEventMouseUpUpdate" id="submitEventMouseUpUpdate"><?php if(isset($_POST['submitEventMouseUpUpdate'])){ echo esc_attr($_POST['submitEventMouseUpUpdate']);}else{ echo $eventMouseUpUpdatePre; }?></textarea>
			</td>
			</tr>
			<tr>
			<td style="border:none;">mousedown()</td>
			<td style="border:none;">
				<textarea name="submitEventMouseDownUpdate" id="submitEventMouseDownUpdate"><?php if(isset($_POST['submitEventMouseDownUpdate'])){ echo esc_attr($_POST['submitEventMouseDownUpdate']);}else{ echo $eventMouseDownUpdatePre; }?></textarea>
			</td>
			</tr>
			</table>
			</td>

		</tr>
		
		<tr>
			<td id="bottomBorderNone" colspan="2"><input class="button-primary cfm_bottonWidth" id="textFieldButtonUpdate9"
				style="cursor: pointer;" type="button" name="values" value="Update">
			</td>
		</tr>
		
	</table>
</div>

<?php 
}

if($element_result->element_type == 10){
	$type10 = "captcha-";
	?>
	
<?php 
if($element_result->jquery_event_handling_code!=''){
?>
<script>
jQuery(document).ready(function(){
	jQuery("#captchaJQueryEventOptionDetailsUpdate").show();
});
</script>
<?php 
}
?>	
	
<div id="captchaUpdate">
	<div id="cfm_captcha"></div>
	<table class="tableStyle">
		<tr>
			<td colspan="2" style="padding-left:15px;">Short Code &nbsp;:&nbsp;<?php echo '['.$type10.$elementId.']';?>
				<div style="float: right;margin-bottom:2px;">
					<span id="closeUpdate10" style="margin-right: 20px; cursor: pointer;" title="close"><b>X</b></span>
				</div>
			</td>
		</tr>
		<tr>
			<td style="border: none;padding-left:15px;" colspan="2">
				<div style="margin-left:10px;" id="captchaResultUpdate10"></div>
			</td>

		</tr>
		<?php //echo "HHHH:".$element_result->re_captcha;die;?>
		<tr>
			<td colspan="2">
				
				<input type="radio" name="captchaType" value="1" <?php if(isset($_POST['reCaptchaUpdate'])){?>checked="checked"<?php }elseif($element_result->re_captcha == 0){?>
				checked="checked" <?php }?>/> Image Verification&nbsp;&nbsp;
				<input type="radio" name="captchaType" value="2" <?php if(isset($_POST['reCaptchaUpdate'])){?>checked="checked"<?php }elseif($element_result->re_captcha == 1){?>
				checked="checked" <?php }?>/> ReCaptcha&nbsp;&nbsp;
				<input type="radio" name="captchaType" value="3" <?php if(isset($_POST['reCaptchaUpdate'])){?>checked="checked"<?php }elseif($element_result->re_captcha == 2){?>
				checked="checked" <?php }?>/> Mathematical Verification
				
				
			</td>
		</tr>
		<tr>
			<td>Form Element Name</td><td>
				<span id="captchaElementName">
				<script>
				jQuery(document).ready(function() {
					jQuery("#captchaElementNameUpdate10").focus();
				});
				</script>
				<input type="text" class="xyz_cfm_NoEnterSubmit"
					name="captchaElementNameUpdate10" id="captchaElementNameUpdate10"
					value = "<?php if(isset($_POST['captchaElementNameUpdate10'])){ echo esc_html($_POST['captchaElementNameUpdate10']);}else{ echo esc_html($element_result->element_name); }?>">
				</span>
				<span id="reCaptchaElementName">
				<script>
				jQuery(document).ready(function() {
					jQuery("#reCaptchaElementNameUpdate10").focus();
				});
				</script>
				<input type="text" class="xyz_cfm_NoEnterSubmit"
					name="reCaptchaElementNameUpdate10" id="reCaptchaElementNameUpdate10"
					value = "<?php if(isset($_POST['reCaptchaElementNameUpdate10'])){ echo esc_html($_POST['reCaptchaElementNameUpdate10']);}else{ echo esc_html($element_result->element_name); }?>">
				</span>
				<span style="color:red;">*</span>
			</td>
		</tr>
		
		<tr>
			<td>Style Class Name (optional)</td>
			<td><div id="captchaStyleUpdate"><input type="text" class="xyz_cfm_NoEnterSubmit"
				name="classNameUpdate10" id="classNameUpdate10"
				value = "<?php if(isset($_POST['classNameUpdate10'])){ echo esc_html($_POST['classNameUpdate10']);}else{ echo esc_html($element_result->css_class); }?>">
				</div>
				<div id="reCaptchaStyleUpdate">
				<select name="reCaptchaStyleOptionUpdate" id="reCaptchaStyleOptionUpdate" class="xyz_cfm_NoEnterSubmit">
				<option value="red" <?php if(isset($_POST['reCaptchaStyleOptionUpdate']) && $_POST['reCaptchaStyleOptionUpdate']=="red"){echo "selected";}elseif($element_result->css_class == "red" ){echo "selected";}?>>Red</option>
				<option value="white" <?php if(isset($_POST['reCaptchaStyleOptionUpdate']) && $_POST['reCaptchaStyleOptionUpdate']=="white"){echo "selected";}elseif($element_result->css_class == "white" ){echo "selected";}?>>White</option>
				<option value="blackglass" <?php if(isset($_POST['reCaptchaStyleOptionUpdate']) && $_POST['reCaptchaStyleOptionUpdate']=="blackglass"){echo "selected";}elseif($element_result->css_class == "blackglass" ){echo "selected";}?>>Blackglass</option>
				<option value="clean" <?php if(isset($_POST['reCaptchaStyleOptionUpdate']) && $_POST['reCaptchaStyleOptionUpdate']=="clean"){echo "selected";}elseif($element_result->css_class == "clean" ){echo "selected";}?>>Clean</option>
				</select>
				</div>
			</td>
		</tr>
		
		<tr>
			<td>Empty captcha error message</td>
			<td><input class="xyz_cfm_NoEnterSubmit" type="text"
				name="xyz_cfm_empty_captcha_field_error_message" id="xyz_cfm_empty_captcha_field_error_message"
				value="<?php 
				if(isset($_POST['xyz_cfm_empty_text_field_error_message'])){ echo esc_html($_POST['xyz_cfm_empty_text_field_error_message']);}
					elseif($element_result->element_error_messages!=''){
						$updateErrorMessage = unserialize($element_result->element_error_messages);
						foreach ($updateErrorMessage as $key => $value){
							if($key == 'fill_captch_field'){
								echo esc_html($value);
							}
						}
					}else{
						echo "Fill captcha field";	
					}
				
				?>"><span style="color:red;">*</span>
			</td>
		</tr>
		<tr>
			<td>Captcha content not matched <br/> error message</td>
			<td><input class="xyz_cfm_NoEnterSubmit" type="text"
				name="xyz_cfm_empty_captcha_not_match_field_error_message" id="xyz_cfm_empty_captcha_not_match_field_error_message"
				value="<?php 
				if(isset($_POST['xyz_cfm_empty_text_field_error_message'])){ echo esc_html($_POST['xyz_cfm_empty_text_field_error_message']);}
					elseif($element_result->element_error_messages!=''){
						$updateErrorMessage = unserialize($element_result->element_error_messages);
						foreach ($updateErrorMessage as $key => $value){
							if($key == 'captcha_content_not_matched'){
								echo esc_html($value);
							}
						}
					}else{
						echo "Image content not matched";	
					}
				
				?>"><span style="color:red;">*</span>
			</td>
		</tr>
		
		<tr id="capthaEventHandlerBlockUpdate">
		<td>jQuery event handlers</td>
		<td >	
		<script>
		jQuery(document).ready(function(){
		jQuery("input:radio[name=captchaJQueryEventOptionUpdate]").click(function() {
			
		    var value = jQuery(this).val();
		    if(value == 1){

				jQuery("#captchaJQueryEventOptionDetailsUpdate").show();

		    }else if(value == 2){

				jQuery("#captchaJQueryEventOptionDetailsUpdate").hide();
		    	
		    }
		});
		});

		</script>															
			<input type="radio" name="captchaJQueryEventOptionUpdate" value="1" <?php if(isset($_POST['captchaJQueryEventOptionUpdate']) && ($_POST['captchaJQueryEventOptionUpdate'] == 1)){?>checked="checked" <?php }elseif($element_result->jquery_event_handling_code!=''){?>checked="checked" <?php }?>/>Show&nbsp;&nbsp;
			<input type="radio" name="captchaJQueryEventOptionUpdate" value="2" <?php if(isset($_POST['captchaJQueryEventOptionUpdate']) && ($_POST['captchaJQueryEventOptionUpdate'] == 2)){?>checked="checked" <?php }elseif($element_result->jquery_event_handling_code ==''){?>checked="checked" <?php }?> />Hide
		</td>
	</tr>
	
	<tr id="captchaJQueryEventOptionDetailsUpdate" style="display: none;">
		<td colspan="2" >
		<table style="width:100%;" border="0">
		<tr>
		<td style="width:50%;"><b>Event Name</b></td>
		<td><b>JQuery Code</b></td>
		</tr>
		<tr>
		<td>change()</td>
		<td>
			<textarea name="captchaEventChangeUpdate" id="captchaEventChangeUpdate"><?php if(isset($_POST['captchaEventChangeUpdate'])){ echo esc_attr($_POST['captchaEventChangeUpdate']);}else{ echo $eventChangeUpdatePre; }?></textarea>
		</td>
		</tr>
		<tr>
		<td>keyup()</td>
		<td>
			<textarea name="captchaEventKeyUpUpdate" id="captchaEventKeyUpUpdate"><?php if(isset($_POST['captchaEventKeyUpUpdate'])){ echo esc_attr($_POST['captchaEventKeyUpUpdate']);}else{ echo $eventKeyUpUpdatePre; }?></textarea>
		</td>
		</tr>
		<tr>
		<td>keydown()</td>
		<td>
			<textarea name="captchaEventKeyDownUpdate" id="captchaEventKeyDownUpdate"><?php if(isset($_POST['captchaEventKeyDownUpdate'])){ echo esc_attr($_POST['captchaEventKeyDownUpdate']);}else{ echo $eventKeyDownUpdatePre; }?></textarea>
		</td>
		</tr>
		<tr>
		<td>blur()</td>
		<td>
			<textarea name="captchaEventBlurUpdate" id="captchaEventBlurUpdate"><?php if(isset($_POST['captchaEventBlurUpdate'])){ echo esc_attr($_POST['captchaEventBlurUpdate']);}else{ echo $eventBlurUpdatePre; }?></textarea>
		</td>
		</tr>
		<tr>
		<td>mouseover()</td>
		<td>
			<textarea name="captchaEventMouseOverUpdate" id="captchaEventMouseOverUpdate"><?php if(isset($_POST['captchaEventMouseOverUpdate'])){ echo esc_attr($_POST['captchaEventMouseOverUpdate']);}else{ echo $eventMouseOverUpdatePre; }?></textarea>
		</td>
		</tr>
		<tr>
		<td>mouseout()</td>
		<td>
			<textarea name="captchaEventMouseOutUpdate" id="captchaEventMouseOutUpdate"><?php if(isset($_POST['captchaEventMouseOutUpdate'])){ echo esc_attr($_POST['captchaEventMouseOutUpdate']);}else{ echo $eventMouseOutUpdatePre; }?></textarea>
		</td>
		</tr>
		<tr>
		<td>mouseup()</td>
		<td>
			<textarea name="captchaEventMouseUpUpdate" id="captchaEventMouseUpUpdate"><?php if(isset($_POST['captchaEventMouseUpUpdate'])){ echo esc_attr($_POST['captchaEventMouseUpUpdate']);}else{ echo $captchaEventMouseUpUpdatePre; }?></textarea>
		</td>
		</tr>
		<tr>
		<td style="border:none;">mousedown()</td>
		<td style="border:none;">
			<textarea name="captchaEventMouseDownUpdate" id="captchaEventMouseDownUpdate"><?php if(isset($_POST['captchaEventMouseDownUpdate'])){ echo esc_attr($_POST['captchaEventMouseDownUpdate']);}else{ echo $eventMouseDownUpdatePre; }?></textarea>
		</td>
		</tr>
		</table>
		</td>

	</tr>
		
		
		<tr>
			<td id="bottomBorderNone" colspan="2"><input class="button-primary cfm_bottonWidth" id="textFieldButtonUpdate10"
				style="cursor: pointer;" type="button" name="values" value="Update">
			</td>
		</tr>
		
	</table>
</div>

<?php
}

if($element_result->element_type == 11){
	$type11 = "hidden-";
	?>

<div id="hiddenFieldUpdate">

<script>
jQuery(document).ready(function() {
	jQuery("#elementNameUpdate11").focus();
});
</script>

<input type="hidden" id="elementIdUpdate11" name="elementIdUpdate11"
value="<?php echo $elementId;?>">
<div id="cfm_hidden"></div>
<table class="tableStyle">
<tr>
<td colspan="2" style="padding-left:15px;">Short Code &nbsp;:&nbsp;<?php echo '['.$type11.$elementId.']';?>
<div style="float: right;margin-bottom:2px;">
<span id="closeUpdate11" style="margin-right: 20px; cursor: pointer;" title="close"><b>X</b></span>
</div>
</td>
</tr>
<tr>
<td style="border: none;padding-left:15px;" colspan="2">
<div  style="margin-left:10px;"  id="hiddenFieldResultUpdate11"></div>
</td>

</tr>
<tr>
<td>Form Element Name</td><td><input type="text" class="xyz_cfm_NoEnterSubmit"
name="elementNameUpdate11" id="elementNameUpdate11"
value = "<?php if(isset($_POST['elementNameUpdate11'])){ echo esc_attr($_POST['elementNameUpdate11']);}else{ echo esc_attr($element_result->element_name); }?>">
<span style="color:red;">*</span>
</td>

</tr>

<tr>
<tr>
	<td>Default value Option</td>
	<td>
		<input class="xyz_cfm_NoEnterSubmit" type="radio" name="defaultHiddenOptionUpdate" value="1"
		<?php if($element_result->hidden_radio_option == 1){?>checked="checked"<?php }?>/> Manual
		<input class="xyz_cfm_NoEnterSubmit" type="radio" name="defaultHiddenOptionUpdate" value="2" 
		<?php if($element_result->hidden_radio_option == 2){?>checked="checked"<?php }?>/> Predefined
	</td>

</tr>
<tr id="manualDefaultValueUpdate">
	<td>Default value </td>
	<td><input class="xyz_cfm_NoEnterSubmit" type="text"
		name="manualDefaultValueUpdate11" id="manualDefaultValueUpdate11"
		value="<?php if(isset($_POST['manualDefaultValueUpdate11'])){ echo esc_attr($_POST['manualDefaultValueUpdate11']);}else{ echo esc_attr($element_result->default_value); }?>">
	</td>
</tr>
<tr id="predefinedDefaultValueUpdate">
	<td>Select Default value</td>
	<td><select class="xyz_cfm_NoEnterSubmit" name="predefinedDefaultValueUpdate11" id="predefinedDefaultValueUpdate11">
			<option value="0">Select Option&nbsp;</option>
			<option value="1" <?php if(esc_attr($element_result->hidden_value_dropdown) == 1){?>selected="selected"<?php }?>>IP Address</option>
			<option value="2" <?php if(esc_attr($element_result->hidden_value_dropdown) == 2){?>selected="selected"<?php }?>>Browser - Version</option>
			<option value="3" <?php if(esc_attr($element_result->hidden_value_dropdown) == 3){?>selected="selected"<?php }?>>Platform - OS</option>
			<option value="4" <?php if(esc_attr($element_result->hidden_value_dropdown) == 4){?>selected="selected"<?php }?>>Country Code</option>
			<option value="5" <?php if(esc_attr($element_result->hidden_value_dropdown) == 5){?>selected="selected"<?php }?>>User Agent</option>
			<option value="6" <?php if(esc_attr($element_result->hidden_value_dropdown) == 6){?>selected="selected"<?php }?>>Request URI</option>
			<option value="7" <?php if(esc_attr($element_result->hidden_value_dropdown) == 7){?>selected="selected"<?php }?>>Current User Id</option>
			<option value="8" <?php if(esc_attr($element_result->hidden_value_dropdown) == 8){?>selected="selected"<?php }?>>Current User Name</option>
			<option value="9" <?php if(esc_attr($element_result->hidden_value_dropdown) == 9){?>selected="selected"<?php }?>>Current User Email</option>
		</select>
		<span style="color:red;">*</span>
	</td>
</tr>
<tr>
<td id="bottomBorderNone" colspan="2">
<input class="button-primary cfm_bottonWidth" id="textFieldButtonUpdate11"
style="cursor: pointer;" type="button" name="textFieldButtonUpdate11"
value="Update">
</td>

</tr>

</table>

</div>

<script type="text/javascript">

jQuery(document).ready(function() {
    var selectedDefaultValueOption = jQuery("#hiddenFieldUpdate input:radio:checked").val();
    if(selectedDefaultValueOption == 1){
    	jQuery("#manualDefaultValueUpdate").show();
    	jQuery("#predefinedDefaultValueUpdate").hide();
    }else if(selectedDefaultValueOption == 2){
    	jQuery("#manualDefaultValueUpdate").hide();
    	jQuery("#predefinedDefaultValueUpdate").show();
    }
    
});

</script> 

<?php
}

if($element_result->element_type == 12){
	$type12 = "numeric-";
	?>

<div id="numericFieldUpdate">

<script>
jQuery(document).ready(function() {
	jQuery("#elementNameUpdate12").focus();
});
</script>

<?php 
if($element_result->jquery_event_handling_code!=''){
?>
<script>
jQuery(document).ready(function(){
	jQuery("#numericJQueryEventOptionDetailsUpdate").show();
});
</script>
<?php 
}
?>

	<input type="hidden" id="elementIdUpdate12" name="elementIdUpdate12"
		value="<?php echo $elementId;?>">
	<div id="cfm_numeric"></div>
	<table class="tableStyle">
		<tr>
			<td colspan="2" style="padding-left: 15px;">Short Code &nbsp;:&nbsp;<?php echo '['.$type12.$elementId.']';?>
				<div style="float: right; margin-bottom: 2px;">
					<span id="closeUpdate12"
						style="margin-right: 20px; cursor: pointer;" title="close"><b>X</b>
					</span>
				</div>
			</td>
		</tr>
		<tr>
			<td style="border: none; padding-left: 15px;" colspan="2">
				<div style="margin-left: 10px;" id="numericFieldResultUpdate12"></div>
			</td>

		</tr>
		<tr>
			<td colspan="2"><input type="checkbox" id="requiredUpdate12"
				name="requiredUpdate12"
				<?php if(isset($_POST['requiredUpdate12'])){?> checked="checked"
				<?php }elseif($element_result->element_required == 1){?>
				checked="checked" <?php }?>>&nbsp;Required field?</td>
		</tr>
		<tr>
			<td>Form Element Name</td>
			<td><input type="text" class="xyz_cfm_NoEnterSubmit"
				name="elementNameUpdate1" id="elementNameUpdate12"
				value="<?php if(isset($_POST['elementNameUpdate12'])){ echo esc_attr($_POST['elementNameUpdate12']);}else{ echo esc_attr($element_result->element_name); }?>">
				<span style="color:red;">*</span>
			</td>
		</tr>
		<tr>
			<td>Placeholder(optional) </td>
			<td><input type="text" class="xyz_cfm_NoEnterSubmit"
				name="placeHolderUpdate12" id="placeHolderUpdate12"
				value = "<?php if(isset($_POST['placeHolderUpdate12'])){ echo esc_attr($_POST['placeHolderUpdate12']);}else{ echo esc_attr($element_result->placeholder); }?>">
			</td>
		</tr>
		<tr>
			<td colspan="2"><input type="checkbox" name="allowDecimalValueUpdate"
				id="allowDecimalValueUpdate" <?php if(isset($_POST['allowDecimalValueUpdate'])){?>checked="checked"<?php }elseif($element_result->allow_decimal == 1){?>
				checked="checked" <?php }?>	>&nbsp;Allow decimal value?</td>
		</tr>
		<tr>
			<td>Minimum Value (optional)</td>
			<td><input type="text" class="xyz_cfm_NoEnterSubmit"
				name="minValueUpdate12" id="minValueUpdate12" 
				value="<?php if(isset($_POST['minValueUpdate12'])){ echo esc_attr($_POST['minValueUpdate12']);}else{ if($element_result->min_value == 0){echo "";}else{echo $element_result->min_value;}}?>">
			</td>
		</tr>
		<tr>
			<td>Maximum Value (optional)</td>
			<td><input type="text" class="xyz_cfm_NoEnterSubmit"
				name="maxValueUpdate12" id="maxValueUpdate12" 
				value="<?php if(isset($_POST['maxValueUpdate12'])){ echo esc_attr($_POST['maxValueUpdate12']);}else{ if($element_result->max_value == 0){echo "";}else{echo $element_result->max_value;}}?>">
			</td>
		</tr>
		<tr>
			<td>Default value (optional)</td>
			<td><input type="text" class="xyz_cfm_NoEnterSubmit"
				name="defaultValueUpdate12" id="defaultValueUpdate12"
				value="<?php if(isset($_POST['defaultValueUpdate12'])){ echo esc_attr($_POST['defaultValueUpdate12']);}else{ echo esc_attr($element_result->default_value); }?>">
			</td>

		</tr>
		<tr>
			<td>Style Class Name (optional)</td>
			<td><input type="text" class="xyz_cfm_NoEnterSubmit"
				name="classNameUpdate12" id="classNameUpdate12"
				value="<?php if(isset($_POST['classNameUpdate12'])){ echo esc_attr($_POST['classNameUpdate12']);}else{ echo esc_attr($element_result->css_class); }?>">
			</td>
		</tr>
		<tr>
			<td>Empty numeric error message</td>
			<td><input class="xyz_cfm_NoEnterSubmit" type="text"
				name="xyz_cfm_empty_numeric_field_error_message" id="xyz_cfm_empty_numeric_field_error_message"
				value="<?php 
				if(isset($_POST['xyz_cfm_empty_text_field_error_message'])){ echo esc_html($_POST['xyz_cfm_empty_text_field_error_message']);}
					elseif($element_result->element_error_messages!=''){
						$updateErrorMessage = unserialize($element_result->element_error_messages);
						foreach ($updateErrorMessage as $key => $value){
							if($key == 'fill_numeric_field'){
								echo esc_html($value);
							}
						}
					}else{
						echo "Fill numeric field";	
					}
				
				?>"><span style="color:red;">*</span>
			</td>
		</tr>
		<tr>
			<td>Not numeric error message</td>
			<td><input class="xyz_cfm_NoEnterSubmit" type="text"
				name="xyz_cfm_not_numeric_field_error_message" id="xyz_cfm_not_numeric_field_error_message"
				value="<?php 
				if(isset($_POST['xyz_cfm_empty_text_field_error_message'])){ echo esc_html($_POST['xyz_cfm_empty_text_field_error_message']);}
					elseif($element_result->element_error_messages!=''){
						$updateErrorMessage = unserialize($element_result->element_error_messages);
						foreach ($updateErrorMessage as $key => $value){
							if($key == 'enter_numeric_value'){
								echo esc_html($value);
							}
						}
					}else{
						echo "Enter numeric value";	
					}
				
				?>"><span style="color:red;">*</span>
			</td>
		</tr>
		<tr>
			<td>Value less-than min.value error message</td>
			<td><input class="xyz_cfm_NoEnterSubmit" type="text"
				name="xyz_cfm_less_than_min_value_numeric_field_error_message" id="xyz_cfm_less_than_min_value_numeric_field_error_message"
				value="<?php 
				if(isset($_POST['xyz_cfm_empty_text_field_error_message'])){ echo esc_html($_POST['xyz_cfm_empty_text_field_error_message']);}
					elseif($element_result->element_error_messages!=''){
						$updateErrorMessage = unserialize($element_result->element_error_messages);
						foreach ($updateErrorMessage as $key => $value){
							if($key == 'less_than_min_value'){
								echo esc_html($value);
							}
						}
					}else{
						echo "Entered value is less-than minimum value, Minimum value is : ";	
					}
				
				?>"><span style="color:red;">*</span>
			</td>
		</tr>
		<tr>
			<td>Value greater-than max.value error message</td>
			<td><input class="xyz_cfm_NoEnterSubmit" type="text"
				name="xyz_cfm_greater_than_max_value_numeric_field_error_message" id="xyz_cfm_greater_than_max_value_numeric_field_error_message"
				value="<?php 
				if(isset($_POST['xyz_cfm_empty_text_field_error_message'])){ echo esc_html($_POST['xyz_cfm_empty_text_field_error_message']);}
					elseif($element_result->element_error_messages!=''){
						$updateErrorMessage = unserialize($element_result->element_error_messages);
						foreach ($updateErrorMessage as $key => $value){
							if($key == 'greater_than_max_value'){
								echo esc_html($value);
							}
						}
					}else{
						echo "Entered value is greater-than maximum value, Maximum value is : ";	
					}
				
				?>"><span style="color:red;">*</span>
			</td>
		</tr>
		<tr>
			<td>Decimal number not support error message</td>
			<td><input class="xyz_cfm_NoEnterSubmit" type="text"
				name="xyz_cfm_decimal_not_support_numeric_field_error_message" id="xyz_cfm_decimal_not_support_numeric_field_error_message"
				value="<?php 
				if(isset($_POST['xyz_cfm_empty_text_field_error_message'])){ echo esc_html($_POST['xyz_cfm_empty_text_field_error_message']);}
					elseif($element_result->element_error_messages!=''){
						$updateErrorMessage = unserialize($element_result->element_error_messages);
						foreach ($updateErrorMessage as $key => $value){
							if($key == 'decimal_not_support'){
								echo esc_html($value);
							}
						}
					}else{
						echo "Decimal number not support with this field";	
					}
				
				?>"><span style="color:red;">*</span>
			</td>
		</tr>
		
		<tr>
		<td>jQuery event handlers</td>
		<td >	
		<script>
		jQuery(document).ready(function(){
		jQuery("input:radio[name=numericJQueryEventOptionUpdate]").click(function() {
			
		    var value = jQuery(this).val();
		    if(value == 1){

				jQuery("#numericJQueryEventOptionDetailsUpdate").show();

		    }else if(value == 2){

				jQuery("#numericJQueryEventOptionDetailsUpdate").hide();
		    	
		    }
		});
		});

		</script>															
			<input type="radio" name="numericJQueryEventOptionUpdate" value="1" <?php if(isset($_POST['numericJQueryEventOptionUpdate']) && ($_POST['numericJQueryEventOptionUpdate'] == 1)){?>checked="checked" <?php }elseif($element_result->jquery_event_handling_code!=''){?>checked="checked" <?php }?>/>Show&nbsp;&nbsp;
			<input type="radio" name="numericJQueryEventOptionUpdate" value="2" <?php if(isset($_POST['numericJQueryEventOptionUpdate']) && ($_POST['numericJQueryEventOptionUpdate'] == 2)){?>checked="checked" <?php }elseif($element_result->jquery_event_handling_code ==''){?>checked="checked" <?php }?> />Hide
		</td>
	</tr>
	
	<tr id="numericJQueryEventOptionDetailsUpdate" style="display: none;">
		<td colspan="2" >
		<table style="width:100%;" border="0">
		<tr>
		<td style="width:50%;"><b>Event Name</b></td>
		<td><b>JQuery Code</b></td>
		</tr>
		<tr>
		<td>change()</td>
		<td>
			<textarea name="numericEventChangeUpdate" id="numericEventChangeUpdate"><?php if(isset($_POST['numericEventChangeUpdate'])){ echo esc_attr($_POST['numericEventChangeUpdate']);}else{ echo $eventChangeUpdatePre; }?></textarea>
		</td>
		</tr>
		<tr>
		<td>keyup()</td>
		<td>
			<textarea name="numericEventKeyUpUpdate" id="numericEventKeyUpUpdate"><?php if(isset($_POST['numericEventKeyUpUpdate'])){ echo esc_attr($_POST['numericEventKeyUpUpdate']);}else{ echo $eventKeyUpUpdatePre; }?></textarea>
		</td>
		</tr>
		<tr>
		<td>keydown()</td>
		<td>
			<textarea name="numericEventKeyDownUpdate" id="numericEventKeyDownUpdate"><?php if(isset($_POST['numericEventKeyDownUpdate'])){ echo esc_attr($_POST['numericEventKeyDownUpdate']);}else{ echo $eventKeyDownUpdatePre; }?></textarea>
		</td>
		</tr>
		<tr>
		<td>blur()</td>
		<td>
			<textarea name="numericEventBlurUpdate" id="numericEventBlurUpdate"><?php if(isset($_POST['numericEventBlurUpdate'])){ echo esc_attr($_POST['numericEventBlurUpdate']);}else{ echo $eventBlurUpdatePre; }?></textarea>
		</td>
		</tr>
		<tr>
		<td>mouseover()</td>
		<td>
			<textarea name="numericEventMouseOverUpdate" id="numericEventMouseOverUpdate"><?php if(isset($_POST['numericEventMouseOverUpdate'])){ echo esc_attr($_POST['numericEventMouseOverUpdate']);}else{ echo $eventMouseOverUpdatePre; }?></textarea>
		</td>
		</tr>
		<tr>
		<td>mouseout()</td>
		<td>
			<textarea name="numericEventMouseOutUpdate" id="numericEventMouseOutUpdate"><?php if(isset($_POST['numericEventMouseOutUpdate'])){ echo esc_attr($_POST['numericEventMouseOutUpdate']);}else{ echo $eventMouseOutUpdatePre; }?></textarea>
		</td>
		</tr>
		<tr>
		<td>mouseup()</td>
		<td>
			<textarea name="numericEventMouseUpUpdate" id="numericEventMouseUpUpdate"><?php if(isset($_POST['numericEventMouseUpUpdate'])){ echo esc_attr($_POST['numericEventMouseUpUpdate']);}else{ echo $eventMouseUpUpdatePre; }?></textarea>
		</td>
		</tr>
		<tr>
		<td style="border:none;">mousedown()</td>
		<td style="border:none;">
			<textarea name="numericEventMouseDownUpdate" id="numericEventMouseDownUpdate"><?php if(isset($_POST['numericEventMouseDownUpdate'])){ echo esc_attr($_POST['numericEventMouseDownUpdate']);}else{ echo $eventMouseDownUpdatePre; }?></textarea>
		</td>
		</tr>
		</table>
		</td>

	</tr>
		
		<tr>
			<td id="bottomBorderNone" colspan="2"><input
				class="button-primary cfm_bottonWidth" id="textFieldButtonUpdate12"
				style="cursor: pointer;" type="button" name="textFieldButtonUpdate12"
				value="Update">
			</td>

		</tr>

	</table>

</div>


<?php
}

if($element_result->element_type == 13){
	$type13 = "richtextarea-";
	?>
<div id="richTextAreaUpdate">

<script>
jQuery(document).ready(function() {
	jQuery("#elementNameUpdate13").focus();
});
</script>

<?php 
if($element_result->jquery_event_handling_code!=''){
?>
<script>
jQuery(document).ready(function(){
	jQuery("#richtextareaJQueryEventOptionDetailsUpdate").show();
});
</script>
<?php 
}
?>

	<div id="cfm_richtextarea"></div>
	<table class="tableStyle">
		<tr>
			<td colspan="2" style="padding-left: 15px;">Short Code &nbsp;:&nbsp;<?php echo '['.$type13.$elementId.']';?>
				<div style="float: right; margin-bottom: 2px;">
					<span id="closeUpdate13"
						style="margin-right: 20px; cursor: pointer;" title="close"><b>X</b>
					</span>
				</div>
			</td>
		</tr>
		<tr>
			<td style="border: none; padding-left: 15px;" colspan="2">
				<div style="margin-left: 10px;" id="richTextAreaResultUpdate13"></div>
			</td>

		</tr>
		<tr>
			<td colspan="2"><input type="checkbox" name="requiredUpdate13"
				id="requiredUpdate13" <?php if(isset($_POST['requiredUpdate13'])){?>
				checked="checked"
				<?php }elseif($element_result->element_required == 1){?>
				checked="checked" <?php }?>>&nbsp;Required field?</td>
		</tr>
		<tr>

			<td>Form Element Name</td>
			<td><input type="text" class="xyz_cfm_NoEnterSubmit"
				name="elementNameUpdate13" id="elementNameUpdate13"
				value="<?php if(isset($_POST['elementNameUpdate13'])){ echo esc_attr($_POST['elementNameUpdate13']);}else{ echo esc_attr($element_result->element_name); }?>">
				<span style="color:red;">*</span>
			</td>

		</tr>
		<tr>
			<td>Style Class Name (optional)</td>
			<td><input type="text" class="xyz_cfm_NoEnterSubmit"
				name="classNameUpdate13" id="classNameUpdate13"
				value="<?php if(isset($_POST['classNameUpdate13'])){ echo esc_attr($_POST['classNameUpdate13']);}else{ echo esc_attr($element_result->css_class); }?>">
			</td>
		</tr>
		<tr>
			<td>Default value (optional)</td>
			<td><input type="text" class="xyz_cfm_NoEnterSubmit"
				name="defaultValueUpdate13" id="defaultValueUpdate13"
				value="<?php if(isset($_POST['defaultValueUpdate13'])){ echo esc_attr($_POST['defaultValueUpdate13']);}else{ echo esc_attr($element_result->default_value); }?>">
			</td>
		</tr>

		<tr>
			<td>Cols (optional)</td>
			<td><input type="text" name="colLengthUpdate13"
				class="xyz_cfm_NoEnterSubmit" id="colLengthUpdate13"
				value="<?php if(isset($_POST['colLengthUpdate13'])){ echo esc_attr($_POST['colLengthUpdate13']);}else{ if(abs(intval($element_result->cols)) != 0){echo abs(intval($element_result->cols)); }}?>">
			</td>
		</tr>
		<tr>
			<td>Rows (optional)</td>
			<td><input type="text" name="rowLengthUpdate13"
				class="xyz_cfm_NoEnterSubmit" id="rowLengthUpdate13"
				value="<?php if(isset($_POST['rowLengthUpdate13'])){ echo esc_attr($_POST['rowLengthUpdate13']);}else{ if(abs(intval($element_result->rows)) != 0){echo abs(intval($element_result->rows)); }}?>">
			</td>
		</tr>
		<tr>
			<td>Empty richtextarea error message</td>
			<td><input class="xyz_cfm_NoEnterSubmit" type="text"
				name="xyz_cfm_empty_richtextarea_field_error_message" id="xyz_cfm_empty_richtextarea_field_error_message"
				value="<?php 
				if(isset($_POST['xyz_cfm_empty_text_field_error_message'])){ echo esc_html($_POST['xyz_cfm_empty_text_field_error_message']);}
					elseif($element_result->element_error_messages!=''){
						$updateErrorMessage = unserialize($element_result->element_error_messages);
						foreach ($updateErrorMessage as $key => $value){
							if($key == 'fill_textarea_field'){
								echo esc_html($value);
							}
						}
					}else{
						echo "Fill richtextarea field";	
					}
				
				?>"><span style="color:red;">*</span>
			</td>
		</tr>
		
				
		
		<tr>
			<td id="bottomBorderNone" colspan="2"><input
				class="button-primary cfm_bottonWidth" id="textFieldButtonUpdate13"
				style="cursor: pointer;" type="button" name="textFieldButtonUpdate13"
				value="Update">
			</td>
		</tr>

	</table>

</div>

<?php
}
}
?>
<script type="text/javascript">
jQuery(document).ready(function() {

	jQuery("input:radio[name=captchaType]").click(function() {
		 var value = jQuery(this).val();
		    if(value == 1 || value == 3){

				jQuery("#captchaStyleUpdate").show();
				jQuery("#captchaElementName").show();
				jQuery("#reCaptchaStyleUpdate").hide();
				jQuery("#reCaptchaElementName").hide();

				jQuery('#capthaEventHandlerBlockUpdate').show();
		    	
		    }else if(value == 2){

		    	jQuery("#reCaptchaStyleUpdate").show();
				jQuery("#reCaptchaElementName").show();
				jQuery("#captchaStyleUpdate").hide();
				jQuery("#captchaElementName").hide();

				jQuery('#capthaEventHandlerBlockUpdate').hide();
				jQuery('#captchaJQueryEventOptionDetailsUpdate').hide();

			}
	});

	if(jQuery('input[name=captchaType]:checked').val() == 2){
		jQuery("#reCaptchaStyleUpdate").show();
		jQuery("#reCaptchaElementName").show();
		jQuery("#captchaStyleUpdate").hide();
		jQuery("#captchaElementName").hide();

		jQuery('#capthaEventHandlerBlockUpdate').hide();
		
	}else if(jQuery('input[name=captchaType]:checked').val() == 1 || jQuery('input[name=captchaType]:checked').val() == 3){
		jQuery("#captchaStyleUpdate").show();
		jQuery("#captchaElementName").show();
		jQuery("#reCaptchaStyleUpdate").hide();
		jQuery("#reCaptchaElementName").hide();
		jQuery('#capthaEventHandlerBlockUpdate').show();
	}
	
});
</script>
<?php 
die();
}
?>
