<?php
add_action('wp_ajax_ajax_load_elements', 'xyz_wp_cfm_ajax_load_elements');

function xyz_wp_cfm_ajax_load_elements() {

global $wpdb;
$_POST = stripslashes_deep($_POST);
$formId = $_POST['formId'];

$element_result = $wpdb->get_results($wpdb->prepare( "SELECT * FROM ".$wpdb->prefix."xyz_cfm_form_elements WHERE form_id= %d", $formId)) ;

?>
<script>
jQuery(document).ready(function() {
	

	jQuery("#progressSelectImage").hide();
	jQuery("#progressEditImage").hide();


	jQuery("a").click(function(event) {
        if((event.target.id).substr(0,1).toLowerCase() == 'e'){

        	jQuery("#progressEditImage").show();
        	var elementId = (event.target.id).substring(1);

        	var formId = <?php echo $formId;?>;
        	var dataString = { 
                	action: 'ajax_load_element_details', 
                	elementId: elementId 
                };

        	document.getElementById('editDiv').scrollTop=0;

        	jQuery.post(ajaxurl, dataString, function(response) {
        		jQuery("#progressEditImage").hide();
        		jQuery("#elementSettingResultqwerty").html(response);
        	});
        	
			
        }
        if((event.target.id).substr(0,1).toLowerCase() == 'd'){
	        if (confirm('Please click \'OK\' to confirm ')) {
				// below code for edit one element and delete that element 
	        	jQuery("#textFieldUpdate").hide();
	    		jQuery("#emailFieldUpdate").hide();
	    		jQuery("#textAreaUpdate").hide();
	    		jQuery("#dropDownMenuUpdate").hide();
	    		jQuery("#dateFieldUpdate").hide();
	    		jQuery("#checkBoxesUpdate").hide();
	    		jQuery("#radioButtonsUpdate").hide();
	    		jQuery("#fileUploadUpdate").hide();
	    		jQuery("#submitButtonUpdate").hide();
	    		jQuery("#captchaUpdate").hide();
	    		jQuery("#hiddenFieldUpdate").hide();
	    		jQuery("#numericFieldUpdate").hide();
	    		jQuery("#richTextAreaUpdate").hide();
	    		var formId = jQuery("#formId").val();
	    		
				var dataStringElement = { 
						action: 'ajax_load_elements', 
						formId: formId 
					};

				jQuery.post(ajaxurl, dataStringElement, function(response) {
					jQuery("#progressEditImage").hide();
					jQuery("#elementSettingResult").html(response);

					/* user input options function call*/
			    	jQuery.fn.loadUserInputCriteriaOption();
					
				});
				
				// above code for edit one element and delete that element
	        	
	        	var formId = jQuery("#formId").val();
	        	
	        	jQuery("#progressEditImage").show();
	        	var formId = jQuery("#formId").val();
	        	var dataString = { 
	    	        	action: 'ajax_delete_element', 
	    	        	elementId: (event.target.id).substring(1), 
	    	        	formId: formId 
	    	        };

	        	jQuery.post(ajaxurl, dataString, function(response) {
	        		var formId = jQuery("#formId").val();
	        		var dataStringLoad = { 
	    	        		action: 'ajax_load_elements', 
	    	        		formId: formId 
	    	        	};
	        		
	        		jQuery.post(ajaxurl, dataStringLoad, function(response) {
	        			jQuery("#progressEditImage").hide();
	        			jQuery("#elementSettingResult").html(response);
	        		});
	        		
	        	});
	        }
        }
    });
});

</script>
<div style="padding: 10px;">
<img style=" width:20px;height: 20px;margin-bottom:-6px;" id="progressEditImage"  src="<?php echo plugins_url('xyz-wp-contact-form/images/progressEdit.gif')?>"/>
</div>
<table class="widefat">
<thead>
<tr>
	<th><b>Field Name</b></th>
	<th><b>Field Type</b></th>
	<th><b>Shortcode</b></th>
	<th colspan="2" style="text-align: center;"><b>Action</b></th>
</tr>
</thead>
<tbody>

<?php 
if( count($element_result)>0 ) {
	$count=1;
	$class = '';
	foreach ($element_result as $elementDetail){
		$class = ( $count % 2 == 0 ) ? ' class="alternate"' : '';
?>
<tr <?php echo $class; ?>>
	<td><?php echo $elementDetail->element_name;?></td>
	<td><?php
		if($elementDetail->element_type == 1){
			echo "Text Field";
		}elseif($elementDetail->element_type == 2){
			echo "Email Field";
		}elseif($elementDetail->element_type == 3){
			echo "Text Area";
		}elseif($elementDetail->element_type == 4){
			echo "Drop-down Menu";
		}elseif($elementDetail->element_type == 5){
			echo "Date";
		}elseif($elementDetail->element_type == 6){
			echo "Check boxes";
		}elseif($elementDetail->element_type == 7){
			echo "Radio button";
		}elseif($elementDetail->element_type == 8){
			echo "File upload";
		}elseif($elementDetail->element_type == 9){
			echo "Submit button";
		}elseif($elementDetail->element_type == 10){
			echo "Captcha";
		}elseif($elementDetail->element_type == 11){
			echo "Hidden";
		}elseif($elementDetail->element_type == 12){
			echo "Numeric Field";
		}elseif($elementDetail->element_type == 13){
			echo "Rich Text Area";
		}
	?></td>
	<td style="text-align: left;">
		<?php
		if($elementDetail->element_type == 1){
			echo "[text-".$elementDetail->id."]";
		}elseif($elementDetail->element_type == 2){
			echo "[email-".$elementDetail->id."]";
		}elseif($elementDetail->element_type == 3){
			echo "[textarea-".$elementDetail->id."]";
		}elseif($elementDetail->element_type == 4){
			echo "[dropdown-".$elementDetail->id."]";
		}elseif($elementDetail->element_type == 5){
			echo "[date-".$elementDetail->id."]";
		}elseif($elementDetail->element_type == 6){
			echo "[checkbox-".$elementDetail->id."]";
		}elseif($elementDetail->element_type == 7){
			echo "[radiobutton-".$elementDetail->id."]";
		}elseif($elementDetail->element_type == 8){
			echo "[file-".$elementDetail->id."]";
		}elseif($elementDetail->element_type == 9){
			echo "[submit-".$elementDetail->id."]";
		}elseif($elementDetail->element_type == 10){
			echo "[captcha-".$elementDetail->id."]";
		}elseif($elementDetail->element_type == 11){
			echo "[hidden-".$elementDetail->id."]";
		}elseif($elementDetail->element_type == 12){
			echo "[numeric-".$elementDetail->id."]";
		}elseif($elementDetail->element_type == 13){
			echo "[richtextarea-".$elementDetail->id."]";
		}
	?>
	</td>
	<td style="text-align: center;"><a href='#'>
		<img id="e<?php echo $elementDetail->id;?>" class="img" title="Edit Element"
		src="<?php echo plugins_url('xyz-wp-contact-form/images/edit.png')?>"></a>
	</td>
	<td style="text-align: center;" ><a href='#' >
		<img id="d<?php echo $elementDetail->id;?>" class="img" title="Delete Element"
		src="<?php echo plugins_url('xyz-wp-contact-form/images/delete.png')?>"></a>
	</td>
</tr>
<?php
$count++;
	}
} else { ?>
<tr>
	<td colspan="5" id="bottomBorderNone">Elements not found</td>
</tr>
<?php } ?>
	</tbody>
</table>

<?php 
die();
}
?>