<?php



add_filter( 'http_request_args', 'xyz_cfm_exclude_updates', 5, 2 );
function xyz_cfm_exclude_updates( $r, $url )
{
	// 	echo $url;
if ( strpos( $url, '://api.wordpress.org/plugins/update-check' ) > 0) // supports http and https
{
	$plugins = json_decode( $r['body']['plugins'], true );
	unset( $plugins['plugins'][plugin_basename( XYZ_CFM_PLUGIN_FILE_PREMIUM)] );
	$r['body']['plugins'] = json_encode( $plugins );
}
	return $r;
}




add_filter('site_transient_update_plugins', 'xyz_cfm_remove_update_nag');//WP 3.0+
add_filter('transient_update_plugins', 'xyz_cfm_remove_update_nag');//WP 2.8+

if(!function_exists('xyz_cfm_remove_update_nag'))
{
	function xyz_cfm_remove_update_nag($value) 
	{
		if (isset($value->response[ plugin_basename(XYZ_CFM_PLUGIN_FILE_PREMIUM) ])) 
		 	unset($value->response[ plugin_basename(XYZ_CFM_PLUGIN_FILE_PREMIUM) ]);
		return $value;
	}
}


 if( (time() - get_option('xyz_cfm_premium_last_check_time')) > 86400 )
{

	$xyz_plugin_ver=xyz_cfm_premium_plugin_get_version();
	// echo $xyz_plugin_ver;
	$url = "http://xyzscripts.com/product/changelog/XYZWPCFM";

	$update_data=wp_remote_get($url);
	if(is_array($update_data))
	{
		$update_data=$update_data['body'];
	
		preg_match_all('/<version no="(.+?)">(.+?)<\/version>/is', $update_data,$matches);
	
	// 	 print_r($matches);die;
	
		$latest_ver=$matches[1][0];
	
		$update_str='';
		foreach ($matches[0] as $k => $v)
		{
			if($matches[1][$k]==$xyz_plugin_ver)
				break;
			$update_str.=$v;
		}
	
	
	
		update_option('xyz_cfm_premium_last_check_time', time());
		update_option('xyz_cfm_premium_latest_version', $latest_ver);
		update_option('xyz_cfm_premium_change_log', $update_str);
	
		// echo $update_str;die;
	}
}




add_action('wp_ajax_xyz_wp_cfm_premium_update_info', 'xyz_cfm_premium_update_info');
function xyz_cfm_premium_update_info()
{
	?><br>
	Latest version out there is : <b>	<?php	echo get_option('xyz_cfm_premium_latest_version'); ?></b>.
	 You are using version <b><?php echo xyz_cfm_premium_plugin_get_version(); ?></b> of this plugin. Please find the changelog below. In order to update, please login to your <a href="http://xyzscripts.com/members/" target="_blank">XYZScripts account</a> and download the latest version.
	<br><br>
	<?php
	
	$items=get_option('xyz_cfm_premium_change_log');
	
	$items=preg_replace("/<version(.+?)>/is", "<b>Version $1</b><br><br>", $items);
	$items=str_replace("</version>", "<br>", $items);
	$items=str_replace("<item>", "<b> * </b>", $items);
	$items=str_replace("</item>", "<br>", $items);
	
	echo $items;
	die;
}

?>